#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgbumpmap.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgbumpmap.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a WdgBumpmap as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgBumpmap::WdgBumpmap( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgBumpmap" );
    WdgBumpmapLayout = new TQGridLayout( this, 1, 1, 11, 6, "WdgBumpmapLayout"); 

    frame3 = new TQFrame( this, "frame3" );
    frame3->setFrameShape( TQFrame::StyledPanel );
    frame3->setFrameShadow( TQFrame::Raised );
    frame3Layout = new TQGridLayout( frame3, 1, 1, 11, 6, "frame3Layout"); 

    textLabel2 = new TQLabel( frame3, "textLabel2" );
    textLabel2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)3, 0, 0, textLabel2->sizePolicy().hasHeightForWidth() ) );
    textLabel2->setTextFormat( TQLabel::RichText );
    textLabel2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    frame3Layout->addWidget( textLabel2, 0, 0 );
    spacer9 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    frame3Layout->addItem( spacer9, 1, 0 );

    WdgBumpmapLayout->addMultiCellWidget( frame3, 3, 3, 0, 2 );

    grpSettings = new TQGroupBox( this, "grpSettings" );
    grpSettings->setAlignment( int( TQGroupBox::AlignAuto ) );
    grpSettings->setColumnLayout(0, TQt::Vertical );
    grpSettings->layout()->setSpacing( 6 );
    grpSettings->layout()->setMargin( 11 );
    grpSettingsLayout = new TQGridLayout( grpSettings->layout() );
    grpSettingsLayout->setAlignment( TQt::AlignTop );

    dblElevation = new KDoubleSpinBox( grpSettings, "dblElevation" );
    dblElevation->setMaxValue( 90 );
    dblElevation->setMinValue( 0.5 );
    dblElevation->setValue( 45 );

    grpSettingsLayout->addWidget( dblElevation, 1, 1 );

    textLabel4 = new TQLabel( grpSettings, "textLabel4" );

    grpSettingsLayout->addWidget( textLabel4, 1, 0 );

    textLabel5 = new TQLabel( grpSettings, "textLabel5" );

    grpSettingsLayout->addWidget( textLabel5, 2, 0 );

    dblDepth = new KDoubleSpinBox( grpSettings, "dblDepth" );
    dblDepth->setMaxValue( 65 );
    dblDepth->setMinValue( 1 );
    dblDepth->setValue( 3 );

    grpSettingsLayout->addWidget( dblDepth, 2, 1 );

    textLabel3 = new TQLabel( grpSettings, "textLabel3" );

    grpSettingsLayout->addWidget( textLabel3, 0, 0 );

    intWaterLevel = new KIntSpinBox( grpSettings, "intWaterLevel" );
    intWaterLevel->setMaxValue( 255 );

    grpSettingsLayout->addWidget( intWaterLevel, 2, 3 );

    intYOffset = new KIntSpinBox( grpSettings, "intYOffset" );
    intYOffset->setMinValue( -99 );

    grpSettingsLayout->addWidget( intYOffset, 1, 3 );

    intAmbient = new KIntSpinBox( grpSettings, "intAmbient" );
    intAmbient->setMaxValue( 255 );

    grpSettingsLayout->addWidget( intAmbient, 3, 3 );

    textLabel8 = new TQLabel( grpSettings, "textLabel8" );

    grpSettingsLayout->addWidget( textLabel8, 2, 2 );

    textLabel9 = new TQLabel( grpSettings, "textLabel9" );

    grpSettingsLayout->addWidget( textLabel9, 3, 2 );

    intXOffset = new KIntSpinBox( grpSettings, "intXOffset" );
    intXOffset->setMinValue( -99 );

    grpSettingsLayout->addWidget( intXOffset, 0, 3 );

    textLabel7 = new TQLabel( grpSettings, "textLabel7" );

    grpSettingsLayout->addWidget( textLabel7, 1, 2 );

    textLabel6 = new TQLabel( grpSettings, "textLabel6" );

    grpSettingsLayout->addWidget( textLabel6, 0, 2 );

    dblAzimuth = new KDoubleSpinBox( grpSettings, "dblAzimuth" );
    dblAzimuth->setMaxValue( 360 );
    dblAzimuth->setValue( 135 );

    grpSettingsLayout->addWidget( dblAzimuth, 0, 1 );

    WdgBumpmapLayout->addMultiCellWidget( grpSettings, 2, 2, 0, 2 );

    grpType = new TQButtonGroup( this, "grpType" );
    grpType->setColumnLayout(0, TQt::Vertical );
    grpType->layout()->setSpacing( 6 );
    grpType->layout()->setMargin( 11 );
    grpTypeLayout = new TQGridLayout( grpType->layout() );
    grpTypeLayout->setAlignment( TQt::AlignTop );

    radioLinear = new TQRadioButton( grpType, "radioLinear" );
    radioLinear->setChecked( TRUE );

    grpTypeLayout->addWidget( radioLinear, 0, 0 );

    radioSpherical = new TQRadioButton( grpType, "radioSpherical" );

    grpTypeLayout->addWidget( radioSpherical, 1, 0 );

    radioSinusoidal = new TQRadioButton( grpType, "radioSinusoidal" );

    grpTypeLayout->addWidget( radioSinusoidal, 2, 0 );

    WdgBumpmapLayout->addMultiCellWidget( grpType, 1, 1, 0, 1 );

    grpOptions = new TQGroupBox( this, "grpOptions" );
    grpOptions->setColumnLayout(0, TQt::Vertical );
    grpOptions->layout()->setSpacing( 6 );
    grpOptions->layout()->setMargin( 11 );
    grpOptionsLayout = new TQGridLayout( grpOptions->layout() );
    grpOptionsLayout->setAlignment( TQt::AlignTop );

    chkCompensate = new TQCheckBox( grpOptions, "chkCompensate" );
    chkCompensate->setChecked( TRUE );

    grpOptionsLayout->addWidget( chkCompensate, 0, 0 );

    chkTiled = new TQCheckBox( grpOptions, "chkTiled" );

    grpOptionsLayout->addWidget( chkTiled, 2, 0 );

    chkInvert = new TQCheckBox( grpOptions, "chkInvert" );

    grpOptionsLayout->addWidget( chkInvert, 1, 0 );

    WdgBumpmapLayout->addWidget( grpOptions, 1, 2 );

    lblLayer = new TQLabel( this, "lblLayer" );
    lblLayer->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, lblLayer->sizePolicy().hasHeightForWidth() ) );

    WdgBumpmapLayout->addWidget( lblLayer, 0, 0 );

    cboxSourceLayer = new KComboBox( FALSE, this, "cboxSourceLayer" );

    WdgBumpmapLayout->addMultiCellWidget( cboxSourceLayer, 0, 0, 1, 2 );
    languageChange();
    resize( TQSize(520, 603).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( radioLinear, chkCompensate );
    setTabOrder( chkCompensate, chkInvert );
    setTabOrder( chkInvert, chkTiled );
    setTabOrder( chkTiled, dblAzimuth );
    setTabOrder( dblAzimuth, dblElevation );
    setTabOrder( dblElevation, dblDepth );
    setTabOrder( dblDepth, intXOffset );
    setTabOrder( intXOffset, intYOffset );
    setTabOrder( intYOffset, intWaterLevel );
    setTabOrder( intWaterLevel, intAmbient );

    // buddies
    textLabel4->setBuddy( dblElevation );
    textLabel5->setBuddy( dblDepth );
    textLabel3->setBuddy( dblAzimuth );
    textLabel8->setBuddy( intWaterLevel );
    textLabel9->setBuddy( intAmbient );
    textLabel7->setBuddy( intYOffset );
    textLabel6->setBuddy( intXOffset );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgBumpmap::~WdgBumpmap()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgBumpmap::languageChange()
{
    textLabel2->setText( tr2i18n( "<b>Bumpmapping</b> is a process where two layers are \n"
"combined to give one layer the illusion of <i>depth</i>. One layer \n"
"will contain your image, the other a grayscale or black-and-white\n"
"representation of height, which is the bumpmap. If you do not specify a bumpmap\n"
"layer, the current layer will be used." ) );
    grpSettings->setTitle( tr2i18n( "Settings" ) );
    textLabel4->setText( tr2i18n( "&Elevation:" ) );
    textLabel5->setText( tr2i18n( "&Depth:" ) );
    textLabel3->setText( tr2i18n( "&Azimuth:" ) );
    textLabel8->setText( tr2i18n( "&Water level:" ) );
    textLabel9->setText( tr2i18n( "&Ambient light:" ) );
    textLabel7->setText( tr2i18n( "&Y offset:" ) );
    textLabel6->setText( tr2i18n( "&X offset:" ) );
    grpType->setTitle( tr2i18n( "&Type" ) );
    radioLinear->setText( tr2i18n( "&Linear" ) );
    radioSpherical->setText( tr2i18n( "&Spherical" ) );
    radioSinusoidal->setText( tr2i18n( "S&inusoidal" ) );
    grpOptions->setTitle( tr2i18n( "Options" ) );
    chkCompensate->setText( tr2i18n( "&Compensate for darkening" ) );
    chkTiled->setText( tr2i18n( "&Tile bumpmap" ) );
    chkInvert->setText( tr2i18n( "I&nvert bumpmap" ) );
    lblLayer->setText( tr2i18n( "Bumpmap layer:" ) );
}

#include "wdgbumpmap.moc"
