#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdglenscorrectionoptions.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdglenscorrectionoptions.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a WdgLensCorrectionOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgLensCorrectionOptions::WdgLensCorrectionOptions( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgLensCorrectionOptions" );
    WdgLensCorrectionOptionsLayout = new TQGridLayout( this, 1, 1, 0, 6, "WdgLensCorrectionOptionsLayout"); 
    spacer3 = new TQSpacerItem( 20, 90, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WdgLensCorrectionOptionsLayout->addItem( spacer3, 2, 0 );
    spacer2 = new TQSpacerItem( 16, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    WdgLensCorrectionOptionsLayout->addItem( spacer2, 0, 2 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    Center_3 = new TQLabel( groupBox1, "Center_3" );

    groupBox1Layout->addWidget( Center_3, 5, 1 );

    Center_2 = new TQLabel( groupBox1, "Center_2" );

    groupBox1Layout->addMultiCellWidget( Center_2, 3, 4, 1, 1 );

    intXCenter = new KIntNumInput( groupBox1, "intXCenter" );
    intXCenter->setValue( 50 );
    intXCenter->setMinValue( 0 );
    intXCenter->setMaxValue( 100 );

    groupBox1Layout->addMultiCellWidget( intXCenter, 3, 3, 2, 3 );

    intYCenter = new KIntNumInput( groupBox1, "intYCenter" );
    intYCenter->setValue( 50 );
    intYCenter->setMinValue( 0 );
    intYCenter->setMaxValue( 100 );

    groupBox1Layout->addMultiCellWidget( intYCenter, 4, 5, 2, 3 );
    spacer11 = new TQSpacerItem( 16, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer11, 3, 0 );
    spacer12 = new TQSpacerItem( 51, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer12, 3, 4 );

    textLabel1 = new TQLabel( groupBox1, "textLabel1" );

    groupBox1Layout->addMultiCellWidget( textLabel1, 0, 0, 0, 2 );

    textLabel2 = new TQLabel( groupBox1, "textLabel2" );

    groupBox1Layout->addMultiCellWidget( textLabel2, 1, 1, 0, 2 );

    Center = new TQLabel( groupBox1, "Center" );

    groupBox1Layout->addMultiCellWidget( Center, 2, 2, 0, 3 );

    dblCorrectionNearCenter = new KDoubleNumInput( groupBox1, "dblCorrectionNearCenter" );
    dblCorrectionNearCenter->setMinValue( -100 );
    dblCorrectionNearCenter->setMaxValue( 100 );

    groupBox1Layout->addMultiCellWidget( dblCorrectionNearCenter, 0, 0, 3, 4 );

    dblCorrectionNearEdges = new KDoubleNumInput( groupBox1, "dblCorrectionNearEdges" );
    dblCorrectionNearEdges->setMinValue( -100 );
    dblCorrectionNearEdges->setMaxValue( 100 );

    groupBox1Layout->addMultiCellWidget( dblCorrectionNearEdges, 1, 1, 3, 4 );

    WdgLensCorrectionOptionsLayout->addMultiCellWidget( groupBox1, 0, 0, 0, 1 );

    textLabel2_2_2 = new TQLabel( this, "textLabel2_2_2" );

    WdgLensCorrectionOptionsLayout->addWidget( textLabel2_2_2, 1, 0 );

    dblBrightness = new KDoubleNumInput( this, "dblBrightness" );
    dblBrightness->setMinValue( -100 );
    dblBrightness->setMaxValue( 100 );

    WdgLensCorrectionOptionsLayout->addWidget( dblBrightness, 1, 1 );
    languageChange();
    resize( TQSize(235, 207).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgLensCorrectionOptions::~WdgLensCorrectionOptions()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgLensCorrectionOptions::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Distortion Correction" ) );
    Center_3->setText( tr2i18n( "Y:" ) );
    Center_2->setText( tr2i18n( "X:" ) );
    textLabel1->setText( tr2i18n( "Near center:" ) );
    textLabel2->setText( tr2i18n( "Near edges:" ) );
    Center->setText( tr2i18n( "Center:" ) );
    textLabel2_2_2->setText( tr2i18n( "Brightness correction:" ) );
}

#include "wdglenscorrectionoptions.moc"
