#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgcolorpicker.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgcolorpicker.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcombobox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ColorPickerOptionsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ColorPickerOptionsWidget::ColorPickerOptionsWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ColorPickerOptionsWidget" );
    ColorPickerOptionsWidgetLayout = new TQVBoxLayout( this, 0, 0, "ColorPickerOptionsWidgetLayout"); 

    cmbSources = new TQComboBox( FALSE, this, "cmbSources" );
    cmbSources->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, cmbSources->sizePolicy().hasHeightForWidth() ) );
    cmbSources->setMinimumSize( TQSize( 200, 0 ) );
    cmbSources->setMaximumSize( TQSize( 200, 32767 ) );
    ColorPickerOptionsWidgetLayout->addWidget( cmbSources );

    cbUpdateCurrentColour = new TQCheckBox( this, "cbUpdateCurrentColour" );
    ColorPickerOptionsWidgetLayout->addWidget( cbUpdateCurrentColour );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    cbPalette = new TQCheckBox( this, "cbPalette" );
    layout2->addWidget( cbPalette );

    cmbPalette = new TQComboBox( FALSE, this, "cmbPalette" );
    layout2->addWidget( cmbPalette );
    ColorPickerOptionsWidgetLayout->addLayout( layout2 );

    cbNormaliseValues = new TQCheckBox( this, "cbNormaliseValues" );
    ColorPickerOptionsWidgetLayout->addWidget( cbNormaliseValues );

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    radius = new TQSpinBox( this, "radius" );
    radius->setMaxValue( 9 );
    radius->setMinValue( 1 );
    layout1->addWidget( radius );
    ColorPickerOptionsWidgetLayout->addLayout( layout1 );

    listViewChannels = new TQListView( this, "listViewChannels" );
    listViewChannels->addColumn( tr2i18n( "Channel" ) );
    listViewChannels->header()->setClickEnabled( FALSE, listViewChannels->header()->count() - 1 );
    listViewChannels->addColumn( tr2i18n( "Value" ) );
    listViewChannels->header()->setClickEnabled( FALSE, listViewChannels->header()->count() - 1 );
    listViewChannels->setEnabled( TRUE );
    listViewChannels->setSelectionMode( TQListView::NoSelection );
    ColorPickerOptionsWidgetLayout->addWidget( listViewChannels );
    languageChange();
    resize( TQSize(263, 307).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ColorPickerOptionsWidget::~ColorPickerOptionsWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ColorPickerOptionsWidget::languageChange()
{
    setCaption( tr2i18n( "Color Picker" ) );
    cmbSources->clear();
    cmbSources->insertItem( tr2i18n( "Sample All Visible Layers" ) );
    cmbSources->insertItem( tr2i18n( "Current Layer" ) );
    cbUpdateCurrentColour->setText( tr2i18n( "Update current color" ) );
    cbPalette->setText( tr2i18n( "Add to palette:" ) );
    cbNormaliseValues->setText( tr2i18n( "Show colors as percentages" ) );
    textLabel1->setText( tr2i18n( "Sample radius:" ) );
    listViewChannels->header()->setLabel( 0, tr2i18n( "Channel" ) );
    listViewChannels->header()->setLabel( 1, tr2i18n( "Value" ) );
}

#include "wdgcolorpicker.moc"
