#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdg_separations.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdg_separations.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a WdgSeparations as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgSeparations::WdgSeparations( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgSeparations" );
    WdgSeparationsLayout = new TQGridLayout( this, 1, 1, 11, 6, "WdgSeparationsLayout"); 

    chkColors = new TQCheckBox( this, "chkColors" );

    WdgSeparationsLayout->addMultiCellWidget( chkColors, 4, 4, 0, 2 );

    chkDownscale = new TQCheckBox( this, "chkDownscale" );

    WdgSeparationsLayout->addMultiCellWidget( chkDownscale, 3, 3, 0, 2 );

    grpAlpha = new TQButtonGroup( this, "grpAlpha" );
    grpAlpha->setColumnLayout(0, TQt::Vertical );
    grpAlpha->layout()->setSpacing( 6 );
    grpAlpha->layout()->setMargin( 11 );
    grpAlphaLayout = new TQVBoxLayout( grpAlpha->layout() );
    grpAlphaLayout->setAlignment( TQt::AlignTop );

    radioCopyAlpha = new TQRadioButton( grpAlpha, "radioCopyAlpha" );
    grpAlphaLayout->addWidget( radioCopyAlpha );

    radioDiscardAlpha = new TQRadioButton( grpAlpha, "radioDiscardAlpha" );
    radioDiscardAlpha->setChecked( TRUE );
    grpAlphaLayout->addWidget( radioDiscardAlpha );

    radioSeparateAlpha = new TQRadioButton( grpAlpha, "radioSeparateAlpha" );
    grpAlphaLayout->addWidget( radioSeparateAlpha );

    WdgSeparationsLayout->addMultiCellWidget( grpAlpha, 2, 2, 0, 2 );
    spacer1 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WdgSeparationsLayout->addItem( spacer1, 5, 1 );

    grpSource = new TQButtonGroup( this, "grpSource" );
    grpSource->setColumnLayout(0, TQt::Vertical );
    grpSource->layout()->setSpacing( 6 );
    grpSource->layout()->setMargin( 11 );
    grpSourceLayout = new TQGridLayout( grpSource->layout() );
    grpSourceLayout->setAlignment( TQt::AlignTop );

    radioCurrentLayer = new TQRadioButton( grpSource, "radioCurrentLayer" );
    radioCurrentLayer->setChecked( TRUE );

    grpSourceLayout->addWidget( radioCurrentLayer, 0, 0 );

    radioAllLayers = new TQRadioButton( grpSource, "radioAllLayers" );

    grpSourceLayout->addWidget( radioAllLayers, 1, 0 );

    WdgSeparationsLayout->addMultiCellWidget( grpSource, 1, 1, 0, 1 );

    grpOutput = new TQButtonGroup( this, "grpOutput" );
    grpOutput->setColumnLayout(0, TQt::Vertical );
    grpOutput->layout()->setSpacing( 6 );
    grpOutput->layout()->setMargin( 11 );
    grpOutputLayout = new TQVBoxLayout( grpOutput->layout() );
    grpOutputLayout->setAlignment( TQt::AlignTop );

    radioLayers = new TQRadioButton( grpOutput, "radioLayers" );
    radioLayers->setChecked( TRUE );
    grpOutputLayout->addWidget( radioLayers );

    radioImages = new TQRadioButton( grpOutput, "radioImages" );
    grpOutputLayout->addWidget( radioImages );

    WdgSeparationsLayout->addWidget( grpOutput, 1, 2 );

    lblColormodel = new TQLabel( this, "lblColormodel" );

    WdgSeparationsLayout->addMultiCellWidget( lblColormodel, 0, 0, 1, 2 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    WdgSeparationsLayout->addWidget( textLabel1, 0, 0 );
    languageChange();
    resize( TQSize(570, 350).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( radioCurrentLayer, radioLayers );
    setTabOrder( radioLayers, radioDiscardAlpha );
    setTabOrder( radioDiscardAlpha, chkDownscale );
    setTabOrder( chkDownscale, chkColors );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgSeparations::~WdgSeparations()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgSeparations::languageChange()
{
    chkColors->setText( tr2i18n( "Output to color, not grayscale" ) );
    chkDownscale->setText( tr2i18n( "Downscale to 8-bit before separating" ) );
    grpAlpha->setTitle( tr2i18n( "Alpha Options" ) );
    radioCopyAlpha->setText( tr2i18n( "Copy alpha channel to each separated channel as an alpha channel" ) );
    radioDiscardAlpha->setText( tr2i18n( "Discard alpha channel" ) );
    radioSeparateAlpha->setText( tr2i18n( "Create separate separation from alpha channel" ) );
    grpSource->setTitle( tr2i18n( "Source" ) );
    radioCurrentLayer->setText( tr2i18n( "Current layer" ) );
    radioAllLayers->setText( tr2i18n( "Flatten all layers before separation" ) );
    grpOutput->setTitle( tr2i18n( "Output" ) );
    radioLayers->setText( tr2i18n( "To layers" ) );
    radioImages->setText( tr2i18n( "To images" ) );
    lblColormodel->setText( TQString::null );
    textLabel1->setText( tr2i18n( "Current color model:" ) );
}

#include "wdg_separations.moc"
