#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgapplyprofile.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgapplyprofile.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "squeezedcombobox.h"

/*
 *  Constructs a WdgApplyProfile as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgApplyProfile::WdgApplyProfile( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgApplyProfile" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    WdgApplyProfileLayout = new TQGridLayout( this, 1, 1, 11, 6, "WdgApplyProfileLayout"); 

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    lblProfile = new TQLabel( groupBox1, "lblProfile" );

    groupBox1Layout->addWidget( lblProfile, 1, 0 );

    cmbProfile = new SqueezedComboBox( groupBox1, "cmbProfile" );
    cmbProfile->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, cmbProfile->sizePolicy().hasHeightForWidth() ) );

    groupBox1Layout->addWidget( cmbProfile, 1, 1 );

    textLabel1 = new TQLabel( groupBox1, "textLabel1" );
    textLabel1->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    groupBox1Layout->addMultiCellWidget( textLabel1, 0, 0, 0, 1 );

    grpRenderIntent = new TQButtonGroup( groupBox1, "grpRenderIntent" );
    grpRenderIntent->setColumnLayout(0, TQt::Vertical );
    grpRenderIntent->layout()->setSpacing( 6 );
    grpRenderIntent->layout()->setMargin( 11 );
    grpRenderIntentLayout = new TQGridLayout( grpRenderIntent->layout() );
    grpRenderIntentLayout->setAlignment( TQt::AlignTop );

    radioRelativeColorimetric = new TQRadioButton( grpRenderIntent, "radioRelativeColorimetric" );

    grpRenderIntentLayout->addWidget( radioRelativeColorimetric, 1, 0 );

    radioSaturation = new TQRadioButton( grpRenderIntent, "radioSaturation" );

    grpRenderIntentLayout->addWidget( radioSaturation, 2, 0 );

    radioButton4 = new TQRadioButton( grpRenderIntent, "radioButton4" );

    grpRenderIntentLayout->addWidget( radioButton4, 3, 0 );

    radioPerceptual = new TQRadioButton( grpRenderIntent, "radioPerceptual" );

    grpRenderIntentLayout->addWidget( radioPerceptual, 0, 0 );

    groupBox1Layout->addMultiCellWidget( grpRenderIntent, 2, 2, 0, 1 );

    WdgApplyProfileLayout->addWidget( groupBox1, 0, 0 );
    languageChange();
    resize( TQSize(538, 312).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order

    // buddies
    lblProfile->setBuddy( cmbProfile );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgApplyProfile::~WdgApplyProfile()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgApplyProfile::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Apply Profile" ) );
    lblProfile->setText( tr2i18n( "&Profiles:" ) );
    cmbProfile->clear();
    cmbProfile->insertItem( tr2i18n( "None" ) );
    textLabel1->setText( tr2i18n( "The image data you want to paste does not have an ICM profile associated with it. If you do not select a profile, Chalk will assume that the image data is encoded in the import profile defined in the Settings dialog." ) );
    grpRenderIntent->setTitle( tr2i18n( "&Rendering Intent" ) );
    TQToolTip::add( grpRenderIntent, TQString::null );
    TQWhatsThis::add( grpRenderIntent, tr2i18n( "Rendering intent determines the bias in the color conversion." ) );
    radioRelativeColorimetric->setText( tr2i18n( "Relative colorimetric" ) );
    TQWhatsThis::add( radioRelativeColorimetric, tr2i18n( "Within and outside gamut; same as Absolute Colorimetric. White point changed to result in neutral grays." ) );
    radioSaturation->setText( tr2i18n( "Saturation" ) );
    TQWhatsThis::add( radioSaturation, tr2i18n( "Hue and saturation maintained with lightness sacrificed to maintain saturation. White point changed to result in neutral grays. Intended for business graphics (make it colorful charts, graphs, overheads, ...)" ) );
    radioButton4->setText( tr2i18n( "Absolute colorimetric" ) );
    TQWhatsThis::add( radioButton4, tr2i18n( "Within the destination device gamut; hue, lightness and saturation are maintained. Outside the gamut; hue and lightness are maintained, saturation is sacrificed. White point for source and destination; unchanged. Intended for spot colors (Pantone, TruMatch, logo colors, ...)" ) );
    radioPerceptual->setText( tr2i18n( "Perceptual" ) );
    TQWhatsThis::add( radioPerceptual, tr2i18n( "Hue hopefully maintained (but not required), lightness and saturation sacrificed to maintain the perceived color. White point changed to result in neutral grays. Intended for images." ) );
}

#include "wdgapplyprofile.moc"
