#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgnewimage.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgnewimage.h"

#include <ntqvariant.h>
#include <kcolorcombo.h>
#include <kis_cmb_idlist.h>
#include <knuminput.h>
#include <squeezedcombobox.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqgroupbox.h>
#include <ntqtextedit.h>
#include <ntqframe.h>
#include <ntqslider.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kis_cmb_idlist.h"
#include "squeezedcombobox.h"

/*
 *  Constructs a WdgNewImage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgNewImage::WdgNewImage( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgNewImage" );
    WdgNewImageLayout = new TQVBoxLayout( this, 0, 6, "WdgNewImageLayout"); 

    lblName = new TQLabel( this, "lblName" );
    WdgNewImageLayout->addWidget( lblName );

    txtName = new TQLineEdit( this, "txtName" );
    WdgNewImageLayout->addWidget( txtName );

    grpImage = new TQGroupBox( this, "grpImage" );
    grpImage->setColumnLayout(0, TQt::Vertical );
    grpImage->layout()->setSpacing( 6 );
    grpImage->layout()->setMargin( 11 );
    grpImageLayout = new TQGridLayout( grpImage->layout() );
    grpImageLayout->setAlignment( TQt::AlignTop );

    lblHeight = new TQLabel( grpImage, "lblHeight" );

    grpImageLayout->addWidget( lblHeight, 1, 0 );

    lblWidth = new TQLabel( grpImage, "lblWidth" );

    grpImageLayout->addWidget( lblWidth, 0, 0 );

    intWidth = new KIntNumInput( grpImage, "intWidth" );
    intWidth->setValue( 1600 );
    intWidth->setMinValue( 0 );

    grpImageLayout->addWidget( intWidth, 0, 1 );

    intHeight = new KIntNumInput( grpImage, "intHeight" );
    intHeight->setValue( 1200 );
    intHeight->setMinValue( 0 );

    grpImageLayout->addWidget( intHeight, 1, 1 );

    lblResolution = new TQLabel( grpImage, "lblResolution" );

    grpImageLayout->addWidget( lblResolution, 0, 2 );

    doubleResolution = new KDoubleSpinBox( grpImage, "doubleResolution" );
    doubleResolution->setMaxValue( 500 );
    doubleResolution->setMinValue( 1 );
    doubleResolution->setLineStep( 10 );
    doubleResolution->setValue( 100 );

    grpImageLayout->addWidget( doubleResolution, 0, 3 );
    spacer1 = new TQSpacerItem( 131, 61, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    grpImageLayout->addMultiCell( spacer1, 0, 1, 4, 4 );
    WdgNewImageLayout->addWidget( grpImage );

    grpMode = new TQGroupBox( this, "grpMode" );
    grpMode->setColumnLayout(0, TQt::Vertical );
    grpMode->layout()->setSpacing( 6 );
    grpMode->layout()->setMargin( 11 );
    grpModeLayout = new TQGridLayout( grpMode->layout() );
    grpModeLayout->setAlignment( TQt::AlignTop );

    lblColorSpaces = new TQLabel( grpMode, "lblColorSpaces" );

    grpModeLayout->addWidget( lblColorSpaces, 0, 0 );

    cmbColorSpaces = new KisCmbIDList( grpMode, "cmbColorSpaces" );

    grpModeLayout->addWidget( cmbColorSpaces, 0, 1 );

    cmbProfile = new SqueezedComboBox( grpMode, "cmbProfile" );

    grpModeLayout->addWidget( cmbProfile, 1, 1 );

    lblProfiles = new TQLabel( grpMode, "lblProfiles" );

    grpModeLayout->addWidget( lblProfiles, 1, 0 );
    WdgNewImageLayout->addWidget( grpMode );

    grpContents = new TQGroupBox( this, "grpContents" );
    grpContents->setColumnLayout(0, TQt::Vertical );
    grpContents->layout()->setSpacing( 6 );
    grpContents->layout()->setMargin( 11 );
    grpContentsLayout = new TQGridLayout( grpContents->layout() );
    grpContentsLayout->setAlignment( TQt::AlignTop );

    txtDescription = new TQTextEdit( grpContents, "txtDescription" );

    grpContentsLayout->addWidget( txtDescription, 2, 1 );

    lblColor = new TQLabel( grpContents, "lblColor" );

    grpContentsLayout->addWidget( lblColor, 0, 0 );

    cmbColor = new KColorCombo( grpContents, "cmbColor" );

    grpContentsLayout->addWidget( cmbColor, 0, 1 );

    lblDescription = new TQLabel( grpContents, "lblDescription" );
    lblDescription->setAlignment( int( TQLabel::AlignTop ) );

    grpContentsLayout->addWidget( lblDescription, 2, 0 );

    lblOpacity = new TQLabel( grpContents, "lblOpacity" );

    grpContentsLayout->addWidget( lblOpacity, 1, 0 );

    opacityPanel = new TQFrame( grpContents, "opacityPanel" );
    opacityPanel->setFrameShape( TQFrame::NoFrame );
    opacityPanel->setFrameShadow( TQFrame::Plain );
    opacityPanelLayout = new TQHBoxLayout( opacityPanel, 0, 6, "opacityPanelLayout"); 

    textLabel1 = new TQLabel( opacityPanel, "textLabel1" );
    opacityPanelLayout->addWidget( textLabel1 );

    sliderOpacity = new TQSlider( opacityPanel, "sliderOpacity" );
    sliderOpacity->setMaxValue( 100 );
    sliderOpacity->setPageStep( 10 );
    sliderOpacity->setValue( 100 );
    sliderOpacity->setOrientation( TQSlider::Horizontal );
    sliderOpacity->setTickmarks( TQSlider::Below );
    sliderOpacity->setTickInterval( 20 );
    opacityPanelLayout->addWidget( sliderOpacity );

    textLabel2 = new TQLabel( opacityPanel, "textLabel2" );
    opacityPanelLayout->addWidget( textLabel2 );

    grpContentsLayout->addWidget( opacityPanel, 1, 1 );
    WdgNewImageLayout->addWidget( grpContents );

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 
    spacer2 = new TQSpacerItem( 480, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout1->addItem( spacer2 );

    m_createButton = new TQPushButton( this, "m_createButton" );
    layout1->addWidget( m_createButton );
    WdgNewImageLayout->addLayout( layout1 );
    spacer3 = new TQSpacerItem( 21, 0, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WdgNewImageLayout->addItem( spacer3 );
    languageChange();
    resize( TQSize(572, 595).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( txtName, intWidth );
    setTabOrder( intWidth, intHeight );
    setTabOrder( intHeight, doubleResolution );
    setTabOrder( doubleResolution, cmbColorSpaces );
    setTabOrder( cmbColorSpaces, cmbProfile );
    setTabOrder( cmbProfile, cmbColor );
    setTabOrder( cmbColor, sliderOpacity );
    setTabOrder( sliderOpacity, txtDescription );

    // buddies
    lblName->setBuddy( txtName );
    lblHeight->setBuddy( intHeight );
    lblWidth->setBuddy( intWidth );
    lblResolution->setBuddy( doubleResolution );
    lblColorSpaces->setBuddy( cmbColorSpaces );
    lblProfiles->setBuddy( cmbProfile );
    lblColor->setBuddy( cmbColor );
    lblDescription->setBuddy( txtDescription );
    lblOpacity->setBuddy( sliderOpacity );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgNewImage::~WdgNewImage()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgNewImage::languageChange()
{
    setCaption( tr2i18n( "New Image" ) );
    lblName->setText( tr2i18n( "&Name:" ) );
    txtName->setText( tr2i18n( "untitled-1" ) );
    grpImage->setTitle( tr2i18n( "&Image Size" ) );
    lblHeight->setText( tr2i18n( "&Height:" ) );
    lblWidth->setText( tr2i18n( "&Width:" ) );
    lblResolution->setText( tr2i18n( "&Resolution:" ) );
    doubleResolution->setSuffix( tr2i18n( " dpi" ) );
    grpMode->setTitle( tr2i18n( "Mode" ) );
    lblColorSpaces->setText( tr2i18n( "Color space:" ) );
    lblProfiles->setText( tr2i18n( "Profile:" ) );
    grpContents->setTitle( tr2i18n( "Contents" ) );
    lblColor->setText( tr2i18n( "Canvas color:" ) );
    lblDescription->setText( tr2i18n( "Description:" ) );
    lblOpacity->setText( tr2i18n( "Opacity:" ) );
    textLabel1->setText( tr2i18n( "Transparent" ) );
    TQToolTip::add( sliderOpacity, tr2i18n( "Opacity of the background color." ) );
    TQWhatsThis::add( sliderOpacity, tr2i18n( "Opacity of the background color." ) );
    textLabel2->setText( tr2i18n( "Opaque" ) );
    m_createButton->setText( tr2i18n( "Create" ) );
}

#include "wdgnewimage.moc"
