#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgrawimport.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgrawimport.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <knuminput.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kis_cmb_idlist.h"
#include "imageviewer.h"

/*
 *  Constructs a WdgRawImport as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgRawImport::WdgRawImport( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgRawImport" );
    WdgRawImportLayout = new TQGridLayout( this, 1, 1, 11, 6, "WdgRawImportLayout"); 

    bnPreview = new TQPushButton( this, "bnPreview" );

    WdgRawImportLayout->addWidget( bnPreview, 2, 2 );

    lblPreview = new ImageViewer( this, "lblPreview" );
    lblPreview->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, lblPreview->sizePolicy().hasHeightForWidth() ) );
    lblPreview->setMinimumSize( TQSize( 200, 150 ) );

    WdgRawImportLayout->addMultiCellWidget( lblPreview, 0, 1, 1, 2 );

    layout2 = new TQVBoxLayout( 0, 0, 6, "layout2"); 

    grpColorSettings = new TQGroupBox( this, "grpColorSettings" );
    grpColorSettings->setColumnLayout(0, TQt::Vertical );
    grpColorSettings->layout()->setSpacing( 6 );
    grpColorSettings->layout()->setMargin( 11 );
    grpColorSettingsLayout = new TQGridLayout( grpColorSettings->layout() );
    grpColorSettingsLayout->setAlignment( TQt::AlignTop );

    chkBlackpoint = new TQCheckBox( grpColorSettings, "chkBlackpoint" );

    grpColorSettingsLayout->addWidget( chkBlackpoint, 1, 0 );

    chkRed = new TQCheckBox( grpColorSettings, "chkRed" );

    grpColorSettingsLayout->addWidget( chkRed, 2, 0 );

    dblRed = new KDoubleSpinBox( grpColorSettings, "dblRed" );
    dblRed->setMinValue( 0.1 );
    dblRed->setValue( 1 );

    grpColorSettingsLayout->addWidget( dblRed, 2, 1 );

    chkBlue = new TQCheckBox( grpColorSettings, "chkBlue" );

    grpColorSettingsLayout->addWidget( chkBlue, 3, 0 );

    dblBlue = new KDoubleSpinBox( grpColorSettings, "dblBlue" );
    dblBlue->setMinValue( 0.1 );
    dblBlue->setValue( 1 );

    grpColorSettingsLayout->addWidget( dblBlue, 3, 1 );

    dblBlackpoint = new KDoubleSpinBox( grpColorSettings, "dblBlackpoint" );

    grpColorSettingsLayout->addWidget( dblBlackpoint, 1, 1 );

    dblBrightness = new KDoubleSpinBox( grpColorSettings, "dblBrightness" );
    dblBrightness->setMinValue( 0.1 );
    dblBrightness->setValue( 2 );

    grpColorSettingsLayout->addWidget( dblBrightness, 0, 1 );

    grpWhiteBalance = new TQButtonGroup( grpColorSettings, "grpWhiteBalance" );
    grpWhiteBalance->setExclusive( TRUE );
    grpWhiteBalance->setColumnLayout(0, TQt::Vertical );
    grpWhiteBalance->layout()->setSpacing( 6 );
    grpWhiteBalance->layout()->setMargin( 11 );
    grpWhiteBalanceLayout = new TQVBoxLayout( grpWhiteBalance->layout() );
    grpWhiteBalanceLayout->setAlignment( TQt::AlignTop );

    radioFixed = new TQRadioButton( grpWhiteBalance, "radioFixed" );
    radioFixed->setChecked( TRUE );
    grpWhiteBalanceLayout->addWidget( radioFixed );

    radioAutomatic = new TQRadioButton( grpWhiteBalance, "radioAutomatic" );
    radioAutomatic->setChecked( FALSE );
    grpWhiteBalanceLayout->addWidget( radioAutomatic );

    radioCamera = new TQRadioButton( grpWhiteBalance, "radioCamera" );
    grpWhiteBalanceLayout->addWidget( radioCamera );

    grpColorSettingsLayout->addMultiCellWidget( grpWhiteBalance, 4, 4, 0, 1 );

    chkBrightness = new TQCheckBox( grpColorSettings, "chkBrightness" );

    grpColorSettingsLayout->addWidget( chkBrightness, 0, 0 );
    layout2->addWidget( grpColorSettings );

    grpColorSpace = new TQButtonGroup( this, "grpColorSpace" );
    grpColorSpace->setExclusive( TRUE );
    grpColorSpace->setColumnLayout(0, TQt::Vertical );
    grpColorSpace->layout()->setSpacing( 6 );
    grpColorSpace->layout()->setMargin( 11 );
    grpColorSpaceLayout = new TQGridLayout( grpColorSpace->layout() );
    grpColorSpaceLayout->setAlignment( TQt::AlignTop );

    radioGray = new TQRadioButton( grpColorSpace, "radioGray" );

    grpColorSpaceLayout->addWidget( radioGray, 0, 0 );

    radioRGB = new TQRadioButton( grpColorSpace, "radioRGB" );
    radioRGB->setChecked( TRUE );

    grpColorSpaceLayout->addWidget( radioRGB, 1, 0 );
    layout2->addWidget( grpColorSpace );

    grpChannelDepth = new TQButtonGroup( this, "grpChannelDepth" );
    grpChannelDepth->setCheckable( FALSE );
    grpChannelDepth->setExclusive( TRUE );
    grpChannelDepth->setProperty( "selectedId", 0 );
    grpChannelDepth->setColumnLayout(0, TQt::Vertical );
    grpChannelDepth->layout()->setSpacing( 6 );
    grpChannelDepth->layout()->setMargin( 11 );
    grpChannelDepthLayout = new TQGridLayout( grpChannelDepth->layout() );
    grpChannelDepthLayout->setAlignment( TQt::AlignTop );

    radio16 = new TQRadioButton( grpChannelDepth, "radio16" );
    radio16->setChecked( TRUE );

    grpChannelDepthLayout->addWidget( radio16, 1, 0 );

    radio8 = new TQRadioButton( grpChannelDepth, "radio8" );
    radio8->setChecked( FALSE );

    grpChannelDepthLayout->addWidget( radio8, 0, 0 );
    layout2->addWidget( grpChannelDepth );

    chkFourColorRGB = new TQCheckBox( this, "chkFourColorRGB" );
    layout2->addWidget( chkFourColorRGB );

    WdgRawImportLayout->addLayout( layout2, 0, 0 );
    spacer3 = new TQSpacerItem( 500, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    WdgRawImportLayout->addItem( spacer3, 2, 1 );
    spacer3_2 = new TQSpacerItem( 20, 120, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WdgRawImportLayout->addMultiCell( spacer3_2, 1, 2, 0, 0 );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    chkClip = new TQCheckBox( this, "chkClip" );
    chkClip->setChecked( TRUE );
    layout4->addWidget( chkClip );

    layout10 = new TQHBoxLayout( 0, 0, 6, "layout10"); 

    chkProfile = new TQCheckBox( this, "chkProfile" );
    layout10->addWidget( chkProfile );

    cmbProfile = new KisCmbIDList( this, "cmbProfile" );
    cmbProfile->setEnabled( TRUE );
    cmbProfile->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, cmbProfile->sizePolicy().hasHeightForWidth() ) );
    layout10->addWidget( cmbProfile );
    layout4->addLayout( layout10 );

    chkCameraColors = new TQCheckBox( this, "chkCameraColors" );
    layout4->addWidget( chkCameraColors );
    spacer4 = new TQSpacerItem( 41, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer4 );

    WdgRawImportLayout->addMultiCellLayout( layout4, 3, 3, 0, 2 );
    languageChange();
    resize( TQSize(835, 596).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( radioRGB, radio16 );
    setTabOrder( radio16, chkBrightness );
    setTabOrder( chkBrightness, dblBrightness );
    setTabOrder( dblBrightness, chkBlackpoint );
    setTabOrder( chkBlackpoint, dblBlackpoint );
    setTabOrder( dblBlackpoint, chkRed );
    setTabOrder( chkRed, dblRed );
    setTabOrder( dblRed, chkBlue );
    setTabOrder( chkBlue, dblBlue );
    setTabOrder( dblBlue, radioFixed );
    setTabOrder( radioFixed, chkFourColorRGB );
    setTabOrder( chkFourColorRGB, chkClip );
    setTabOrder( chkClip, chkProfile );
    setTabOrder( chkProfile, chkCameraColors );
    setTabOrder( chkCameraColors, bnPreview );
    setTabOrder( bnPreview, radioAutomatic );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgRawImport::~WdgRawImport()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgRawImport::languageChange()
{
    bnPreview->setText( tr2i18n( "&Update Preview" ) );
    grpColorSettings->setTitle( tr2i18n( "Color Settings" ) );
    chkBlackpoint->setText( tr2i18n( "Blackpoint:" ) );
    chkRed->setText( tr2i18n( "Red multiplier:" ) );
    chkBlue->setText( tr2i18n( "Blue multiplier:" ) );
    TQToolTip::add( dblBrightness, tr2i18n( "Brightness. 1.0 is default" ) );
    grpWhiteBalance->setTitle( tr2i18n( "&White Balance" ) );
    radioFixed->setText( tr2i18n( "White card in sunlight" ) );
    radioAutomatic->setText( tr2i18n( "Automatic" ) );
    TQToolTip::add( radioAutomatic, tr2i18n( "Automatic color balance. The default is to use a fixed color balance based on a white card photographed in sunlight." ) );
    radioCamera->setText( tr2i18n( "From camera" ) );
    TQToolTip::add( radioCamera, tr2i18n( "\n"
" Use the color balance specified by the camera. If this cannot be found, dcraw prints a warning and reverts to the default. " ) );
    chkBrightness->setText( tr2i18n( "Brightness:" ) );
    grpColorSpace->setTitle( tr2i18n( "Colorspace" ) );
    radioGray->setText( tr2i18n( "&Document mode" ) );
    radioRGB->setText( tr2i18n( "&RGB" ) );
    grpChannelDepth->setTitle( tr2i18n( "Channel Depth" ) );
    radio16->setText( tr2i18n( "&16 bits per channel" ) );
    radio8->setText( tr2i18n( "&8 bits per channel" ) );
    chkFourColorRGB->setText( tr2i18n( "&Interpolate RGB as four colors" ) );
    TQToolTip::add( chkFourColorRGB, tr2i18n( "Interpolate RGB as four colors. This blurs the image a little, but it eliminates false 2x2 mesh patterns. " ) );
    chkClip->setText( tr2i18n( "Clip colors to prevent pink highlights" ) );
    TQToolTip::add( chkClip, tr2i18n( "By default, dcraw clips all colors to prevent pink hues in the highlights. Combine this option with -b 0.25 to leave the image data completely unclipped." ) );
    chkProfile->setText( TQString::null );
    chkCameraColors->setText( tr2i18n( "Use camera raw colors, not sRGB" ) );
}

#include "wdgrawimport.moc"
