#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kivio_imageexportwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kivio_imageexportwidget.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqcombobox.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Kivio::ImageExportWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Kivio::ImageExportWidget::ImageExportWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Kivio::ImageExportWidget" );
    ImageExportWidgetLayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "ImageExportWidgetLayout"); 
    spacer3 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ImageExportWidgetLayout->addItem( spacer3, 5, 1 );

    m_pageLabel = new TQLabel( this, "m_pageLabel" );

    ImageExportWidgetLayout->addWidget( m_pageLabel, 0, 0 );

    m_exportAreaLabel = new TQLabel( this, "m_exportAreaLabel" );

    ImageExportWidgetLayout->addWidget( m_exportAreaLabel, 1, 0 );

    m_DPILabel = new TQLabel( this, "m_DPILabel" );

    ImageExportWidgetLayout->addWidget( m_DPILabel, 3, 0 );

    m_marginLabel = new TQLabel( this, "m_marginLabel" );

    ImageExportWidgetLayout->addWidget( m_marginLabel, 4, 0 );
    spacer7 = new TQSpacerItem( 60, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    ImageExportWidgetLayout->addItem( spacer7, 3, 2 );

    m_marginSpinBox = new TQSpinBox( this, "m_marginSpinBox" );

    ImageExportWidgetLayout->addWidget( m_marginSpinBox, 4, 1 );
    spacer4_2_2 = new TQSpacerItem( 70, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    ImageExportWidgetLayout->addItem( spacer4_2_2, 4, 2 );

    m_DPIcomboBox = new TQComboBox( FALSE, this, "m_DPIcomboBox" );
    m_DPIcomboBox->setEditable( TRUE );

    ImageExportWidgetLayout->addWidget( m_DPIcomboBox, 3, 1 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    ImageExportWidgetLayout->addMultiCellWidget( line1, 2, 2, 0, 2 );

    m_exportAreaCombo = new KComboBox( FALSE, this, "m_exportAreaCombo" );

    ImageExportWidgetLayout->addMultiCellWidget( m_exportAreaCombo, 1, 1, 1, 2 );

    m_pageCombo = new KComboBox( FALSE, this, "m_pageCombo" );

    ImageExportWidgetLayout->addMultiCellWidget( m_pageCombo, 0, 0, 1, 2 );
    languageChange();
    resize( TQSize(296, 132).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Kivio::ImageExportWidget::~ImageExportWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Kivio::ImageExportWidget::languageChange()
{
    m_pageLabel->setText( tr2i18n( "Page:" ) );
    m_exportAreaLabel->setText( tr2i18n( "Area to export:" ) );
    m_DPILabel->setText( tr2i18n( "Bitmap DPI:" ) );
    TQToolTip::add( m_DPILabel, tr2i18n( "Set the resolution of the resulting bitmap image" ) );
    m_marginLabel->setText( tr2i18n( "Margin (Pixels):" ) );
    m_DPIcomboBox->clear();
    m_DPIcomboBox->insertItem( tr2i18n( "72" ) );
    m_DPIcomboBox->insertItem( tr2i18n( "96" ) );
    m_DPIcomboBox->insertItem( tr2i18n( "150" ) );
    m_DPIcomboBox->insertItem( tr2i18n( "300" ) );
    m_DPIcomboBox->insertItem( tr2i18n( "600" ) );
    m_DPIcomboBox->insertItem( tr2i18n( "720" ) );
    m_DPIcomboBox->insertItem( tr2i18n( "1200" ) );
    TQToolTip::add( m_DPIcomboBox, tr2i18n( "Set the resolution of the resulting bitmap image" ) );
    m_exportAreaCombo->clear();
    m_exportAreaCombo->insertItem( tr2i18n( "Objects on Page" ) );
    m_exportAreaCombo->insertItem( tr2i18n( "Complete Page" ) );
}

#include "kivio_imageexportwidget.moc"
