#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ExportDialogUI.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ExportDialogUI.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ExportDialogUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ExportDialogUI::ExportDialogUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ExportDialogUI" );
    ExportDialogUILayout = new TQVBoxLayout( this, 11, 6, "ExportDialogUILayout"); 

    layout3 = new TQHBoxLayout( 0, 0, 6, "layout3"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setTextFormat( TQLabel::PlainText );
    layout3->addWidget( textLabel1 );

    comboBoxEncoding = new KComboBox( FALSE, this, "comboBoxEncoding" );
    comboBoxEncoding->setEditable( TRUE );
    layout3->addWidget( comboBoxEncoding );
    Spacer2 = new TQSpacerItem( 106, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout3->addItem( Spacer2 );
    ExportDialogUILayout->addLayout( layout3 );

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new TQVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    radioDocType1 = new TQRadioButton( buttonGroup1, "radioDocType1" );
    radioDocType1->setFocusPolicy( TQRadioButton::NoFocus );
    radioDocType1->setChecked( FALSE );
    buttonGroup1Layout->addWidget( radioDocType1 );

    radioDocType2 = new TQRadioButton( buttonGroup1, "radioDocType2" );
    radioDocType2->setChecked( TRUE );
    buttonGroup1Layout->addWidget( radioDocType2 );
    ExportDialogUILayout->addWidget( buttonGroup1 );

    buttonGroupMode = new TQButtonGroup( this, "buttonGroupMode" );
    buttonGroupMode->setColumnLayout(0, TQt::Vertical );
    buttonGroupMode->layout()->setSpacing( 6 );
    buttonGroupMode->layout()->setMargin( 11 );
    buttonGroupModeLayout = new TQVBoxLayout( buttonGroupMode->layout() );
    buttonGroupModeLayout->setAlignment( TQt::AlignTop );

    radioModeLight = new TQRadioButton( buttonGroupMode, "radioModeLight" );
    radioModeLight->setEnabled( TRUE );
    radioModeLight->setFocusPolicy( TQRadioButton::NoFocus );
    buttonGroupModeLayout->addWidget( radioModeLight );

    radioModeBasic = new TQRadioButton( buttonGroupMode, "radioModeBasic" );
    radioModeBasic->setEnabled( TRUE );
    radioModeBasic->setFocusPolicy( TQRadioButton::NoFocus );
    radioModeBasic->setChecked( FALSE );
    buttonGroupModeLayout->addWidget( radioModeBasic );

    radioModeEnhanced = new TQRadioButton( buttonGroupMode, "radioModeEnhanced" );
    radioModeEnhanced->setChecked( TRUE );
    buttonGroupModeLayout->addWidget( radioModeEnhanced );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 
    spacer7 = new TQSpacerItem( 16, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    layout6->addItem( spacer7 );

    layout5 = new TQVBoxLayout( 0, 0, 6, "layout5"); 

    checkExternalCSS = new TQCheckBox( buttonGroupMode, "checkExternalCSS" );
    layout5->addWidget( checkExternalCSS );

    KURL_ExternalCSS = new KURLRequester( buttonGroupMode, "KURL_ExternalCSS" );
    KURL_ExternalCSS->setEnabled( FALSE );
    layout5->addWidget( KURL_ExternalCSS );
    layout6->addLayout( layout5 );
    buttonGroupModeLayout->addLayout( layout6 );
    ExportDialogUILayout->addWidget( buttonGroupMode );
    Spacer1 = new TQSpacerItem( 20, 90, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ExportDialogUILayout->addItem( Spacer1 );
    languageChange();
    resize( TQSize(289, 300).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( comboBoxEncoding, radioDocType1 );
    setTabOrder( radioDocType1, radioDocType2 );
    setTabOrder( radioDocType2, radioModeBasic );
    setTabOrder( radioModeBasic, radioModeLight );
    setTabOrder( radioModeLight, radioModeEnhanced );

    // buddies
    textLabel1->setBuddy( comboBoxEncoding );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ExportDialogUI::~ExportDialogUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ExportDialogUI::languageChange()
{
    setCaption( tr2i18n( "HTML Export Dialog" ) );
    textLabel1->setText( tr2i18n( "E&ncoding:" ) );
    buttonGroup1->setTitle( tr2i18n( "Document Type" ) );
    radioDocType1->setText( tr2i18n( "&HTML 4.01" ) );
    TQToolTip::add( radioDocType1, tr2i18n( "HTML 4.01 (For older HTML user agents) " ) );
    radioDocType2->setText( tr2i18n( "&XHTML 1.0" ) );
    TQToolTip::add( radioDocType2, tr2i18n( "XHTML 1.0" ) );
    buttonGroupMode->setTitle( tr2i18n( "Mode" ) );
    radioModeLight->setText( tr2i18n( "L&ight: Convert to strict (X)HTML" ) );
    TQToolTip::add( radioModeLight, tr2i18n( "Convert mainly the document structure (Recommended for exporting to browsers with limited capabilities)" ) );
    radioModeBasic->setText( tr2i18n( "&Basic: Convert to transitional (X)HTML" ) );
    TQToolTip::add( radioModeBasic, tr2i18n( "Convert most of the document (Recommended for re-importing in KWord or for exporting to older browsers)" ) );
    radioModeEnhanced->setText( tr2i18n( "&Enhanced: Convert to (X)HTML with CSS" ) );
    TQToolTip::add( radioModeEnhanced, tr2i18n( "Convert as much as possible of the KWord document (Recommended for exporting to other modern word processors or to modern browsers)" ) );
    checkExternalCSS->setText( tr2i18n( "Use external CSS sheet:" ) );
    TQToolTip::add( KURL_ExternalCSS, tr2i18n( "Enter the location of the CSS file in this field" ) );
}

#include "ExportDialogUI.moc"
