#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ImportDialogUI.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ImportDialogUI.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqcombobox.h>
#include <ntqradiobutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ImportDialogUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ImportDialogUI::ImportDialogUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ImportDialogUI" );
    ImportDialogUILayout = new TQVBoxLayout( this, 11, 6, "ImportDialogUILayout"); 

    buttonGroupEncoding = new TQButtonGroup( this, "buttonGroupEncoding" );
    buttonGroupEncoding->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)5, 0, 0, buttonGroupEncoding->sizePolicy().hasHeightForWidth() ) );
    buttonGroupEncoding->setColumnLayout(0, TQt::Vertical );
    buttonGroupEncoding->layout()->setSpacing( 6 );
    buttonGroupEncoding->layout()->setMargin( 11 );
    buttonGroupEncodingLayout = new TQGridLayout( buttonGroupEncoding->layout() );
    buttonGroupEncodingLayout->setAlignment( TQt::AlignTop );

    comboBoxEncoding = new TQComboBox( FALSE, buttonGroupEncoding, "comboBoxEncoding" );
    comboBoxEncoding->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, comboBoxEncoding->sizePolicy().hasHeightForWidth() ) );

    buttonGroupEncodingLayout->addMultiCellWidget( comboBoxEncoding, 1, 1, 1, 2 );

    radioEncodingOther = new TQRadioButton( buttonGroupEncoding, "radioEncodingOther" );
    radioEncodingOther->setChecked( FALSE );
    buttonGroupEncoding->insert( radioEncodingOther, 1 );

    buttonGroupEncodingLayout->addWidget( radioEncodingOther, 1, 0 );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    buttonGroupEncodingLayout->addItem( Spacer5, 1, 3 );

    radioEncodingDefault = new TQRadioButton( buttonGroupEncoding, "radioEncodingDefault" );
    radioEncodingDefault->setChecked( TRUE );
    buttonGroupEncoding->insert( radioEncodingDefault, 0 );

    buttonGroupEncodingLayout->addMultiCellWidget( radioEncodingDefault, 0, 0, 0, 1 );
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    buttonGroupEncodingLayout->addMultiCell( Spacer4, 0, 0, 2, 3 );
    ImportDialogUILayout->addWidget( buttonGroupEncoding );

    groupAdvanced = new TQGroupBox( this, "groupAdvanced" );
    groupAdvanced->setColumnLayout(0, TQt::Vertical );
    groupAdvanced->layout()->setSpacing( 6 );
    groupAdvanced->layout()->setMargin( 11 );
    groupAdvancedLayout = new TQGridLayout( groupAdvanced->layout() );
    groupAdvancedLayout->setAlignment( TQt::AlignTop );

    checkBoxLinespacing = new TQCheckBox( groupAdvanced, "checkBoxLinespacing" );
    checkBoxLinespacing->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, checkBoxLinespacing->sizePolicy().hasHeightForWidth() ) );

    groupAdvancedLayout->addMultiCellWidget( checkBoxLinespacing, 0, 0, 0, 1 );
    Spacer3 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupAdvancedLayout->addItem( Spacer3, 0, 2 );

    checkBoxImageOffset = new TQCheckBox( groupAdvanced, "checkBoxImageOffset" );
    checkBoxImageOffset->setChecked( TRUE );

    groupAdvancedLayout->addWidget( checkBoxImageOffset, 1, 0 );
    Spacer5_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupAdvancedLayout->addMultiCell( Spacer5_2, 1, 1, 1, 2 );
    ImportDialogUILayout->addWidget( groupAdvanced );
    Spacer6 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ImportDialogUILayout->addItem( Spacer6 );
    languageChange();
    resize( TQSize(343, 221).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( radioEncodingDefault, comboBoxEncoding );
    setTabOrder( comboBoxEncoding, checkBoxLinespacing );
    setTabOrder( checkBoxLinespacing, checkBoxImageOffset );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ImportDialogUI::~ImportDialogUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ImportDialogUI::languageChange()
{
    setCaption( tr2i18n( "MS Write Import Dialog" ) );
    buttonGroupEncoding->setTitle( tr2i18n( "&Encoding" ) );
    TQWhatsThis::add( buttonGroupEncoding, tr2i18n( "Select the encoding of the Write document.<br><br>Try the Default  Encoding (CP 1252), if unsure." ) );
    radioEncodingOther->setText( tr2i18n( "&Other encoding:" ) );
    radioEncodingDefault->setText( tr2i18n( "&Default encoding (CP 1252)" ) );
    TQWhatsThis::add( radioEncodingDefault, tr2i18n( "Most Write documents are stored using this encoding (also known as windows-1252).<br><br>Select this if unsure." ) );
    groupAdvanced->setTitle( tr2i18n( "&Advanced" ) );
    TQWhatsThis::add( groupAdvanced, tr2i18n( "These advanced options allow you to fine-tune the importing of formatting information. They compensate for differences between KWord and MS Write by adding extra formatting information (not found in the original document), to try to make the imported document look as close to the original as possible.<br><br>It is safe to use the defaults, if unsure." ) );
    checkBoxLinespacing->setText( tr2i18n( "Compensate for &linespacing differences" ) );
    TQToolTip::add( checkBoxLinespacing, TQString::null );
    TQWhatsThis::add( checkBoxLinespacing, tr2i18n( "Try to simulate Write's linespacing by adding some spaces before each paragraph." ) );
    checkBoxImageOffset->setText( tr2i18n( "Enable &image positioning" ) );
    TQWhatsThis::add( checkBoxImageOffset, tr2i18n( "Use paragraph indentation to position images." ) );
}

#include "ImportDialogUI.moc"
