#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kptsummarytaskgeneralpanelbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kptsummarytaskgeneralpanelbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ktextedit.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KPlato::SummaryTaskGeneralPanelBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::SummaryTaskGeneralPanelBase::SummaryTaskGeneralPanelBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SummaryTaskGeneralPanelBase" );
    setMinimumSize( TQSize( 400, 0 ) );
    SummaryTaskGeneralPanelBaseLayout = new TQVBoxLayout( this, 0, 6, "SummaryTaskGeneralPanelBaseLayout"); 

    layout11 = new TQHBoxLayout( 0, 0, 6, "layout11"); 

    layout9 = new TQVBoxLayout( 0, 0, 6, "layout9"); 

    wbslabel = new TQLabel( this, "wbslabel" );
    layout9->addWidget( wbslabel );

    namelabel = new TQLabel( this, "namelabel" );
    layout9->addWidget( namelabel );

    leaderlabel = new TQLabel( this, "leaderlabel" );
    layout9->addWidget( leaderlabel );
    layout11->addLayout( layout9 );

    layout10 = new TQVBoxLayout( 0, 0, 6, "layout10"); 

    layout7 = new TQHBoxLayout( 0, 0, 6, "layout7"); 

    wbsfield = new TQLabel( this, "wbsfield" );
    layout7->addWidget( wbsfield );
    spacer1 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout7->addItem( spacer1 );

    idlabel = new TQLabel( this, "idlabel" );
    layout7->addWidget( idlabel );

    idfield = new KLineEdit( this, "idfield" );
    idfield->setFocusPolicy( KLineEdit::WheelFocus );
    layout7->addWidget( idfield );
    layout10->addLayout( layout7 );

    namefield = new KLineEdit( this, "namefield" );
    namefield->setFocusPolicy( KLineEdit::WheelFocus );
    layout10->addWidget( namefield );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    leaderfield = new KLineEdit( this, "leaderfield" );
    leaderfield->setFocusPolicy( KLineEdit::WheelFocus );
    layout6->addWidget( leaderfield );

    chooseLeader = new TQPushButton( this, "chooseLeader" );
    layout6->addWidget( chooseLeader );
    layout10->addLayout( layout6 );
    layout11->addLayout( layout10 );
    SummaryTaskGeneralPanelBaseLayout->addLayout( layout11 );

    descriptionlabell6 = new TQLabel( this, "descriptionlabell6" );
    SummaryTaskGeneralPanelBaseLayout->addWidget( descriptionlabell6 );

    descriptionfield = new KTextEdit( this, "descriptionfield" );
    SummaryTaskGeneralPanelBaseLayout->addWidget( descriptionfield );
    languageChange();
    resize( TQSize(400, 250).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections

    // tab order
    setTabOrder( namefield, leaderfield );
    setTabOrder( leaderfield, chooseLeader );
    setTabOrder( chooseLeader, descriptionfield );
    setTabOrder( descriptionfield, idfield );
    setTabOrder( idfield, wbsfield );

    // buddies
    namelabel->setBuddy( namefield );
    leaderlabel->setBuddy( leaderfield );
    idlabel->setBuddy( idfield );
    descriptionlabell6->setBuddy( descriptionfield );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::SummaryTaskGeneralPanelBase::~SummaryTaskGeneralPanelBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::SummaryTaskGeneralPanelBase::languageChange()
{
    setCaption( tr2i18n( "SummaryTaskGeneralPanelBase" ) );
    wbslabel->setText( tr2i18n( "WBS:" ) );
    TQToolTip::add( wbslabel, tr2i18n( "Work Breakdown Structure" ) );
    TQWhatsThis::add( wbslabel, tr2i18n( "The Work Breakdown Structure introduces numbering for all tasks in the project, according to the task structure.\n"
"\n"
"The WBS code is auto-generated; simply choose Generate WBS Code from the Tools menu to generate the WBS code for the project." ) );
    namelabel->setText( tr2i18n( "Name:" ) );
    TQWhatsThis::add( namelabel, tr2i18n( "The name of the Task." ) );
    leaderlabel->setText( tr2i18n( "Responsible:" ) );
    TQWhatsThis::add( leaderlabel, tr2i18n( "The person responsible for this task.\n"
"\n"
"This is not limited to persons available in a resource group but can be anyone. You can even directly access your address book with the Choose button." ) );
    wbsfield->setText( TQString::null );
    idlabel->setText( tr2i18n( "Task id:" ) );
    TQWhatsThis::add( idlabel, tr2i18n( "This is the unique identifier for this task." ) );
    TQWhatsThis::add( namefield, tr2i18n( "The name of the Task." ) );
    TQWhatsThis::add( leaderfield, tr2i18n( "The person responsible for this task.\n"
"\n"
"This is not limited to persons available in a resource group but can be anyone. You can even directly access your address book with the Choose button." ) );
    chooseLeader->setText( tr2i18n( "Choose..." ) );
    TQToolTip::add( chooseLeader, tr2i18n( "Insert a person from your address book." ) );
    descriptionlabell6->setText( tr2i18n( "Note:" ) );
}

#include "kptsummarytaskgeneralpanelbase.moc"
