#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './relationpanel.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "relationpanel.h"

#include <ntqvariant.h>
#include <kptdurationwidget.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqframe.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kptdurationwidget.h"

/*
 *  Constructs a KPlato::RelationPanel as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::RelationPanel::RelationPanel( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "RelationPanel" );
    setEnabled( TRUE );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 0 ) );
    RelationPanelLayout = new TQVBoxLayout( this, 3, 6, "RelationPanelLayout"); 
    RelationPanelLayout->setResizeMode( TQLayout::FreeResize );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setMinimumSize( TQSize( 300, 0 ) );
    groupBox1->setFrameShadow( TQGroupBox::Plain );
    groupBox1->setLineWidth( 0 );
    groupBox1->setMargin( 0 );
    groupBox1->setMidLineWidth( 0 );
    groupBox1->setFlat( FALSE );
    groupBox1->setCheckable( FALSE );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 2 );
    groupBox1->layout()->setMargin( 5 );
    groupBox1Layout = new TQVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    frame3 = new TQFrame( groupBox1, "frame3" );
    frame3->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)7, 0, 0, frame3->sizePolicy().hasHeightForWidth() ) );
    frame3->setFrameShape( TQFrame::StyledPanel );
    frame3->setFrameShadow( TQFrame::Raised );
    frame3Layout = new TQGridLayout( frame3, 1, 1, 11, 6, "frame3Layout"); 

    textLabel2 = new TQLabel( frame3, "textLabel2" );
    textLabel2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel2->sizePolicy().hasHeightForWidth() ) );
    textLabel2->setAlignment( int( TQLabel::AlignTop ) );

    frame3Layout->addWidget( textLabel2, 0, 0 );

    textLabel3 = new TQLabel( frame3, "textLabel3" );
    textLabel3->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );
    textLabel3->setAlignment( int( TQLabel::AlignTop ) );

    frame3Layout->addWidget( textLabel3, 1, 0 );

    fromName = new TQLabel( frame3, "fromName" );
    fromName->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignTop ) );

    frame3Layout->addWidget( fromName, 0, 1 );

    toName = new TQLabel( frame3, "toName" );
    toName->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignTop ) );

    frame3Layout->addWidget( toName, 1, 1 );
    groupBox1Layout->addWidget( frame3 );

    relationType = new TQButtonGroup( groupBox1, "relationType" );
    relationType->setColumnLayout(0, TQt::Vertical );
    relationType->layout()->setSpacing( 6 );
    relationType->layout()->setMargin( 11 );
    relationTypeLayout = new TQVBoxLayout( relationType->layout() );
    relationTypeLayout->setAlignment( TQt::AlignTop );

    radioButton1 = new TQRadioButton( relationType, "radioButton1" );
    relationTypeLayout->addWidget( radioButton1 );

    radioButton1_2 = new TQRadioButton( relationType, "radioButton1_2" );
    relationTypeLayout->addWidget( radioButton1_2 );

    radioButton1_3 = new TQRadioButton( relationType, "radioButton1_3" );
    relationTypeLayout->addWidget( radioButton1_3 );
    groupBox1Layout->addWidget( relationType );

    layout9 = new TQVBoxLayout( 0, 0, 6, "layout9"); 

    textLabel1 = new TQLabel( groupBox1, "textLabel1" );
    textLabel1->setAlignment( int( TQLabel::AlignBottom ) );
    layout9->addWidget( textLabel1 );

    lag = new KPlato::DurationWidget( groupBox1, "lag" );
    lag->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, lag->sizePolicy().hasHeightForWidth() ) );
    lag->setMinimumSize( TQSize( 0, 0 ) );
    layout9->addWidget( lag );
    groupBox1Layout->addLayout( layout9 );
    RelationPanelLayout->addWidget( groupBox1 );
    languageChange();
    resize( TQSize(306, 232).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::RelationPanel::~RelationPanel()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::RelationPanel::languageChange()
{
    setCaption( tr2i18n( "RelationPanel" ) );
    groupBox1->setTitle( TQString::null );
    textLabel2->setText( tr2i18n( "From:" ) );
    textLabel3->setText( tr2i18n( "To:" ) );
    fromName->setText( tr2i18n( "Task 1" ) );
    toName->setText( tr2i18n( "Task 2" ) );
    relationType->setTitle( tr2i18n( "Relationship Type" ) );
    radioButton1->setText( tr2i18n( "Finish-Start" ) );
    radioButton1_2->setText( tr2i18n( "Finish-Finish" ) );
    radioButton1_3->setText( tr2i18n( "Start-Start" ) );
    textLabel1->setText( tr2i18n( "Lag:" ) );
}

#include "relationpanel.moc"
