#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './resourcespanelbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "resourcespanelbase.h"

#include <ntqvariant.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlineedit.h>
#include <ntqlistbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KPlato::ResourcesPanelBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::ResourcesPanelBase::ResourcesPanelBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ResourcesPanelBase" );
    setMinimumSize( TQSize( 500, 200 ) );
    ResourcesPanelBaseLayout = new TQHBoxLayout( this, 11, 6, "ResourcesPanelBaseLayout"); 

    layout5 = new TQVBoxLayout( 0, 0, 6, "layout5"); 

    listOfGroups = new TDEListView( this, "listOfGroups" );
    listOfGroups->addColumn( tr2i18n( "Resource Group" ) );
    layout5->addWidget( listOfGroups );

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    bAdd = new TQPushButton( this, "bAdd" );
    layout1->addWidget( bAdd );

    bRemove = new TQPushButton( this, "bRemove" );
    layout1->addWidget( bRemove );
    layout5->addLayout( layout1 );
    ResourcesPanelBaseLayout->addLayout( layout5 );

    resourceGroupBox = new TQGroupBox( this, "resourceGroupBox" );
    resourceGroupBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 1, 0, resourceGroupBox->sizePolicy().hasHeightForWidth() ) );
    resourceGroupBox->setColumnLayout(0, TQt::Vertical );
    resourceGroupBox->layout()->setSpacing( 6 );
    resourceGroupBox->layout()->setMargin( 11 );
    resourceGroupBoxLayout = new TQHBoxLayout( resourceGroupBox->layout() );
    resourceGroupBoxLayout->setAlignment( TQt::AlignTop );

    layout51 = new TQVBoxLayout( 0, 0, 6, "layout51"); 

    resourceName = new TQLineEdit( resourceGroupBox, "resourceName" );
    layout51->addWidget( resourceName );

    listOfResources = new TQListBox( resourceGroupBox, "listOfResources" );
    listOfResources->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, listOfResources->sizePolicy().hasHeightForWidth() ) );
    layout51->addWidget( listOfResources );
    resourceGroupBoxLayout->addLayout( layout51 );

    layout5_2 = new TQVBoxLayout( 0, 0, 6, "layout5_2"); 

    bAddResource = new TQPushButton( resourceGroupBox, "bAddResource" );
    layout5_2->addWidget( bAddResource );

    bEditResource = new TQPushButton( resourceGroupBox, "bEditResource" );
    layout5_2->addWidget( bEditResource );

    bRemoveResource = new TQPushButton( resourceGroupBox, "bRemoveResource" );
    layout5_2->addWidget( bRemoveResource );
    spacer9 = new TQSpacerItem( 20, 220, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout5_2->addItem( spacer9 );
    resourceGroupBoxLayout->addLayout( layout5_2 );
    ResourcesPanelBaseLayout->addWidget( resourceGroupBox );
    languageChange();
    resize( TQSize(510, 227).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::ResourcesPanelBase::~ResourcesPanelBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::ResourcesPanelBase::languageChange()
{
    setCaption( tr2i18n( "ResourcesPanelBase" ) );
    listOfGroups->header()->setLabel( 0, tr2i18n( "Resource Group" ) );
    bAdd->setText( tr2i18n( "&New" ) );
    bRemove->setText( tr2i18n( "&Remove" ) );
    resourceGroupBox->setTitle( tr2i18n( "Resource" ) );
    bAddResource->setText( tr2i18n( "New..." ) );
    bEditResource->setText( tr2i18n( "Edit..." ) );
    bRemoveResource->setText( tr2i18n( "Remove" ) );
}

#include "resourcespanelbase.moc"
