#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './standardworktimedialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "standardworktimedialogbase.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KPlato::StandardWorktimeDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::StandardWorktimeDialogBase::StandardWorktimeDialogBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "StandardWorktimeDialogBase" );
    StandardWorktimeDialogBaseLayout = new TQVBoxLayout( this, 0, 6, "StandardWorktimeDialogBaseLayout"); 

    layout10 = new TQGridLayout( 0, 1, 1, 0, 6, "layout10"); 

    textLabel4 = new TQLabel( this, "textLabel4" );

    layout10->addWidget( textLabel4, 3, 0 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    layout10->addWidget( textLabel2, 1, 0 );

    textLabe3 = new TQLabel( this, "textLabe3" );

    layout10->addWidget( textLabe3, 2, 0 );

    month = new KDoubleSpinBox( this, "month" );
    month->setFocusPolicy( KDoubleSpinBox::WheelFocus );
    month->setMaxValue( 744 );
    month->setMinValue( 1 );

    layout10->addWidget( month, 1, 1 );

    day = new KDoubleSpinBox( this, "day" );
    day->setFocusPolicy( KDoubleSpinBox::WheelFocus );
    day->setMaxValue( 24 );
    day->setMinValue( 1 );

    layout10->addWidget( day, 3, 1 );

    year = new KDoubleSpinBox( this, "year" );
    year->setFocusPolicy( KDoubleSpinBox::WheelFocus );
    year->setMaxValue( 8784 );
    year->setMinValue( 1 );

    layout10->addWidget( year, 0, 1 );

    week = new KDoubleSpinBox( this, "week" );
    week->setFocusPolicy( KDoubleSpinBox::WheelFocus );
    week->setMaxValue( 168 );
    week->setMinValue( 1 );

    layout10->addWidget( week, 2, 1 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    layout10->addWidget( textLabel1, 0, 0 );
    StandardWorktimeDialogBaseLayout->addLayout( layout10 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    weekdayList = new TDEListView( groupBox1, "weekdayList" );
    weekdayList->addColumn( tr2i18n( "Weekday" ) );
    weekdayList->addColumn( tr2i18n( "Hours" ) );
    weekdayList->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, weekdayList->sizePolicy().hasHeightForWidth() ) );
    weekdayList->setMinimumSize( TQSize( 160, 210 ) );
    weekdayList->setProperty( "selectionMode", "Extended" );
    weekdayList->setItemMargin( 4 );
    groupBox1Layout->addWidget( weekdayList );

    editBox = new TQGroupBox( groupBox1, "editBox" );
    editBox->setColumnLayout(0, TQt::Vertical );
    editBox->layout()->setSpacing( 6 );
    editBox->layout()->setMargin( 11 );
    editBoxLayout = new TQGridLayout( editBox->layout() );
    editBoxLayout->setAlignment( TQt::AlignTop );

    state = new KComboBox( FALSE, editBox, "state" );

    editBoxLayout->addWidget( state, 0, 0 );

    bApply = new TQPushButton( editBox, "bApply" );

    editBoxLayout->addWidget( bApply, 0, 1 );

    intervalBox = new TQGroupBox( editBox, "intervalBox" );
    intervalBox->setFrameShape( TQGroupBox::GroupBoxPanel );
    intervalBox->setFrameShadow( TQGroupBox::Sunken );
    intervalBox->setLineWidth( 1 );

    editBoxLayout->addMultiCellWidget( intervalBox, 1, 1, 0, 1 );
    groupBox1Layout->addWidget( editBox );
    StandardWorktimeDialogBaseLayout->addWidget( groupBox1 );
    languageChange();
    resize( TQSize(417, 368).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( day, weekdayList );
    setTabOrder( weekdayList, state );
    setTabOrder( state, bApply );
    setTabOrder( bApply, year );
    setTabOrder( year, month );
    setTabOrder( month, week );

    // buddies
    textLabel4->setBuddy( day );
    textLabel2->setBuddy( month );
    textLabe3->setBuddy( week );
    textLabel1->setBuddy( year );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::StandardWorktimeDialogBase::~StandardWorktimeDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::StandardWorktimeDialogBase::languageChange()
{
    setCaption( tr2i18n( "StandardWorktime" ) );
    TQWhatsThis::add( this, tr2i18n( "These values are used when you estimate the effort needed to complete a task." ) );
    textLabel4->setText( tr2i18n( "Hours per day:" ) );
    textLabel2->setText( tr2i18n( "Hours per month:" ) );
    textLabe3->setText( tr2i18n( "Hours per week:" ) );
    TQToolTip::add( month, tr2i18n( "Number of working hours in a normal month." ) );
    TQToolTip::add( day, tr2i18n( "Number of working hours in a normal day." ) );
    TQToolTip::add( year, tr2i18n( "Number of working hours in a normal year." ) );
    TQToolTip::add( week, tr2i18n( "Number of working hours in a normal week." ) );
    textLabel1->setText( tr2i18n( "Hours per year:" ) );
    groupBox1->setTitle( tr2i18n( "Working Hours" ) );
    TQToolTip::add( groupBox1, tr2i18n( "Define standard weekly working hours." ) );
    TQWhatsThis::add( groupBox1, tr2i18n( "The working hours defined here will be used\n"
"when there is no calendar defined for a resource." ) );
    weekdayList->header()->setLabel( 0, tr2i18n( "Weekday" ) );
    weekdayList->header()->setLabel( 1, tr2i18n( "Hours" ) );
    editBox->setTitle( TQString::null );
    state->clear();
    state->insertItem( tr2i18n( "Non-working" ) );
    state->insertItem( tr2i18n( "Working" ) );
    bApply->setText( tr2i18n( "Apply" ) );
    intervalBox->setTitle( TQString::null );
}

#include "standardworktimedialogbase.moc"
