#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './piepropertyui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "piepropertyui.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <KPrPiePreview.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PiePropertyUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PiePropertyUI::PiePropertyUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PiePropertyUI" );
    PiePropertyUILayout = new TQGridLayout( this, 1, 1, 11, 6, "PiePropertyUILayout"); 

    typeCombo = new KComboBox( FALSE, this, "typeCombo" );

    PiePropertyUILayout->addWidget( typeCombo, 0, 1 );

    typeLabel = new TQLabel( this, "typeLabel" );

    PiePropertyUILayout->addWidget( typeLabel, 0, 0 );

    lengthLabel = new TQLabel( this, "lengthLabel" );

    PiePropertyUILayout->addWidget( lengthLabel, 2, 0 );

    piePreview = new KPrPiePreview( this, "piePreview" );
    piePreview->setMinimumSize( TQSize( 200, 200 ) );

    PiePropertyUILayout->addMultiCellWidget( piePreview, 3, 3, 0, 1 );

    angleInput = new TQSpinBox( this, "angleInput" );
    angleInput->setMaxValue( 360 );
    angleInput->setLineStep( 6 );

    PiePropertyUILayout->addWidget( angleInput, 1, 1 );

    lengthInput = new TQSpinBox( this, "lengthInput" );
    lengthInput->setMaxValue( 360 );
    lengthInput->setLineStep( 6 );

    PiePropertyUILayout->addWidget( lengthInput, 2, 1 );

    angleLabel = new TQLabel( this, "angleLabel" );

    PiePropertyUILayout->addWidget( angleLabel, 1, 0 );
    languageChange();
    resize( TQSize(222, 307).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order

    // buddies
    typeLabel->setBuddy( typeCombo );
    lengthLabel->setBuddy( lengthInput );
    angleLabel->setBuddy( angleInput );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PiePropertyUI::~PiePropertyUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PiePropertyUI::languageChange()
{
    setCaption( tr2i18n( "Pie" ) );
    TQWhatsThis::add( this, tr2i18n( "These settings are used in the Insert->Shape->Pie/Arc/Chord menu." ) );
    TQWhatsThis::add( typeCombo, tr2i18n( "You can choose among three options in the dropdown box: Pie, Arc or Chord." ) );
    typeLabel->setText( tr2i18n( "&Type:" ) );
    lengthLabel->setText( tr2i18n( "&Length:" ) );
    TQWhatsThis::add( piePreview, tr2i18n( "This displays a preview of your choices." ) );
    angleInput->setSuffix( tr2i18n( " °" ) );
    TQWhatsThis::add( angleInput, tr2i18n( "Set here the start position." ) );
    lengthInput->setSuffix( tr2i18n( " °" ) );
    TQWhatsThis::add( lengthInput, tr2i18n( "Set the arc length of your pie." ) );
    angleLabel->setText( tr2i18n( "Start position:" ) );
}

#include "piepropertyui.moc"
