#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './rectpropertyui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "rectpropertyui.h"

#include <ntqvariant.h>
#include <KPrRectPreview.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqtoolbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a RectPropertyUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
RectPropertyUI::RectPropertyUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "RectPropertyUI" );
    RectPropertyUILayout = new TQVBoxLayout( this, 11, 6, "RectPropertyUILayout"); 

    layout3 = new TQHBoxLayout( 0, 0, 0, "layout3"); 

    layout2 = new TQGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    xRndLabel = new TQLabel( this, "xRndLabel" );

    layout2->addWidget( xRndLabel, 0, 0 );

    yRndLabel = new TQLabel( this, "yRndLabel" );

    layout2->addWidget( yRndLabel, 1, 0 );

    yRndInput = new TQSpinBox( this, "yRndInput" );
    yRndInput->setMaxValue( 100 );
    yRndInput->setLineStep( 4 );

    layout2->addWidget( yRndInput, 1, 1 );

    xRndInput = new TQSpinBox( this, "xRndInput" );
    xRndInput->setMaxValue( 100 );
    xRndInput->setLineStep( 4 );

    layout2->addWidget( xRndInput, 0, 1 );
    layout3->addLayout( layout2 );

    combineButton = new TQToolButton( this, "combineButton" );
    combineButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, combineButton->sizePolicy().hasHeightForWidth() ) );
    combineButton->setMinimumSize( TQSize( 16, 0 ) );
    combineButton->setMaximumSize( TQSize( 16, 32767 ) );
    combineButton->setToggleButton( TRUE );
    combineButton->setOn( TRUE );
    layout3->addWidget( combineButton );
    RectPropertyUILayout->addLayout( layout3 );

    rectPreview = new KPrRectPreview( this, "rectPreview" );
    rectPreview->setMinimumSize( TQSize( 200, 100 ) );
    RectPropertyUILayout->addWidget( rectPreview );
    languageChange();
    resize( TQSize(271, 297).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    xRndLabel->setBuddy( xRndInput );
    yRndLabel->setBuddy( yRndInput );
}

/*
 *  Destroys the object and frees any allocated resources
 */
RectPropertyUI::~RectPropertyUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void RectPropertyUI::languageChange()
{
    setCaption( tr2i18n( "Rect" ) );
    TQWhatsThis::add( this, tr2i18n( "All these settings are used in the Insert->Shape->Rectangle menu." ) );
    xRndLabel->setText( tr2i18n( "Vertical declination:" ) );
    yRndLabel->setText( tr2i18n( "Horizontal declination:" ) );
    yRndInput->setSuffix( tr2i18n( " %" ) );
    TQWhatsThis::add( yRndInput, tr2i18n( "Set the horizontal declination." ) );
    xRndInput->setSuffix( tr2i18n( " %" ) );
    TQWhatsThis::add( xRndInput, tr2i18n( "Set the vertical declination." ) );
    combineButton->setText( TQString::null );
    TQWhatsThis::add( combineButton, tr2i18n( "You can choose whether or not to keep the same declination for both vertical and horizontal using this button." ) );
    TQWhatsThis::add( rectPreview, tr2i18n( "This displays a preview of your choices." ) );
}

#include "rectpropertyui.moc"
