#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './slidetransitionwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "slidetransitionwidget.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <knuminput.h>
#include <kpushbutton.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqframe.h>
#include <ntqcheckbox.h>
#include <kurlrequester.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SlideTransitionWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SlideTransitionWidget::SlideTransitionWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SlideTransitionWidget" );
    SlideTransitionWidgetLayout = new TQGridLayout( this, 1, 1, 0, 6, "SlideTransitionWidgetLayout"); 

    layout39 = new TQVBoxLayout( 0, 0, 6, "layout39"); 

    previewPixmap = new TQLabel( this, "previewPixmap" );
    previewPixmap->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, previewPixmap->sizePolicy().hasHeightForWidth() ) );
    previewPixmap->setMinimumSize( TQSize( 240, 180 ) );
    previewPixmap->setScaledContents( TRUE );
    layout39->addWidget( previewPixmap );

    previewButton = new TQPushButton( this, "previewButton" );
    layout39->addWidget( previewButton );

    SlideTransitionWidgetLayout->addLayout( layout39, 0, 1 );

    layout7 = new TQVBoxLayout( 0, 0, 6, "layout7"); 

    layout6 = new TQGridLayout( 0, 1, 1, 0, 6, "layout6"); 

    effectCombo = new TQComboBox( FALSE, this, "effectCombo" );
    effectCombo->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, effectCombo->sizePolicy().hasHeightForWidth() ) );

    layout6->addWidget( effectCombo, 0, 1 );

    effectLabel = new TQLabel( this, "effectLabel" );

    layout6->addWidget( effectLabel, 0, 0 );

    speedCombo = new TQComboBox( FALSE, this, "speedCombo" );
    speedCombo->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, speedCombo->sizePolicy().hasHeightForWidth() ) );

    layout6->addWidget( speedCombo, 1, 1 );

    speedLabel = new TQLabel( this, "speedLabel" );

    layout6->addWidget( speedLabel, 1, 0 );
    layout7->addLayout( layout6 );

    line8 = new TQFrame( this, "line8" );
    line8->setFrameShape( TQFrame::HLine );
    line8->setFrameShadow( TQFrame::Sunken );
    line8->setFrameShape( TQFrame::HLine );
    layout7->addWidget( line8 );

    layout6_2 = new TQGridLayout( 0, 1, 1, 0, 6, "layout6_2"); 

    soundCheckBox = new TQCheckBox( this, "soundCheckBox" );

    layout6_2->addMultiCellWidget( soundCheckBox, 0, 0, 0, 1 );

    soundRequester = new KURLRequester( this, "soundRequester" );
    soundRequester->setEnabled( TRUE );

    layout6_2->addWidget( soundRequester, 1, 1 );

    stopButton = new TQPushButton( this, "stopButton" );
    stopButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, stopButton->sizePolicy().hasHeightForWidth() ) );

    layout6_2->addWidget( stopButton, 1, 3 );

    soundLabel = new TQLabel( this, "soundLabel" );

    layout6_2->addWidget( soundLabel, 1, 0 );

    playButton = new TQPushButton( this, "playButton" );
    playButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, playButton->sizePolicy().hasHeightForWidth() ) );

    layout6_2->addWidget( playButton, 1, 2 );
    layout7->addLayout( layout6_2 );

    line8_2 = new TQFrame( this, "line8_2" );
    line8_2->setFrameShape( TQFrame::HLine );
    line8_2->setFrameShadow( TQFrame::Sunken );
    line8_2->setFrameShape( TQFrame::HLine );
    layout7->addWidget( line8_2 );

    autoTransitionLayout = new TQVBoxLayout( 0, 0, 6, "autoTransitionLayout"); 

    textLabel4 = new TQLabel( this, "textLabel4" );
    autoTransitionLayout->addWidget( textLabel4 );

    automaticTransitionInput = new KIntNumInput( this, "automaticTransitionInput" );
    automaticTransitionInput->setMinValue( 1 );
    automaticTransitionInput->setMaxValue( 600 );
    autoTransitionLayout->addWidget( automaticTransitionInput );
    layout7->addLayout( autoTransitionLayout );
    spacer7 = new TQSpacerItem( 20, 29, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout7->addItem( spacer7 );

    SlideTransitionWidgetLayout->addLayout( layout7, 0, 0 );
    languageChange();
    resize( TQSize(535, 245).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( effectCombo, speedCombo );
    setTabOrder( speedCombo, soundCheckBox );
    setTabOrder( soundCheckBox, soundRequester );
    setTabOrder( soundRequester, playButton );
    setTabOrder( playButton, stopButton );
    setTabOrder( stopButton, previewButton );
    setTabOrder( previewButton, automaticTransitionInput );

    // buddies
    effectLabel->setBuddy( effectCombo );
    speedLabel->setBuddy( speedCombo );
    soundLabel->setBuddy( soundRequester );
    textLabel4->setBuddy( automaticTransitionInput );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SlideTransitionWidget::~SlideTransitionWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SlideTransitionWidget::languageChange()
{
    setCaption( tr2i18n( "Slide Transition" ) );
    previewPixmap->setText( TQString::null );
    previewButton->setText( tr2i18n( "&Preview" ) );
    effectLabel->setText( tr2i18n( "&Effect:" ) );
    speedLabel->setText( tr2i18n( "&Speed:" ) );
    soundCheckBox->setText( tr2i18n( "So&und effect" ) );
    stopButton->setText( TQString::null );
    soundLabel->setText( tr2i18n( "&File:" ) );
    playButton->setText( TQString::null );
    textLabel4->setText( tr2i18n( "Automatic &transition to the next slide after:" ) );
    automaticTransitionInput->setSuffix( tr2i18n( " seconds" ) );
    automaticTransitionInput->setPrefix( TQString::null );
}

#include "slidetransitionwidget.moc"
