#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './font_cell_format.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "font_cell_format.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <ntqpushbutton.h>
#include <ntqcombobox.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqlistbox.h>
#include <ntqgroupbox.h>
#include <ntqlineedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a FontTab as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
FontTab::FontTab( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FontTab" );
    FontTabLayout = new TQGridLayout( this, 1, 1, 11, 6, "FontTabLayout"); 

    layout1 = new TQGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    style_combo = new TQComboBox( FALSE, this, "style_combo" );
    style_combo->setInsertionPolicy( TQComboBox::NoInsertion );

    layout1->addWidget( style_combo, 0, 1 );

    weight_combo = new TQComboBox( FALSE, this, "weight_combo" );
    weight_combo->setInsertionPolicy( TQComboBox::NoInsertion );

    layout1->addWidget( weight_combo, 2, 1 );

    textLabel4 = new TQLabel( this, "textLabel4" );

    layout1->addWidget( textLabel4, 3, 0 );

    underline = new TQCheckBox( this, "underline" );

    layout1->addMultiCellWidget( underline, 4, 4, 0, 1 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    layout1->addWidget( textLabel2, 1, 0 );

    textLabel3 = new TQLabel( this, "textLabel3" );

    layout1->addWidget( textLabel3, 2, 0 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    layout1->addWidget( textLabel1, 0, 0 );

    textColorButton = new KColorButton( this, "textColorButton" );

    layout1->addWidget( textColorButton, 3, 1 );

    strike = new TQCheckBox( this, "strike" );

    layout1->addMultiCellWidget( strike, 5, 5, 0, 1 );

    size_combo = new TQComboBox( FALSE, this, "size_combo" );
    size_combo->setEditable( TRUE );

    layout1->addWidget( size_combo, 1, 1 );

    FontTabLayout->addLayout( layout1, 0, 1 );
    spacer1 = new TQSpacerItem( 20, 41, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    FontTabLayout->addItem( spacer1, 1, 1 );

    family_combo = new TQListBox( this, "family_combo" );

    FontTabLayout->addMultiCellWidget( family_combo, 0, 1, 0, 0 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    example_label = new TQLineEdit( groupBox1, "example_label" );
    example_label->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)3, 0, 0, example_label->sizePolicy().hasHeightForWidth() ) );
    example_label->setAlignment( int( TQLineEdit::AlignHCenter ) );
    groupBox1Layout->addWidget( example_label );

    FontTabLayout->addMultiCellWidget( groupBox1, 2, 2, 0, 1 );
    languageChange();
    resize( TQSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FontTab::~FontTab()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FontTab::languageChange()
{
    TQWhatsThis::add( this, tr2i18n( "You can select here the font style, size and color, including some additional options like underlined or striked out text for the current cell text. The lower part of the page gives a preview of the selected text format.\n"
"The default font is set for all cells in the Format -> Style Manager menu with the currently used style." ) );
    style_combo->clear();
    style_combo->insertItem( tr2i18n( "Varying (No Change)" ) );
    style_combo->insertItem( tr2i18n( "Roman" ) );
    style_combo->insertItem( tr2i18n( "Italic" ) );
    TQWhatsThis::add( style_combo, tr2i18n( "Choose the style for your font for the currently selected cells. When you select several cells with different styles, the displayed style is set to Varying (No Change) and leaving it that way will keep all your current style settings for each cell. Changing to Roman for example will change all the selected cells style text to Roman." ) );
    weight_combo->clear();
    weight_combo->insertItem( tr2i18n( "Varying (No Change)" ) );
    weight_combo->insertItem( tr2i18n( "Normal" ) );
    weight_combo->insertItem( tr2i18n( "Bold" ) );
    TQWhatsThis::add( weight_combo, tr2i18n( "Choose the weight for your font for the currently selected cells. When you select several cells with different font weight, the displayed weight is set to Varying (No Change) and leaving it that way will keep all your current weight settings for each cell. Changing to Bold for example will change all the selected cells font weight to Bold." ) );
    textLabel4->setText( tr2i18n( "Color:" ) );
    underline->setText( tr2i18n( "Underline" ) );
    TQWhatsThis::add( underline, tr2i18n( "If this is checked, the current cell text wil be underlined." ) );
    textLabel2->setText( tr2i18n( "Size:" ) );
    textLabel3->setText( tr2i18n( "Weight:" ) );
    textLabel1->setText( tr2i18n( "Style:" ) );
    textColorButton->setText( TQString::null );
    TQWhatsThis::add( textColorButton, tr2i18n( "Choose the color for the current cell text. Clicking on the color bar will bring you the standard TDE Select Color dialog where you will be able to choose the new color." ) );
    strike->setText( tr2i18n( "Strike out" ) );
    TQWhatsThis::add( strike, tr2i18n( "This will strike out the current cell text if this is checked." ) );
    TQWhatsThis::add( size_combo, tr2i18n( "Choose the style for your font for the currently selected cells. When you select several cells with different styles, the displayed style is set to Varying (No Change) and leaving it that way will keep all your current style settings for each cell. Changing to Roman for example will change all the selected cells style text to Roman." ) );
    TQWhatsThis::add( family_combo, tr2i18n( "This box lists all your available font families. Click on one family to set it in the current cell." ) );
    groupBox1->setTitle( tr2i18n( "Preview" ) );
    TQWhatsThis::add( example_label, tr2i18n( "You can see a preview of the font you are choosing for the current cell." ) );
}

#include "font_cell_format.moc"
