#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './position_cell_format.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "position_cell_format.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqgroupbox.h>
#include <ntqslider.h>
#include <ntqspinbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PositionTab as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PositionTab::PositionTab( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PositionTab" );
    PositionTabLayout = new TQGridLayout( this, 1, 1, 7, 6, "PositionTabLayout"); 

    horizontalGroup = new TQButtonGroup( this, "horizontalGroup" );
    horizontalGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)5, 0, 0, horizontalGroup->sizePolicy().hasHeightForWidth() ) );
    horizontalGroup->setColumnLayout(0, TQt::Vertical );
    horizontalGroup->layout()->setSpacing( 6 );
    horizontalGroup->layout()->setMargin( 11 );
    horizontalGroupLayout = new TQHBoxLayout( horizontalGroup->layout() );
    horizontalGroupLayout->setAlignment( TQt::AlignTop );

    standard = new TQRadioButton( horizontalGroup, "standard" );
    horizontalGroupLayout->addWidget( standard );

    layout1 = new TQVBoxLayout( 0, 0, 6, "layout1"); 

    left = new TQRadioButton( horizontalGroup, "left" );
    layout1->addWidget( left );

    center = new TQRadioButton( horizontalGroup, "center" );
    layout1->addWidget( center );

    right = new TQRadioButton( horizontalGroup, "right" );
    layout1->addWidget( right );
    horizontalGroupLayout->addLayout( layout1 );

    PositionTabLayout->addWidget( horizontalGroup, 0, 0 );

    buttonGroup2 = new TQButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, TQt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new TQVBoxLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( TQt::AlignTop );

    top = new TQRadioButton( buttonGroup2, "top" );
    buttonGroup2Layout->addWidget( top );

    middle = new TQRadioButton( buttonGroup2, "middle" );
    buttonGroup2Layout->addWidget( middle );

    bottom = new TQRadioButton( buttonGroup2, "bottom" );
    buttonGroup2Layout->addWidget( bottom );

    PositionTabLayout->addWidget( buttonGroup2, 0, 1 );

    groupBox4 = new TQGroupBox( this, "groupBox4" );
    groupBox4->setColumnLayout(0, TQt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new TQHBoxLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( TQt::AlignTop );

    angleRotation = new TQSlider( groupBox4, "angleRotation" );
    angleRotation->setMinValue( -90 );
    angleRotation->setMaxValue( 90 );
    angleRotation->setOrientation( TQSlider::Horizontal );
    angleRotation->setTickmarks( TQSlider::Below );
    angleRotation->setTickInterval( 15 );
    groupBox4Layout->addWidget( angleRotation );

    spinBox3 = new TQSpinBox( groupBox4, "spinBox3" );
    spinBox3->setMaxValue( 90 );
    spinBox3->setMinValue( -90 );
    spinBox3->setLineStep( 1 );
    groupBox4Layout->addWidget( spinBox3 );

    PositionTabLayout->addWidget( groupBox4, 1, 1 );

    groupBox3 = new TQGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, TQt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new TQVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( TQt::AlignTop );

    multi = new TQCheckBox( groupBox3, "multi" );
    groupBox3Layout->addWidget( multi );

    vertical = new TQCheckBox( groupBox3, "vertical" );
    groupBox3Layout->addWidget( vertical );

    PositionTabLayout->addWidget( groupBox3, 1, 0 );

    indentGroup = new TQGroupBox( this, "indentGroup" );

    PositionTabLayout->addWidget( indentGroup, 2, 1 );

    groupBox5 = new TQGroupBox( this, "groupBox5" );
    groupBox5->setColumnLayout(0, TQt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new TQHBoxLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( TQt::AlignTop );

    mergeCell = new TQCheckBox( groupBox5, "mergeCell" );
    groupBox5Layout->addWidget( mergeCell );

    PositionTabLayout->addWidget( groupBox5, 2, 0 );

    sizeCellGroup = new TQGroupBox( this, "sizeCellGroup" );
    sizeCellGroup->setColumnLayout(0, TQt::Vertical );
    sizeCellGroup->layout()->setSpacing( 6 );
    sizeCellGroup->layout()->setMargin( 11 );
    sizeCellGroupLayout = new TQGridLayout( sizeCellGroup->layout() );
    sizeCellGroupLayout->setAlignment( TQt::AlignTop );

    layout3 = new TQGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    defaultHeight = new TQCheckBox( sizeCellGroup, "defaultHeight" );

    layout3->addMultiCellWidget( defaultHeight, 1, 1, 0, 2 );
    spacer2 = new TQSpacerItem( 10, 20, TQSizePolicy::MinimumExpanding, TQSizePolicy::Minimum );
    layout3->addItem( spacer2, 0, 2 );

    textLabel3 = new TQLabel( sizeCellGroup, "textLabel3" );

    layout3->addWidget( textLabel3, 0, 0 );

    m_heightPanel = new TQFrame( sizeCellGroup, "m_heightPanel" );
    m_heightPanel->setFrameShape( TQFrame::NoFrame );
    m_heightPanel->setFrameShadow( TQFrame::Raised );

    layout3->addWidget( m_heightPanel, 0, 1 );

    sizeCellGroupLayout->addLayout( layout3, 0, 1 );

    layout5 = new TQGridLayout( 0, 1, 1, 0, 6, "layout5"); 

    defaultWidth = new TQCheckBox( sizeCellGroup, "defaultWidth" );

    layout5->addMultiCellWidget( defaultWidth, 1, 1, 0, 2 );
    spacer1 = new TQSpacerItem( 16, 20, TQSizePolicy::MinimumExpanding, TQSizePolicy::Minimum );
    layout5->addItem( spacer1, 0, 2 );

    m_widthPanel = new TQFrame( sizeCellGroup, "m_widthPanel" );
    m_widthPanel->setFrameShape( TQFrame::NoFrame );
    m_widthPanel->setFrameShadow( TQFrame::Raised );
    m_widthPanel->setLineWidth( 1 );

    layout5->addWidget( m_widthPanel, 0, 1 );

    textLabel2 = new TQLabel( sizeCellGroup, "textLabel2" );

    layout5->addWidget( textLabel2, 0, 0 );

    sizeCellGroupLayout->addLayout( layout5, 0, 0 );

    PositionTabLayout->addMultiCellWidget( sizeCellGroup, 3, 3, 0, 1 );
    languageChange();
    resize( TQSize(349, 337).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( angleRotation, TQ_SIGNAL( valueChanged(int) ), spinBox3, TQ_SLOT( setValue(int) ) );
    connect( spinBox3, TQ_SIGNAL( valueChanged(int) ), angleRotation, TQ_SLOT( setValue(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PositionTab::~PositionTab()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PositionTab::languageChange()
{
    horizontalGroup->setTitle( tr2i18n( "Horizontal" ) );
    TQWhatsThis::add( horizontalGroup, tr2i18n( "<qt>Set the content position horizontally in the cell.\n"
"<b>Standard</b> is default and is set from the format you choose.\n"
"<b>Left</b> means the content will be displayed on the left of the cell.\n"
"<b>Center</b> means the content will be in the center horizontally in the cell.\n"
"<b>Right</b> means the content of the cell will be displayed on the right of the cell.</qt>" ) );
    standard->setText( tr2i18n( "Standard" ) );
    left->setText( tr2i18n( "Left" ) );
    center->setText( tr2i18n( "Center" ) );
    right->setText( tr2i18n( "Right" ) );
    buttonGroup2->setTitle( tr2i18n( "Vertical" ) );
    TQWhatsThis::add( buttonGroup2, tr2i18n( "<qt>Set the content position vertically in the cell.\n"
"<b>Top</b> means the content will be displayed on top of the cell.\n"
"<b>Middle</b> means the content will be in the middle vertically in the cell.\n"
"<b>Bottom</b> means the content of the cell will be displayed at the bottom of the cell.</qt>" ) );
    top->setText( tr2i18n( "Top" ) );
    middle->setText( tr2i18n( "Middle" ) );
    bottom->setText( tr2i18n( "Bottom" ) );
    groupBox4->setTitle( tr2i18n( "Rotation" ) );
    TQWhatsThis::add( groupBox4, tr2i18n( "Your text will appear oriented in the angle you set here. Positive values will move it counter-clockwise and negative values will move it clockwise." ) );
    spinBox3->setSuffix( tr2i18n( "°" ) );
    groupBox3->setTitle( tr2i18n( "Text Option" ) );
    TQWhatsThis::add( groupBox3, tr2i18n( "This is only available when the rotation is 0°.\n"
"Wrap text wraps the text so it fits in the previous cell size. If this is not checked, the text will stay on one line and the cell size will be adjusted to contain the text.\n"
"Vertical text puts your text vertically." ) );
    multi->setText( tr2i18n( "Wrap text" ) );
    vertical->setText( tr2i18n( "Vertical text" ) );
    indentGroup->setTitle( tr2i18n( "Indent" ) );
    TQWhatsThis::add( indentGroup, tr2i18n( "Set the amount of indent that will be used in the cell when you choose the Format -> Increase Indent or Format -> Decrease Indent menus." ) );
    groupBox5->setTitle( tr2i18n( "Merge Cells" ) );
    TQWhatsThis::add( groupBox5, tr2i18n( "When checked, this has the same effect as Data ->Merge Cells. You need to have at least two consecutive cells selected. Those consecutive cells are then merged into a bigger one.\n"
"When a merged cell is selected and when you uncheck this, then all cells come back to their original size as before the merging. It has the same effect as Data -> Dissociate Cells." ) );
    mergeCell->setText( tr2i18n( "Merge cells" ) );
    sizeCellGroup->setTitle( tr2i18n( "Size of Cell" ) );
    TQWhatsThis::add( sizeCellGroup, tr2i18n( "The unit used here is the one set in Format -> Page Layout.. dialog." ) );
    defaultHeight->setText( tr2i18n( "Default height (%1)" ) );
    TQWhatsThis::add( defaultHeight, tr2i18n( "If checked, the default height will be used for the cell instead of the value above." ) );
    textLabel3->setText( tr2i18n( "Height:" ) );
    TQWhatsThis::add( m_heightPanel, tr2i18n( "Set the height of the cell." ) );
    defaultWidth->setText( tr2i18n( "Default width (%1)" ) );
    TQWhatsThis::add( defaultWidth, tr2i18n( "If checked, the default width will be used for the cell instead of the value above." ) );
    textLabel2->setText( tr2i18n( "Width:" ) );
}

#include "position_cell_format.moc"
