#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sheet_properties_base.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sheet_properties_base.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <kdialog.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KSpread::SheetPropertiesBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KSpread::SheetPropertiesBase::SheetPropertiesBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SheetPropertiesBase" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    SheetPropertiesBaseLayout = new TQVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "SheetPropertiesBaseLayout"); 

    layout5 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout5"); 

    layout1 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout1"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    directionComboBox = new KComboBox( FALSE, this, "directionComboBox" );
    layout1->addWidget( directionComboBox );
    layout5->addLayout( layout1 );
    spacer1 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout5->addItem( spacer1 );
    SheetPropertiesBaseLayout->addLayout( layout5 );
    spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    SheetPropertiesBaseLayout->addItem( spacer2 );

    layout4 = new TQGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout4"); 

    showCommentIndicatorCheckBox = new TQCheckBox( this, "showCommentIndicatorCheckBox" );

    layout4->addWidget( showCommentIndicatorCheckBox, 4, 1 );

    useLCModeCheckBox = new TQCheckBox( this, "useLCModeCheckBox" );

    layout4->addWidget( useLCModeCheckBox, 3, 0 );

    showPageBordersCheckBox = new TQCheckBox( this, "showPageBordersCheckBox" );

    layout4->addWidget( showPageBordersCheckBox, 1, 1 );

    capitalizeFirstLetterCheckBox = new TQCheckBox( this, "capitalizeFirstLetterCheckBox" );

    layout4->addWidget( capitalizeFirstLetterCheckBox, 4, 0 );

    hideZeroCheckBox = new TQCheckBox( this, "hideZeroCheckBox" );

    layout4->addWidget( hideZeroCheckBox, 0, 0 );

    showFormulaCheckBox = new TQCheckBox( this, "showFormulaCheckBox" );

    layout4->addWidget( showFormulaCheckBox, 2, 1 );

    showColumnAsNumbersCheckBox = new TQCheckBox( this, "showColumnAsNumbersCheckBox" );

    layout4->addWidget( showColumnAsNumbersCheckBox, 2, 0 );

    showFormulaIndicatorCheckBox = new TQCheckBox( this, "showFormulaIndicatorCheckBox" );

    layout4->addWidget( showFormulaIndicatorCheckBox, 3, 1 );

    showGridCheckBox = new TQCheckBox( this, "showGridCheckBox" );

    layout4->addWidget( showGridCheckBox, 0, 1 );

    autoCalcCheckBox = new TQCheckBox( this, "autoCalcCheckBox" );

    layout4->addWidget( autoCalcCheckBox, 1, 0 );
    SheetPropertiesBaseLayout->addLayout( layout4 );
    languageChange();
    resize( TQSize(408, 206).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KSpread::SheetPropertiesBase::~SheetPropertiesBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KSpread::SheetPropertiesBase::languageChange()
{
    setCaption( tr2i18n( "SheetPropertiesBase" ) );
    textLabel1->setText( tr2i18n( "Layout direction:" ) );
    directionComboBox->clear();
    directionComboBox->insertItem( tr2i18n( "Left to Right" ) );
    directionComboBox->insertItem( tr2i18n( "Right to Left" ) );
    TQWhatsThis::add( directionComboBox, tr2i18n( "Defaut is that the first column of the sheet is on the left. If you choose Right to Left, then the first column will be on the right and the others added from right to left." ) );
    showCommentIndicatorCheckBox->setText( tr2i18n( "Show c&omment indicator" ) );
    TQWhatsThis::add( showCommentIndicatorCheckBox, tr2i18n( "If this box is checked cells containing comments will be marked by a small red triangle at the top right corner." ) );
    useLCModeCheckBox->setText( tr2i18n( "Use &LC mode" ) );
    TQWhatsThis::add( useLCModeCheckBox, tr2i18n( "If this box is checked the cell reference shown at the left end of the Formula Bar will be displayed in LC mode (i.e. L2C3) rather than in its normal form B3. This does not seem to be of much use at the moment." ) );
    showPageBordersCheckBox->setText( tr2i18n( "Show page &borders" ) );
    TQWhatsThis::add( showPageBordersCheckBox, tr2i18n( "If you check this option, the page borders will be drawn on your current sheet. Per default the page borders are not displayed. It is useful to see the page borders if you want to print your sheet." ) );
    capitalizeFirstLetterCheckBox->setText( tr2i18n( "&Convert first letter to uppercase" ) );
    TQWhatsThis::add( capitalizeFirstLetterCheckBox, tr2i18n( "Check this box and the first letter of any text you type in will automatically be converted to uppercase." ) );
    hideZeroCheckBox->setText( tr2i18n( "&Hide zero" ) );
    TQWhatsThis::add( hideZeroCheckBox, tr2i18n( "If this box is checked any cell containing the value zero will appear blank." ) );
    showFormulaCheckBox->setText( tr2i18n( "Show &formula" ) );
    TQWhatsThis::add( showFormulaCheckBox, tr2i18n( "If this box is checked KSpread will display the actual formulae in cells rather than the results." ) );
    showColumnAsNumbersCheckBox->setText( tr2i18n( "Show column as &numbers" ) );
    TQWhatsThis::add( showColumnAsNumbersCheckBox, tr2i18n( "If this box is checked the column headings will show as numbers rather than as letters. Letters are default." ) );
    showFormulaIndicatorCheckBox->setText( tr2i18n( "Show formula &indicator" ) );
    TQWhatsThis::add( showFormulaIndicatorCheckBox, tr2i18n( "If this box is checked KSpread will display a small blue triangle at the bottom left corner of cells containing formulae. This is useful if you want to protect cells with formulae." ) );
    showGridCheckBox->setText( tr2i18n( "Show &grid" ) );
    TQWhatsThis::add( showGridCheckBox, tr2i18n( "If checked the grid (the cell limits) will be shown. This is default. If you uncheck it, the grid willl be hidden." ) );
    autoCalcCheckBox->setText( tr2i18n( "&Automatic recalculation" ) );
    TQWhatsThis::add( autoCalcCheckBox, tr2i18n( "This setting controls whether formulae are recalculated automatically when the value of any cell they refer to changes." ) );
}

#include "sheet_properties_base.moc"
