#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './koDetailsPaneBase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "koDetailsPaneBase.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <ktextbrowser.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqsplitter.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KoDetailsPaneBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KoDetailsPaneBase::KoDetailsPaneBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KoDetailsPaneBase" );
    KoDetailsPaneBaseLayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "KoDetailsPaneBaseLayout"); 

    m_splitter = new TQSplitter( this, "m_splitter" );
    m_splitter->setOrientation( TQSplitter::Horizontal );

    m_documentList = new TDEListView( m_splitter, "m_documentList" );
    m_documentList->addColumn( TQString::null );
    m_documentList->header()->setResizeEnabled( FALSE, m_documentList->header()->count() - 1 );
    m_documentList->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 30, 0, m_documentList->sizePolicy().hasHeightForWidth() ) );
    m_documentList->setResizeMode( TDEListView::LastColumn );

    TQWidget* privateLayoutWidget = new TQWidget( m_splitter, "layout2" );
    layout2 = new TQGridLayout( privateLayoutWidget, 1, 1, 0, KDialog::spacingHint(), "layout2"); 

    m_detailsLabel = new KTextBrowser( privateLayoutWidget, "m_detailsLabel" );
    m_detailsLabel->setFrameShape( KTextBrowser::NoFrame );

    layout2->addMultiCellWidget( m_detailsLabel, 5, 5, 0, 4 );

    m_previewLabel = new TQLabel( privateLayoutWidget, "m_previewLabel" );
    m_previewLabel->setAlignment( int( TQLabel::AlignCenter ) );

    layout2->addMultiCellWidget( m_previewLabel, 0, 0, 0, 4 );
    spacer3_2 = new TQSpacerItem( 0, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer3_2, 3, 0 );

    line1 = new TQFrame( privateLayoutWidget, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    layout2->addMultiCellWidget( line1, 4, 4, 0, 4 );

    m_openButton = new KPushButton( privateLayoutWidget, "m_openButton" );
    m_openButton->setEnabled( FALSE );
    m_openButton->setAutoDefault( TRUE );
    m_openButton->setDefault( TRUE );

    layout2->addWidget( m_openButton, 2, 2 );

    m_alwaysUseCheckBox = new TQCheckBox( privateLayoutWidget, "m_alwaysUseCheckBox" );
    m_alwaysUseCheckBox->setEnabled( FALSE );

    layout2->addMultiCellWidget( m_alwaysUseCheckBox, 3, 3, 1, 3 );
    spacer3 = new TQSpacerItem( 0, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer3, 3, 4 );

    m_titleLabel = new TQLabel( privateLayoutWidget, "m_titleLabel" );
    TQFont m_titleLabel_font(  m_titleLabel->font() );
    m_titleLabel_font.setBold( TRUE );
    m_titleLabel->setFont( m_titleLabel_font ); 
    m_titleLabel->setAlignment( int( TQLabel::AlignCenter ) );

    layout2->addMultiCellWidget( m_titleLabel, 1, 1, 0, 4 );
    spacer8 = new TQSpacerItem( 0, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addMultiCell( spacer8, 2, 2, 0, 1 );
    spacer8_2 = new TQSpacerItem( 0, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addMultiCell( spacer8_2, 2, 2, 3, 4 );

    KoDetailsPaneBaseLayout->addWidget( m_splitter, 0, 0 );
    languageChange();
    resize( TQSize(528, 549).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_documentList, m_openButton );
    setTabOrder( m_openButton, m_alwaysUseCheckBox );
    setTabOrder( m_alwaysUseCheckBox, m_detailsLabel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KoDetailsPaneBase::~KoDetailsPaneBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KoDetailsPaneBase::languageChange()
{
    setCaption( tr2i18n( "DetailsPaneBase" ) );
    m_documentList->header()->setLabel( 0, TQString::null );
    m_previewLabel->setText( TQString::null );
    m_openButton->setText( TQString::null );
    m_alwaysUseCheckBox->setText( tr2i18n( "Always use this template" ) );
    TQToolTip::add( m_alwaysUseCheckBox, tr2i18n( "Always use this template at application start up" ) );
    m_titleLabel->setText( TQString::null );
}

#include "koDetailsPaneBase.moc"
