#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './KoCompletionBase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "KoCompletionBase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlistbox.h>
#include <ntqgroupbox.h>
#include <ntqslider.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KoCompletionBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KoCompletionBase::KoCompletionBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KoCompletionBase" );
    KoCompletionBaseLayout = new TQVBoxLayout( this, 11, 6, "KoCompletionBaseLayout"); 

    cbAllowCompletion = new TQCheckBox( this, "cbAllowCompletion" );
    KoCompletionBaseLayout->addWidget( cbAllowCompletion );

    layout9 = new TQHBoxLayout( 0, 0, 6, "layout9"); 

    m_lbListCompletion = new TQListBox( this, "m_lbListCompletion" );
    layout9->addWidget( m_lbListCompletion );

    layout8 = new TQVBoxLayout( 0, 0, 6, "layout8"); 

    pbAddCompletionEntry = new TQPushButton( this, "pbAddCompletionEntry" );
    layout8->addWidget( pbAddCompletionEntry );

    pbRemoveCompletionEntry = new TQPushButton( this, "pbRemoveCompletionEntry" );
    layout8->addWidget( pbRemoveCompletionEntry );
    spacer10 = new TQSpacerItem( 20, 31, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout8->addItem( spacer10 );
    layout9->addLayout( layout8 );
    KoCompletionBaseLayout->addLayout( layout9 );

    cbAddCompletionWord = new TQCheckBox( this, "cbAddCompletionWord" );
    KoCompletionBaseLayout->addWidget( cbAddCompletionWord );

    completionBox = new TQGroupBox( this, "completionBox" );
    completionBox->setColumnLayout(0, TQt::Vertical );
    completionBox->layout()->setSpacing( 6 );
    completionBox->layout()->setMargin( 11 );
    completionBoxLayout = new TQVBoxLayout( completionBox->layout() );
    completionBoxLayout->setAlignment( TQt::AlignTop );

    cbShowToolTip = new TQCheckBox( completionBox, "cbShowToolTip" );
    completionBoxLayout->addWidget( cbShowToolTip );

    layout11 = new TQGridLayout( 0, 1, 1, 0, 6, "layout11"); 

    slider2 = new TQSlider( completionBox, "slider2" );
    slider2->setMinValue( 1 );
    slider2->setMaxValue( 500 );
    slider2->setPageStep( 20 );
    slider2->setValue( 100 );
    slider2->setOrientation( TQSlider::Horizontal );
    slider2->setTickmarks( TQSlider::Below );
    slider2->setTickInterval( 50 );

    layout11->addWidget( slider2, 1, 1 );

    textLabel2 = new TQLabel( completionBox, "textLabel2" );

    layout11->addWidget( textLabel2, 0, 0 );

    textLabel3 = new TQLabel( completionBox, "textLabel3" );

    layout11->addWidget( textLabel3, 1, 0 );

    m_maxNbWordCompletion = new TQSpinBox( completionBox, "m_maxNbWordCompletion" );
    m_maxNbWordCompletion->setMaxValue( 500 );
    m_maxNbWordCompletion->setMinValue( 1 );
    m_maxNbWordCompletion->setValue( 100 );

    layout11->addWidget( m_maxNbWordCompletion, 1, 2 );

    slider1 = new TQSlider( completionBox, "slider1" );
    slider1->setMinValue( 5 );
    slider1->setMaxValue( 100 );
    slider1->setOrientation( TQSlider::Horizontal );
    slider1->setTickmarks( TQSlider::Below );

    layout11->addWidget( slider1, 0, 1 );

    m_minWordLength = new TQSpinBox( completionBox, "m_minWordLength" );
    m_minWordLength->setMaxValue( 100 );
    m_minWordLength->setMinValue( 5 );

    layout11->addWidget( m_minWordLength, 0, 2 );
    completionBoxLayout->addLayout( layout11 );

    cbAppendSpace = new TQCheckBox( completionBox, "cbAppendSpace" );
    completionBoxLayout->addWidget( cbAppendSpace );

    layout10 = new TQHBoxLayout( 0, 0, 6, "layout10"); 

    textLabel1 = new TQLabel( completionBox, "textLabel1" );
    layout10->addWidget( textLabel1 );

    m_completionKeyAction = new TQComboBox( FALSE, completionBox, "m_completionKeyAction" );
    layout10->addWidget( m_completionKeyAction );
    spacer11 = new TQSpacerItem( 101, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout10->addItem( spacer11 );
    completionBoxLayout->addLayout( layout10 );
    KoCompletionBaseLayout->addWidget( completionBox );

    layout5 = new TQHBoxLayout( 0, 0, 6, "layout5"); 

    pbSaveCompletionEntry = new TQPushButton( this, "pbSaveCompletionEntry" );
    layout5->addWidget( pbSaveCompletionEntry );
    spacer3 = new TQSpacerItem( 101, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout5->addItem( spacer3 );
    KoCompletionBaseLayout->addLayout( layout5 );
    languageChange();
    resize( TQSize(462, 346).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( slider1, TQ_SIGNAL( valueChanged(int) ), m_minWordLength, TQ_SLOT( setValue(int) ) );
    connect( m_minWordLength, TQ_SIGNAL( valueChanged(int) ), slider1, TQ_SLOT( setValue(int) ) );
    connect( slider2, TQ_SIGNAL( valueChanged(int) ), m_maxNbWordCompletion, TQ_SLOT( setValue(int) ) );
    connect( m_maxNbWordCompletion, TQ_SIGNAL( valueChanged(int) ), slider2, TQ_SLOT( setValue(int) ) );

    // buddies
    textLabel2->setBuddy( slider1 );
    textLabel3->setBuddy( slider2 );
    textLabel1->setBuddy( m_completionKeyAction );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KoCompletionBase::~KoCompletionBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KoCompletionBase::languageChange()
{
    cbAllowCompletion->setText( tr2i18n( "Enable word completion" ) );
    TQWhatsThis::add( cbAllowCompletion, tr2i18n( "Toggle autocompletion on and off: if this is checked then autocompletion will be enabled." ) );
    TQWhatsThis::add( m_lbListCompletion, tr2i18n( "Suggestion list for autocompletion: contains all the words that will be autocompleted." ) );
    pbAddCompletionEntry->setText( tr2i18n( "Add..." ) );
    TQWhatsThis::add( pbAddCompletionEntry, tr2i18n( "By clicking this button you can add manually an individual word to the completion list." ) );
    pbRemoveCompletionEntry->setText( tr2i18n( "Remove" ) );
    TQWhatsThis::add( pbRemoveCompletionEntry, tr2i18n( "To remove words from the completion list, select the word with the left mouse button from the list, then click this button." ) );
    cbAddCompletionWord->setText( tr2i18n( "Automatically add new words to suggestion list" ) );
    TQWhatsThis::add( cbAddCompletionWord, tr2i18n( "If this option is enabled, any word equal to or longer than the \"Characters needed\" typed in this document will automatically be added to the list of words used by the completion." ) );
    completionBox->setTitle( tr2i18n( "Completion Options" ) );
    cbShowToolTip->setText( tr2i18n( "Show words in tooltip" ) );
    TQWhatsThis::add( cbShowToolTip, tr2i18n( "If this option is enabled, a tool tip box will appear when you type the beginning of a word that exists in the completion list. To complete the word, press the key you set to accept suggestions in the \"Key to accept suggestion\" drop-down list." ) );
    TQWhatsThis::add( slider2, tr2i18n( "This sets the maximum number of words in the completion list. All additional words will not be included in the list. You can select any value from 1 to 500. This option keeps the list from becoming too cumbersome.\n"
"This option is most important when Automatically add words to completion list is enabled." ) );
    textLabel2->setText( tr2i18n( "Characters needed:" ) );
    textLabel3->setText( tr2i18n( "Suggest words:" ) );
    TQWhatsThis::add( m_maxNbWordCompletion, tr2i18n( "This sets the maximum number of words in the completion list. All additional words will not be included in the list. You can select any value from 1 to 500. This option keeps the list from becoming too cumbersome.\n"
"This option is most important when Automatically add words to completion list is enabled." ) );
    TQWhatsThis::add( slider1, tr2i18n( "Use this spinbox/slider combination to prevent automatically adding short words to the completion list. You can select any value from 5-100 and the words will need to be at least the number of characters set here to be added to the list." ) );
    TQWhatsThis::add( m_minWordLength, tr2i18n( "Use this spinbox/slider combination to prevent automatically adding short words to the completion list. You can select any value from 5-100 and the words will need to be at least the number of characters set here to be added to the list." ) );
    cbAppendSpace->setText( tr2i18n( "Append space" ) );
    TQWhatsThis::add( cbAppendSpace, tr2i18n( "If checked, it adds a single space to the end of a word after autocompletion, this means it is not necessary to add the space manually for the next word." ) );
    textLabel1->setText( tr2i18n( "Key to accept suggestion:" ) );
    TQWhatsThis::add( m_completionKeyAction, tr2i18n( "Set the key you want to use when an autocompleted word is suggested to you and you want to accept it. You can choose Enter, Tab, Space, End or Right." ) );
    pbSaveCompletionEntry->setText( tr2i18n( "Make Default" ) );
    TQWhatsThis::add( pbSaveCompletionEntry, tr2i18n( "Completion is configured per document. Making this list the default will allow you to use it for new documents automatically. A dialog will appear to inform you that the list will be used for all documents from now on." ) );
}

#include "KoCompletionBase.moc"
