#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdg_level.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdg_level.h"

#include <ntqvariant.h>
#include <kgradientslider.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kgradientslider.h"

/*
 *  Constructs a WdgLevel as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgLevel::WdgLevel( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgLevel" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 0 ) );
    setMaximumSize( TQSize( 32767, 32767 ) );
    WdgLevelLayout = new TQGridLayout( this, 1, 1, 0, 6, "WdgLevelLayout"); 

    chkLogarithmic = new TQCheckBox( this, "chkLogarithmic" );

    WdgLevelLayout->addWidget( chkLogarithmic, 0, 0 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    WdgLevelLayout->addWidget( textLabel2, 1, 0 );

    layout7 = new TQVBoxLayout( 0, 0, 6, "layout7"); 

    histview = new TQLabel( this, "histview" );
    histview->setMinimumSize( TQSize( 256, 256 ) );
    histview->setMaximumSize( TQSize( 256, 256 ) );
    histview->setScaledContents( TRUE );
    layout7->addWidget( histview );

    layout5 = new TQVBoxLayout( 0, 0, 6, "layout5"); 

    ingradient = new KGradientSlider( this, "ingradient" );
    ingradient->setMinimumSize( TQSize( 256, 20 ) );
    layout5->addWidget( ingradient );

    layout5_2 = new TQHBoxLayout( 0, 0, 6, "layout5_2"); 

    blackspin = new TQSpinBox( this, "blackspin" );
    blackspin->setButtonSymbols( TQSpinBox::PlusMinus );
    blackspin->setMaxValue( 255 );
    layout5_2->addWidget( blackspin );
    spacer5 = new TQSpacerItem( 25, 20, TQSizePolicy::MinimumExpanding, TQSizePolicy::Minimum );
    layout5_2->addItem( spacer5 );

    gammaspin = new TQLabel( this, "gammaspin" );
    gammaspin->setAlignment( int( TQLabel::AlignCenter ) );
    layout5_2->addWidget( gammaspin );
    spacer6 = new TQSpacerItem( 25, 20, TQSizePolicy::MinimumExpanding, TQSizePolicy::Minimum );
    layout5_2->addItem( spacer6 );

    whitespin = new TQSpinBox( this, "whitespin" );
    whitespin->setButtonSymbols( TQSpinBox::PlusMinus );
    whitespin->setMaxValue( 255 );
    layout5_2->addWidget( whitespin );
    layout5->addLayout( layout5_2 );
    layout7->addLayout( layout5 );

    textLabel3 = new TQLabel( this, "textLabel3" );
    layout7->addWidget( textLabel3 );

    layout6 = new TQVBoxLayout( 0, 0, 6, "layout6"); 

    outgradient = new KGradientSlider( this, "outgradient" );
    outgradient->setMinimumSize( TQSize( 256, 20 ) );
    layout6->addWidget( outgradient );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    outblackspin = new TQSpinBox( this, "outblackspin" );
    outblackspin->setButtonSymbols( TQSpinBox::PlusMinus );
    outblackspin->setMaxValue( 255 );
    layout2->addWidget( outblackspin );
    spacer3 = new TQSpacerItem( 50, 20, TQSizePolicy::MinimumExpanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer3 );

    outwhitespin = new TQSpinBox( this, "outwhitespin" );
    outwhitespin->setButtonSymbols( TQSpinBox::PlusMinus );
    outwhitespin->setMaxValue( 255 );
    layout2->addWidget( outwhitespin );
    layout6->addLayout( layout2 );
    layout7->addLayout( layout6 );

    WdgLevelLayout->addLayout( layout7, 2, 0 );
    spacer5_2 = new TQSpacerItem( 21, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    WdgLevelLayout->addItem( spacer5_2, 2, 1 );
    spacer6_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WdgLevelLayout->addItem( spacer6_2, 3, 0 );
    languageChange();
    resize( TQSize(269, 479).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgLevel::~WdgLevel()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgLevel::languageChange()
{
    setCaption( tr2i18n( "Levels" ) );
    chkLogarithmic->setText( tr2i18n( "Logarithmic" ) );
    textLabel2->setText( tr2i18n( "<b>Input levels</b>" ) );
    gammaspin->setText( tr2i18n( "1.0" ) );
    textLabel3->setText( tr2i18n( "<b>Output levels</b>" ) );
}

#include "wdg_level.moc"
