#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kis_dlgbrushcurvecontrol.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kis_dlgbrushcurvecontrol.h"

#include <ntqvariant.h>
#include <kcurve.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqwidget.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kcurve.h"

/*
 *  Constructs a WdgBrushCurveControl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
WdgBrushCurveControl::WdgBrushCurveControl( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "WdgBrushCurveControl" );
    setSizeGripEnabled( TRUE );
    WdgBrushCurveControlLayout = new TQVBoxLayout( this, 11, 6, "WdgBrushCurveControlLayout"); 

    tabWidget = new TQTabWidget( this, "tabWidget" );

    Widget8 = new TQWidget( tabWidget, "Widget8" );
    Widget8Layout = new TQGridLayout( Widget8, 1, 1, 11, 6, "Widget8Layout"); 

    layout4 = new TQVBoxLayout( 0, 0, 6, "layout4"); 

    sizeCheckbox = new TQCheckBox( Widget8, "sizeCheckbox" );
    layout4->addWidget( sizeCheckbox );

    sizeCurve = new KCurve( Widget8, "sizeCurve" );
    sizeCurve->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, sizeCurve->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( sizeCurve );

    Widget8Layout->addLayout( layout4, 0, 0 );
    tabWidget->insertTab( Widget8, TQString::fromLatin1("") );

    Widget9 = new TQWidget( tabWidget, "Widget9" );
    Widget9Layout = new TQGridLayout( Widget9, 1, 1, 11, 6, "Widget9Layout"); 

    layout3 = new TQVBoxLayout( 0, 0, 6, "layout3"); 

    opacityCheckbox = new TQCheckBox( Widget9, "opacityCheckbox" );
    layout3->addWidget( opacityCheckbox );

    opacityCurve = new KCurve( Widget9, "opacityCurve" );
    opacityCurve->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, opacityCurve->sizePolicy().hasHeightForWidth() ) );
    layout3->addWidget( opacityCurve );

    Widget9Layout->addLayout( layout3, 0, 0 );
    tabWidget->insertTab( Widget9, TQString::fromLatin1("") );

    TabPage = new TQWidget( tabWidget, "TabPage" );
    TabPageLayout = new TQGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    layout5 = new TQVBoxLayout( 0, 0, 6, "layout5"); 

    darkenCheckbox = new TQCheckBox( TabPage, "darkenCheckbox" );
    layout5->addWidget( darkenCheckbox );

    darkenCurve = new KCurve( TabPage, "darkenCurve" );
    darkenCurve->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, darkenCurve->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( darkenCurve );

    TabPageLayout->addLayout( layout5, 0, 0 );
    tabWidget->insertTab( TabPage, TQString::fromLatin1("") );
    WdgBrushCurveControlLayout->addWidget( tabWidget );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );
    WdgBrushCurveControlLayout->addLayout( Layout1 );
    languageChange();
    resize( TQSize(477, 430).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgBrushCurveControl::~WdgBrushCurveControl()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgBrushCurveControl::languageChange()
{
    setCaption( tr2i18n( "Custom Curves" ) );
    sizeCheckbox->setText( tr2i18n( "Use custom curve" ) );
    tabWidget->changeTab( Widget8, tr2i18n( "Size Curve" ) );
    opacityCheckbox->setText( tr2i18n( "Use custom curve" ) );
    tabWidget->changeTab( Widget9, tr2i18n( "Opacity Curve" ) );
    darkenCheckbox->setText( tr2i18n( "Use custom curve" ) );
    tabWidget->changeTab( TabPage, tr2i18n( "Darken Curve" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

#include "kis_dlgbrushcurvecontrol.moc"
