#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdghistogram.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdghistogram.h"

#include <ntqvariant.h>
#include <kis_histogram_view.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcombobox.h>
#include <ntqlabel.h>
#include <ntqpushbutton.h>
#include <ntqscrollbar.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kis_histogram_view.h"

/*
 *  Constructs a WdgHistogram as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgHistogram::WdgHistogram( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgHistogram" );
    WdgHistogramLayout = new TQVBoxLayout( this, 11, 6, "WdgHistogramLayout"); 

    grpType = new TQButtonGroup( this, "grpType" );
    grpType->setColumnLayout(0, TQt::Vertical );
    grpType->layout()->setSpacing( 6 );
    grpType->layout()->setMargin( 11 );
    grpTypeLayout = new TQGridLayout( grpType->layout() );
    grpTypeLayout->setAlignment( TQt::AlignTop );

    radioLinear = new TQRadioButton( grpType, "radioLinear" );
    radioLinear->setChecked( TRUE );

    grpTypeLayout->addWidget( radioLinear, 0, 2 );

    radioLog = new TQRadioButton( grpType, "radioLog" );

    grpTypeLayout->addMultiCellWidget( radioLog, 1, 2, 2, 2 );
    spacer1 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Preferred );
    grpTypeLayout->addItem( spacer1, 2, 1 );

    cmbChannel = new TQComboBox( FALSE, grpType, "cmbChannel" );
    cmbChannel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, cmbChannel->sizePolicy().hasHeightForWidth() ) );
    cmbChannel->setMinimumSize( TQSize( 200, 0 ) );

    grpTypeLayout->addMultiCellWidget( cmbChannel, 0, 1, 1, 1 );

    lblChannel = new TQLabel( grpType, "lblChannel" );

    grpTypeLayout->addMultiCellWidget( lblChannel, 0, 1, 0, 0 );
    spacer2 = new TQSpacerItem( 20, 21, TQSizePolicy::Minimum, TQSizePolicy::Preferred );
    grpTypeLayout->addItem( spacer2, 2, 0 );
    WdgHistogramLayout->addWidget( grpType );

    m_histogramView = new KisHistogramView( this, "m_histogramView" );
    m_histogramView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, m_histogramView->sizePolicy().hasHeightForWidth() ) );
    m_histogramView->setMinimumSize( TQSize( 256, 150 ) );
    WdgHistogramLayout->addWidget( m_histogramView );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout2->addWidget( textLabel1 );

    zoomIn = new TQPushButton( this, "zoomIn" );
    zoomIn->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, zoomIn->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( zoomIn );

    zoomOut = new TQPushButton( this, "zoomOut" );
    zoomOut->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, zoomOut->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( zoomOut );

    currentView = new TQScrollBar( this, "currentView" );
    currentView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, currentView->sizePolicy().hasHeightForWidth() ) );
    currentView->setOrientation( TQScrollBar::Horizontal );
    layout2->addWidget( currentView );
    WdgHistogramLayout->addLayout( layout2 );
    languageChange();
    resize( TQSize(450, 380).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lblChannel->setBuddy( cmbChannel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgHistogram::~WdgHistogram()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgHistogram::languageChange()
{
    grpType->setTitle( tr2i18n( "Method" ) );
    radioLinear->setText( tr2i18n( "&Linear" ) );
    radioLog->setText( tr2i18n( "&Logarithmic" ) );
    lblChannel->setText( tr2i18n( "&Channel:" ) );
    textLabel1->setText( tr2i18n( "View:" ) );
    zoomIn->setText( tr2i18n( "+" ) );
    zoomOut->setText( tr2i18n( "-" ) );
}

#include "wdghistogram.moc"
