#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdg_resolution.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdg_resolution.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a WdgResolution as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgResolution::WdgResolution( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgResolution" );
    WdgResolutionLayout = new TQGridLayout( this, 1, 1, 11, 6, "WdgResolutionLayout"); 

    grpSize = new TQGroupBox( this, "grpSize" );
    grpSize->setColumnLayout(0, TQt::Vertical );
    grpSize->layout()->setSpacing( 6 );
    grpSize->layout()->setMargin( 11 );
    grpSizeLayout = new TQGridLayout( grpSize->layout() );
    grpSizeLayout->setAlignment( TQt::AlignTop );

    lblHeight = new TQLabel( grpSize, "lblHeight" );

    grpSizeLayout->addWidget( lblHeight, 1, 0 );

    lblWidth = new TQLabel( grpSize, "lblWidth" );

    grpSizeLayout->addWidget( lblWidth, 0, 0 );

    intWidth = new KIntNumInput( grpSize, "intWidth" );

    grpSizeLayout->addWidget( intWidth, 0, 1 );

    intHeight = new KIntNumInput( grpSize, "intHeight" );

    grpSizeLayout->addWidget( intHeight, 1, 1 );

    WdgResolutionLayout->addMultiCellWidget( grpSize, 1, 1, 0, 1 );

    grpResolution = new TQGroupBox( this, "grpResolution" );
    grpResolution->setColumnLayout(0, TQt::Vertical );
    grpResolution->layout()->setSpacing( 6 );
    grpResolution->layout()->setMargin( 11 );
    grpResolutionLayout = new TQGridLayout( grpResolution->layout() );
    grpResolutionLayout->setAlignment( TQt::AlignTop );

    lblScreen = new TQLabel( grpResolution, "lblScreen" );

    grpResolutionLayout->addWidget( lblScreen, 0, 0 );

    lblScreenResolution = new TQLabel( grpResolution, "lblScreenResolution" );
    lblScreenResolution->setFrameShape( TQLabel::Panel );
    lblScreenResolution->setFrameShadow( TQLabel::Sunken );
    lblScreenResolution->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    grpResolutionLayout->addWidget( lblScreenResolution, 0, 1 );

    lblYResolution = new TQLabel( grpResolution, "lblYResolution" );

    grpResolutionLayout->addWidget( lblYResolution, 2, 0 );

    lblImageXRes = new TQLabel( grpResolution, "lblImageXRes" );

    grpResolutionLayout->addWidget( lblImageXRes, 1, 0 );

    intXRes = new KIntNumInput( grpResolution, "intXRes" );

    grpResolutionLayout->addWidget( intXRes, 1, 1 );

    intYRes = new KIntNumInput( grpResolution, "intYRes" );

    grpResolutionLayout->addWidget( intYRes, 2, 1 );

    WdgResolutionLayout->addMultiCellWidget( grpResolution, 0, 0, 0, 1 );
    languageChange();
    resize( TQSize(487, 265).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgResolution::~WdgResolution()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgResolution::languageChange()
{
    setCaption( tr2i18n( "Image Resolution" ) );
    grpSize->setTitle( tr2i18n( "Print Size" ) );
    lblHeight->setText( tr2i18n( "Height:" ) );
    lblWidth->setText( tr2i18n( "Width:" ) );
    intWidth->setSuffix( tr2i18n( " \"" ) );
    intHeight->setSuffix( tr2i18n( " \"" ) );
    grpResolution->setTitle( tr2i18n( "Image Resolution" ) );
    lblScreen->setText( tr2i18n( "Screen resolution:" ) );
    lblScreenResolution->setText( tr2i18n( "100" ) );
    lblYResolution->setText( tr2i18n( "Image Y resolution:" ) );
    lblImageXRes->setText( tr2i18n( "Image X resolution:" ) );
    intXRes->setSuffix( tr2i18n( " dpi" ) );
    intYRes->setSuffix( tr2i18n( " dpi" ) );
}

#include "wdg_resolution.moc"
