#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ksnapshotwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ksnapshotwidget.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <kiconloader.h>
#include <tdeglobalsettings.h>
#include <kpushbutton.h>
#include <ntqframe.h>
#include <ntqspinbox.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>

#include "ksnapshot.h"
#include "./ksnapshotwidget.ui.h"
/*
 *  Constructs a KSnapshotWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KSnapshotWidget::KSnapshotWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KSnapshotWidget" );
    KSnapshotWidgetLayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "KSnapshotWidgetLayout"); 

    lblImage = new KSnapshotThumb( this, "lblImage" );
    lblImage->setMinimumSize( TQSize( 200, 130 ) );

    KSnapshotWidgetLayout->addMultiCellWidget( lblImage, 0, 3, 0, 2 );

    btnNew = new KPushButton( this, "btnNew" );
    btnNew->setIconSet( TQIconSet( SmallIconSet( "tool_screenshot" ) ) );

    KSnapshotWidgetLayout->addWidget( btnNew, 0, 3 );

    btnSave = new KPushButton( this, "btnSave" );
    btnSave->setIconSet( TQIconSet( SmallIconSet( "document-save" ) ) );

    KSnapshotWidgetLayout->addWidget( btnSave, 2, 3 );
    Spacer6 = new TQSpacerItem( 16, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KSnapshotWidgetLayout->addItem( Spacer6, 1, 3 );

    btnPrint = new KPushButton( this, "btnPrint" );
    btnPrint->setIconSet( TQIconSet( SmallIconSet( "document-print" ) ) );

    KSnapshotWidgetLayout->addWidget( btnPrint, 3, 3 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    KSnapshotWidgetLayout->addMultiCellWidget( line1, 4, 4, 0, 3 );

    spinDelay = new TQSpinBox( this, "spinDelay" );

    KSnapshotWidgetLayout->addWidget( spinDelay, 6, 1 );

    lblDelay = new TQLabel( this, "lblDelay" );

    KSnapshotWidgetLayout->addWidget( lblDelay, 6, 0 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    KSnapshotWidgetLayout->addWidget( textLabel1, 5, 0 );
    Spacer1 = new TQSpacerItem( 156, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    KSnapshotWidgetLayout->addMultiCell( Spacer1, 6, 6, 2, 3 );

    cbIncludeDecorations = new TQCheckBox( this, "cbIncludeDecorations" );
    cbIncludeDecorations->setChecked( TRUE );

    KSnapshotWidgetLayout->addMultiCellWidget( cbIncludeDecorations, 7, 7, 0, 3 );

    comboMode = new TQComboBox( FALSE, this, "comboMode" );

    KSnapshotWidgetLayout->addMultiCellWidget( comboMode, 5, 5, 1, 3 );
    spacer3 = new TQSpacerItem( 20, 31, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KSnapshotWidgetLayout->addItem( spacer3, 8, 1 );
    languageChange();
    resize( TQSize(358, 241).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( comboMode, TQ_SIGNAL( activated(int) ), this, TQ_SLOT( slotModeChanged(int) ) );
    connect( btnNew, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotNewClicked() ) );
    connect( btnPrint, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotPrintClicked() ) );
    connect( btnSave, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotSaveClicked() ) );
    connect( lblImage, TQ_SIGNAL( startDrag() ), this, TQ_SLOT( slotStartDrag() ) );

    // tab order
    setTabOrder( btnNew, btnSave );
    setTabOrder( btnSave, btnPrint );
    setTabOrder( btnPrint, comboMode );
    setTabOrder( comboMode, spinDelay );
    setTabOrder( spinDelay, cbIncludeDecorations );

    // buddies
    lblDelay->setBuddy( spinDelay );
    textLabel1->setBuddy( comboMode );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KSnapshotWidget::~KSnapshotWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KSnapshotWidget::languageChange()
{
    TQToolTip::add( lblImage, tr2i18n( "Thumbnail of the current snapshot" ) );
    TQWhatsThis::add( lblImage, tr2i18n( "This is a thumbnail of the current snapshot.\n"
"\n"
"The image can be dragged to another application or document to copy the full screenshot there. Try it with the Konqueror file manager." ) );
    btnNew->setText( tr2i18n( "&New Snapshot" ) );
    TQWhatsThis::add( btnNew, tr2i18n( "Click this button to take a new snapshot." ) );
    btnSave->setText( tr2i18n( "&Save As..." ) );
    TQWhatsThis::add( btnSave, tr2i18n( "Click this button to save the current snapshot. To quickly save the snapshot without showing the file dialog, press Ctrl+Shift+S. The filename is automatically incremented after each save." ) );
    btnPrint->setText( tr2i18n( "&Print..." ) );
    TQWhatsThis::add( btnPrint, tr2i18n( "Click this button to print the current screenshot." ) );
    spinDelay->setSuffix( tr2i18n( " sec" ) );
    spinDelay->setSpecialValueText( tr2i18n( "No delay" ) );
    TQToolTip::add( spinDelay, tr2i18n( "Snapshot delay in seconds" ) );
    TQWhatsThis::add( spinDelay, tr2i18n( "<qt>\n"
"This is the number of seconds to wait after clicking the <i>New Snapshot</i> button before taking the snapshot.\n"
"<p>\n"
"This is very useful for getting windows, menus and other items on the screen set up just the way you want.\n"
"<p>\n"
"If <i>no delay</i> is set, the program will wait for a mouse click before taking a snapshot.\n"
"</p>\n"
"</qt>" ) );
    lblDelay->setText( tr2i18n( "Snapshot &delay:" ) );
    textLabel1->setText( tr2i18n( "Cap&ture mode:" ) );
    cbIncludeDecorations->setText( tr2i18n( "Include &window decorations" ) );
    TQWhatsThis::add( cbIncludeDecorations, tr2i18n( "When enabled, snapshot of a window will also include the window decorations" ) );
    comboMode->clear();
    comboMode->insertItem( tr2i18n( "Full Screen" ) );
    comboMode->insertItem( tr2i18n( "Window Under Cursor" ) );
    comboMode->insertItem( tr2i18n( "Region" ) );
    TQWhatsThis::add( comboMode, tr2i18n( "<qt>Using this menu, you can select from the three following snapshot modes:\n"
"<p>\n"
"<b>Full Screen</b> - captures the entire desktop.<br>\n"
"<b>Window Under Cursor</b> - captures only the window (or menu) that is under the mouse cursor when the snapshot is taken.<br>\n"
"<b>Region</b> - captures only the region of the desktop that you specify. When taking a new snapshot in this mode you will be able to select any area of the screen by clicking and dragging the mouse.</p></qt>" ) );
}

#include "ksnapshotwidget.moc"
