#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kis_previewwidgetbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kis_previewwidgetbase.h"

#include <ntqvariant.h>
#include <imageviewer.h>
#include <kpushbutton.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "imageviewer.h"

/*
 *  Constructs a PreviewWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PreviewWidgetBase::PreviewWidgetBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PreviewWidgetBase" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 0 ) );
    PreviewWidgetBaseLayout = new TQVBoxLayout( this, 0, 6, "PreviewWidgetBaseLayout"); 

    m_groupBox = new TQGroupBox( this, "m_groupBox" );
    m_groupBox->setColumnLayout(0, TQt::Vertical );
    m_groupBox->layout()->setSpacing( 6 );
    m_groupBox->layout()->setMargin( 11 );
    m_groupBoxLayout = new TQVBoxLayout( m_groupBox->layout() );
    m_groupBoxLayout->setAlignment( TQt::AlignTop );

    m_preview = new ImageViewer( m_groupBox, "m_preview" );
    m_preview->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, m_preview->sizePolicy().hasHeightForWidth() ) );
    m_preview->setMinimumSize( TQSize( 200, 150 ) );
    m_preview->setMaximumSize( TQSize( 1000, 1000 ) );
    m_groupBoxLayout->addWidget( m_preview );
    PreviewWidgetBaseLayout->addWidget( m_groupBox );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFrameShape( TQButtonGroup::GroupBoxPanel );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new TQHBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    radioBtnPreview = new TQRadioButton( buttonGroup1, "radioBtnPreview" );
    radioBtnPreview->setChecked( TRUE );
    buttonGroup1Layout->addWidget( radioBtnPreview );

    radioBtnOriginal = new TQRadioButton( buttonGroup1, "radioBtnOriginal" );
    buttonGroup1Layout->addWidget( radioBtnOriginal );
    layout4->addWidget( buttonGroup1 );

    layout5 = new TQVBoxLayout( 0, 0, 6, "layout5"); 

    layout4_2 = new TQHBoxLayout( 0, 0, 6, "layout4_2"); 

    btnZoomOut = new KPushButton( this, "btnZoomOut" );
    layout4_2->addWidget( btnZoomOut );

    btnZoomIn = new KPushButton( this, "btnZoomIn" );
    layout4_2->addWidget( btnZoomIn );

    btnZoomOneToOne = new KPushButton( this, "btnZoomOneToOne" );
    layout4_2->addWidget( btnZoomOneToOne );

    btnUpdate = new KPushButton( this, "btnUpdate" );
    layout4_2->addWidget( btnUpdate );
    layout5->addLayout( layout4_2 );

    checkBoxAutoUpdate = new TQCheckBox( this, "checkBoxAutoUpdate" );
    checkBoxAutoUpdate->setChecked( TRUE );
    layout5->addWidget( checkBoxAutoUpdate );
    layout4->addLayout( layout5 );

    frmProgress = new TQFrame( this, "frmProgress" );
    frmProgress->setFrameShape( TQFrame::NoFrame );
    frmProgress->setFrameShadow( TQFrame::Raised );
    layout4->addWidget( frmProgress );
    PreviewWidgetBaseLayout->addLayout( layout4 );
    languageChange();
    resize( TQSize(588, 500).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PreviewWidgetBase::~PreviewWidgetBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PreviewWidgetBase::languageChange()
{
    m_groupBox->setTitle( tr2i18n( "Preview" ) );
    buttonGroup1->setTitle( TQString::null );
    radioBtnPreview->setText( tr2i18n( "Pr&eview" ) );
    TQToolTip::add( radioBtnPreview, tr2i18n( "Preview modified layer" ) );
    radioBtnOriginal->setText( tr2i18n( "Ori&ginal" ) );
    TQToolTip::add( radioBtnOriginal, tr2i18n( "Show original layer" ) );
    btnZoomOut->setText( TQString::null );
    TQToolTip::add( btnZoomOut, tr2i18n( "Zoom Out" ) );
    btnZoomIn->setText( TQString::null );
    TQToolTip::add( btnZoomIn, tr2i18n( "Zoom In" ) );
    btnZoomOneToOne->setText( TQString::null );
    TQToolTip::add( btnZoomOneToOne, tr2i18n( "1 : 1" ) );
    btnUpdate->setText( TQString::null );
    TQToolTip::add( btnUpdate, tr2i18n( "Update preview" ) );
    checkBoxAutoUpdate->setText( tr2i18n( "&Autoupdate" ) );
    TQToolTip::add( checkBoxAutoUpdate, tr2i18n( "Automatically update the preview whenever the filter settings change" ) );
}

#include "kis_previewwidgetbase.moc"
