#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdggeneralsettings.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdggeneralsettings.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a WdgGeneralSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgGeneralSettings::WdgGeneralSettings( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgGeneralSettings" );
    WdgGeneralSettingsLayout = new TQGridLayout( this, 1, 1, 11, 6, "WdgGeneralSettingsLayout"); 

    layout3 = new TQVBoxLayout( 0, 0, 6, "layout3"); 

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    m_cmbCursorShape = new TQComboBox( FALSE, this, "m_cmbCursorShape" );
    layout1->addWidget( m_cmbCursorShape );
    layout3->addLayout( layout1 );

    grpDockability = new TQButtonGroup( this, "grpDockability" );
    grpDockability->setExclusive( TRUE );
    grpDockability->setColumnLayout(0, TQt::Vertical );
    grpDockability->layout()->setSpacing( 6 );
    grpDockability->layout()->setMargin( 11 );
    grpDockabilityLayout = new TQVBoxLayout( grpDockability->layout() );
    grpDockabilityLayout->setAlignment( TQt::AlignTop );

    radioAllowDocking = new TQRadioButton( grpDockability, "radioAllowDocking" );
    grpDockabilityLayout->addWidget( radioAllowDocking );

    radioDisallowDocking = new TQRadioButton( grpDockability, "radioDisallowDocking" );
    grpDockabilityLayout->addWidget( radioDisallowDocking );

    radioSmartDocking = new TQRadioButton( grpDockability, "radioSmartDocking" );
    grpDockabilityLayout->addWidget( radioSmartDocking );
    layout3->addWidget( grpDockability );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1_2 = new TQLabel( this, "textLabel1_2" );
    layout2->addWidget( textLabel1_2 );

    numDockerFontSize = new KIntNumInput( this, "numDockerFontSize" );
    layout2->addWidget( numDockerFontSize );
    layout3->addLayout( layout2 );

    WdgGeneralSettingsLayout->addLayout( layout3, 0, 0 );
    spacer1 = new TQSpacerItem( 41, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    WdgGeneralSettingsLayout->addItem( spacer1, 0, 1 );
    spacer2 = new TQSpacerItem( 20, 41, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WdgGeneralSettingsLayout->addItem( spacer2, 1, 0 );
    languageChange();
    resize( TQSize(335, 209).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( m_cmbCursorShape );
    textLabel1_2->setBuddy( numDockerFontSize );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgGeneralSettings::~WdgGeneralSettings()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgGeneralSettings::languageChange()
{
    textLabel1->setText( tr2i18n( "&Cursor shape:" ) );
    m_cmbCursorShape->clear();
    m_cmbCursorShape->insertItem( tr2i18n( "Tool Icon" ) );
    m_cmbCursorShape->insertItem( tr2i18n( "Crosshair" ) );
    m_cmbCursorShape->insertItem( tr2i18n( "Arrow" ) );
    m_cmbCursorShape->insertItem( tr2i18n( "Brush Outline" ) );
    grpDockability->setTitle( tr2i18n( "Palette Behavior" ) );
    radioAllowDocking->setText( tr2i18n( "Allow &docking" ) );
    radioDisallowDocking->setText( tr2i18n( "Allow only &floating" ) );
    radioSmartDocking->setText( tr2i18n( "Allow docking only on &large screens" ) );
    textLabel1_2->setText( tr2i18n( "&Palette font size:" ) );
}

#include "wdggeneralsettings.moc"
