#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgperformancesettings.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgperformancesettings.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqslider.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a WdgPerformanceSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgPerformanceSettings::WdgPerformanceSettings( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgPerformanceSettings" );
    WdgPerformanceSettingsLayout = new TQVBoxLayout( this, 11, 6, "WdgPerformanceSettingsLayout"); 

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout4->addWidget( textLabel1 );

    m_maxTiles = new KIntNumInput( this, "m_maxTiles" );
    m_maxTiles->setValue( 500 );
    m_maxTiles->setMinValue( 0 );
    layout4->addWidget( m_maxTiles );
    spacer2 = new TQSpacerItem( 81, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer2 );
    WdgPerformanceSettingsLayout->addLayout( layout4 );

    layout5 = new TQHBoxLayout( 0, 0, 6, "layout5"); 

    textLabel2 = new TQLabel( this, "textLabel2" );
    layout5->addWidget( textLabel2 );

    m_swappiness = new TQSlider( this, "m_swappiness" );
    m_swappiness->setMaximumSize( TQSize( 600, 32767 ) );
    m_swappiness->setMaxValue( 6 );
    m_swappiness->setValue( 3 );
    m_swappiness->setOrientation( TQSlider::Horizontal );
    m_swappiness->setTickmarks( TQSlider::Below );
    layout5->addWidget( m_swappiness );
    WdgPerformanceSettingsLayout->addLayout( layout5 );
    spacer3 = new TQSpacerItem( 20, 139, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    WdgPerformanceSettingsLayout->addItem( spacer3 );
    languageChange();
    resize( TQSize(495, 220).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgPerformanceSettings::~WdgPerformanceSettings()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgPerformanceSettings::languageChange()
{
    textLabel1->setText( tr2i18n( "Maximum number of tiles kept in memory:" ) );
    TQWhatsThis::add( textLabel1, tr2i18n( "The maximum number of \"tiles\" that are kept in memory. For regular RGBA8 images, each tile is about 16 kB in size. Thus, for a value of 500 tiles this usually means about 8 megabytes are used for image data. If you regularly handle large images, a greater value here might be useful.\n"
"Note that this number is only a guideline for Chalk, and is not guaranteed to be the actual number of tiles in memory." ) );
    TQWhatsThis::add( m_maxTiles, tr2i18n( "The maximum number of \"tiles\" that are kept in memory. For regular RGBA8 images, each tile is about 16 kB in size. Thus, for a value of 500 tiles this usually means about 8 megabytes are used for image data. If you regularly handle large images, a greater value here might be useful.\n"
"Note that this number is only a guideline for Chalk, and is not guaranteed to be the actual number of tiles in memory." ) );
    textLabel2->setText( tr2i18n( "Swappiness:" ) );
    TQWhatsThis::add( textLabel2, tr2i18n( "This configures how much Chalk will use the swap file. If you move the slider all the way to the left, Chalk will not use the swap file at all. If you move it all the way to the right, Chalk will make maximum use of the swap file." ) );
    TQWhatsThis::add( m_swappiness, tr2i18n( "This configures how much Chalk likes to swap. Move the slider to the left, and there is no swapping at all. Move it to the right there is a lot of swapping going on." ) );
}

#include "wdgperformancesettings.moc"
