#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kis_wdg_options_jpeg.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kis_wdg_options_jpeg.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqslider.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KisWdgOptionsJPEG as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KisWdgOptionsJPEG::KisWdgOptionsJPEG( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KisWdgOptionsJPEG" );
    KisWdgOptionsJPEGLayout = new TQVBoxLayout( this, 0, 6, "KisWdgOptionsJPEGLayout"); 

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setAlignment( int( TQLabel::AlignTop ) );
    layout4->addWidget( textLabel1 );

    layout5 = new TQVBoxLayout( 0, 0, 6, "layout5"); 

    qualityLevel = new TQSlider( this, "qualityLevel" );
    qualityLevel->setMinValue( 0 );
    qualityLevel->setMaxValue( 100 );
    qualityLevel->setLineStep( 1 );
    qualityLevel->setPageStep( 1 );
    qualityLevel->setValue( 80 );
    qualityLevel->setOrientation( TQSlider::Horizontal );
    qualityLevel->setTickmarks( TQSlider::Below );
    qualityLevel->setTickInterval( 10 );
    layout5->addWidget( qualityLevel );

    layout4_2 = new TQHBoxLayout( 0, 0, 6, "layout4_2"); 

    textLabel3 = new TQLabel( this, "textLabel3" );
    layout4_2->addWidget( textLabel3 );

    textLabel4 = new TQLabel( this, "textLabel4" );
    textLabel4->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    layout4_2->addWidget( textLabel4 );
    layout5->addLayout( layout4_2 );
    layout4->addLayout( layout5 );
    KisWdgOptionsJPEGLayout->addLayout( layout4 );

    progressive = new TQCheckBox( this, "progressive" );
    KisWdgOptionsJPEGLayout->addWidget( progressive );
    spacer1 = new TQSpacerItem( 20, 61, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KisWdgOptionsJPEGLayout->addItem( spacer1 );
    languageChange();
    resize( TQSize(167, 87).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KisWdgOptionsJPEG::~KisWdgOptionsJPEG()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KisWdgOptionsJPEG::languageChange()
{
    textLabel1->setText( tr2i18n( "Quality:" ) );
    TQToolTip::add( qualityLevel, tr2i18n( "These settings determine how much information is lost during compression" ) );
    textLabel3->setText( tr2i18n( "Smallest" ) );
    textLabel4->setText( tr2i18n( "Best" ) );
    progressive->setText( tr2i18n( "Pr&ogressive" ) );
    TQToolTip::add( progressive, tr2i18n( "Use progressive when publishing on the Internet" ) );
    TQWhatsThis::add( progressive, tr2i18n( "<p>Progressive is useful if you intend to publish your image on the Internet.<br>\n"
"Enabling progressive will cause the image to be displayed by the browser even while downloading.</p>" ) );
}

#include "kis_wdg_options_jpeg.moc"
