#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kis_wdg_options_png.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kis_wdg_options_png.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqslider.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KisWdgOptionsPNG as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KisWdgOptionsPNG::KisWdgOptionsPNG( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KisWdgOptionsPNG" );
    KisWdgOptionsPNGLayout = new TQGridLayout( this, 1, 1, 0, 6, "KisWdgOptionsPNGLayout"); 

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setAlignment( int( TQLabel::AlignTop ) );
    layout6->addWidget( textLabel1 );

    layout5 = new TQVBoxLayout( 0, 0, 6, "layout5"); 

    compressionLevel = new TQSlider( this, "compressionLevel" );
    compressionLevel->setMinValue( 1 );
    compressionLevel->setMaxValue( 9 );
    compressionLevel->setPageStep( 1 );
    compressionLevel->setValue( 9 );
    compressionLevel->setOrientation( TQSlider::Horizontal );
    compressionLevel->setTickmarks( TQSlider::Below );
    layout5->addWidget( compressionLevel );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel3 = new TQLabel( this, "textLabel3" );
    layout4->addWidget( textLabel3 );

    textLabel4 = new TQLabel( this, "textLabel4" );
    textLabel4->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    layout4->addWidget( textLabel4 );
    layout5->addLayout( layout4 );
    layout6->addLayout( layout5 );

    KisWdgOptionsPNGLayout->addLayout( layout6, 0, 0 );
    spacer1 = new TQSpacerItem( 20, 5, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KisWdgOptionsPNGLayout->addItem( spacer1, 3, 0 );

    interlacing = new TQCheckBox( this, "interlacing" );

    KisWdgOptionsPNGLayout->addWidget( interlacing, 1, 0 );

    alpha = new TQCheckBox( this, "alpha" );
    alpha->setChecked( TRUE );

    KisWdgOptionsPNGLayout->addWidget( alpha, 2, 0 );
    languageChange();
    resize( TQSize(286, 106).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KisWdgOptionsPNG::~KisWdgOptionsPNG()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KisWdgOptionsPNG::languageChange()
{
    setCaption( tr2i18n( "Options of Your PNG" ) );
    textLabel1->setText( tr2i18n( "Compress:" ) );
    TQToolTip::add( textLabel1, tr2i18n( "Note: the compression level does not change the quality of the result" ) );
    TQWhatsThis::add( textLabel1, tr2i18n( "<p>Adjust the compression time. Better compression takes longer.\n"
"<br>Note: the compression level does not change the quality of the result.</p>" ) );
    TQToolTip::add( compressionLevel, tr2i18n( "Note: the compression level doesn't change the quality of the result" ) );
    TQWhatsThis::add( compressionLevel, tr2i18n( "<p>Adjust the compression time. Better compression takes longer.\n"
"<br>Note: the compression level doesn't change the quality of the result.</p>" ) );
    textLabel3->setText( tr2i18n( "Fast" ) );
    TQWhatsThis::add( textLabel3, tr2i18n( "<p>Adjust the compression time. Better compression takes longer.\n"
"<br>Note: the compression level doesn't change the quality of the result.</p>" ) );
    textLabel4->setText( tr2i18n( "Small" ) );
    TQWhatsThis::add( textLabel4, tr2i18n( "<p>Adjust the compression time. Better compression takes longer.\n"
"<br>Note: the compression level doesn't change the quality of the result.</p>" ) );
    interlacing->setText( tr2i18n( "Interlacing" ) );
    TQToolTip::add( interlacing, tr2i18n( "Use interlacing when publishing on the Internet" ) );
    TQWhatsThis::add( interlacing, tr2i18n( "<p>Interlacing is useful if you intend to publish your image on the Internet.<br>\n"
"Enabling interlacing will cause the image to be displayed by the browser even while downloading.</p>" ) );
    alpha->setText( tr2i18n( "Store alpha channel (transparency)" ) );
    TQToolTip::add( alpha, tr2i18n( "Disable to get smaller files if your image has no transparency" ) );
    TQWhatsThis::add( alpha, tr2i18n( "<p>The Portable Network Graphics (PNG) file format allows transparency in your image to be stored by saving an alpha channel.\n"
"You can uncheck the box if you are not using transparency and you want to make the resulting file smaller .<br>Always saving the alpha channel is recommended.</p>" ) );
}

#include "kis_wdg_options_png.moc"
