#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './exportwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "exportwidget.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqgroupbox.h>
#include <ntqlistbox.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqspinbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ExportWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ExportWidget::ExportWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ExportWidget" );
    ExportWidgetLayout = new TQVBoxLayout( this, 0, 6, "ExportWidgetLayout"); 

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    mEncodingBox = new TQComboBox( FALSE, this, "mEncodingBox" );
    layout1->addWidget( mEncodingBox );
    spacer2 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout1->addItem( spacer2 );
    ExportWidgetLayout->addLayout( layout1 );

    groupBox3 = new TQGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, TQt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new TQVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( TQt::AlignTop );

    mSheets = new TQListBox( groupBox3, "mSheets" );
    mSheets->setSelectionMode( TQListBox::Multi );
    groupBox3Layout->addWidget( mSheets );

    layout7 = new TQHBoxLayout( 0, 0, 6, "layout7"); 

    mSelectAllButton = new TQPushButton( groupBox3, "mSelectAllButton" );
    layout7->addWidget( mSelectAllButton );

    mDeselectAllButton = new TQPushButton( groupBox3, "mDeselectAllButton" );
    layout7->addWidget( mDeselectAllButton );
    spacer3 = new TQSpacerItem( 330, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout7->addItem( spacer3 );
    groupBox3Layout->addLayout( layout7 );

    mSeparateFiles = new TQCheckBox( groupBox3, "mSeparateFiles" );
    groupBox3Layout->addWidget( mSeparateFiles );
    ExportWidgetLayout->addWidget( groupBox3 );

    buttonGroup4 = new TQButtonGroup( this, "buttonGroup4" );
    buttonGroup4->setColumnLayout(0, TQt::Vertical );
    buttonGroup4->layout()->setSpacing( 6 );
    buttonGroup4->layout()->setMargin( 11 );
    buttonGroup4Layout = new TQVBoxLayout( buttonGroup4->layout() );
    buttonGroup4Layout->setAlignment( TQt::AlignTop );

    mDefaultButton = new TQRadioButton( buttonGroup4, "mDefaultButton" );
    mDefaultButton->setChecked( TRUE );
    buttonGroup4Layout->addWidget( mDefaultButton );

    mCustomButton = new TQRadioButton( buttonGroup4, "mCustomButton" );
    buttonGroup4Layout->addWidget( mCustomButton );

    mCustomURL = new KURLRequester( buttonGroup4, "mCustomURL" );
    mCustomURL->setEnabled( FALSE );
    buttonGroup4Layout->addWidget( mCustomURL );
    ExportWidgetLayout->addWidget( buttonGroup4 );

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    mUseBorders = new TQCheckBox( groupBox2, "mUseBorders" );
    mUseBorders->setChecked( TRUE );
    groupBox2Layout->addWidget( mUseBorders );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1_2 = new TQLabel( groupBox2, "textLabel1_2" );
    layout4->addWidget( textLabel1_2 );

    mPixelsBetweenCells = new TQSpinBox( groupBox2, "mPixelsBetweenCells" );
    mPixelsBetweenCells->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, mPixelsBetweenCells->sizePolicy().hasHeightForWidth() ) );
    mPixelsBetweenCells->setMaxValue( 25 );
    layout4->addWidget( mPixelsBetweenCells );
    spacer5_2 = new TQSpacerItem( 16, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer5_2 );
    groupBox2Layout->addLayout( layout4 );
    ExportWidgetLayout->addWidget( groupBox2 );
    spacer5 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ExportWidgetLayout->addItem( spacer5 );
    languageChange();
    resize( TQSize(256, 413).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( mEncodingBox );
    textLabel1_2->setBuddy( mPixelsBetweenCells );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ExportWidget::~ExportWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ExportWidget::languageChange()
{
    textLabel1->setText( tr2i18n( "En&coding:" ) );
    TQWhatsThis::add( mEncodingBox, tr2i18n( "With this option you can define the encoding of the HTML file. The recommended encoding (UTF8) is selected as default." ) );
    groupBox3->setTitle( tr2i18n( "Sheet Selection" ) );
    mSelectAllButton->setText( tr2i18n( "Select &All" ) );
    TQWhatsThis::add( mSelectAllButton, tr2i18n( "Click here to select all sheets in the list." ) );
    mDeselectAllButton->setText( tr2i18n( "Desele&ct All" ) );
    TQWhatsThis::add( mDeselectAllButton, tr2i18n( "Click here to select all sheets in the list." ) );
    mSeparateFiles->setText( tr2i18n( "Use &separate files for each table" ) );
    TQWhatsThis::add( mSeparateFiles, tr2i18n( "This option will make the HTML export filter generate a new page for each sheet. If you disable this option, all sheets are written on one page." ) );
    buttonGroup4->setTitle( tr2i18n( "Style" ) );
    mDefaultButton->setText( tr2i18n( "Use &default style" ) );
    TQWhatsThis::add( mDefaultButton, tr2i18n( "Select this option to use the default fonts and colors for the HTML page." ) );
    mCustomButton->setText( tr2i18n( "Use &external stylesheet:" ) );
    TQWhatsThis::add( mCustomButton, tr2i18n( "Select this option to specify a separate stylesheet for the HTML page. You can select or type on in the field below." ) );
    TQWhatsThis::add( mCustomURL, tr2i18n( "In this field you can enter an URL for your stylesheet. It is possible to point to a stylesheet on disk, or to somewhere on the Internet." ) );
    groupBox2->setTitle( tr2i18n( "Layout" ) );
    mUseBorders->setText( tr2i18n( "Use &borders" ) );
    TQWhatsThis::add( mUseBorders, tr2i18n( "Use this option to enable or disable borders around the cells." ) );
    textLabel1_2->setText( tr2i18n( "Pi&xels between cells:" ) );
    TQWhatsThis::add( textLabel1_2, tr2i18n( "Use this option to define how many pixels there should be between the cells. This effect is better visible if you check <b>Use borders</b> too." ) );
    TQWhatsThis::add( mPixelsBetweenCells, tr2i18n( "Use this option to define how many pixels there should be between the cells. This effect is better visible if you check <b>Use borders</b> too." ) );
}

#include "exportwidget.moc"
