#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kspread_kexiimportdialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kspread_kexiimportdialogbase.h"

#include <ntqvariant.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqsplitter.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqtextedit.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KSpreadKexiImportDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
KSpreadKexiImportDialogBase::KSpreadKexiImportDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KSpreadKexiImportDialogBase" );
    KSpreadKexiImportDialogBaseLayout = new TQVBoxLayout( this, 11, 6, "KSpreadKexiImportDialogBaseLayout"); 

    splitter4 = new TQSplitter( this, "splitter4" );
    splitter4->setOrientation( TQSplitter::Horizontal );

    TQWidget* privateLayoutWidget = new TQWidget( splitter4, "layout5" );
    layout5 = new TQVBoxLayout( privateLayoutWidget, 11, 6, "layout5"); 

    textLabel1 = new TQLabel( privateLayoutWidget, "textLabel1" );
    layout5->addWidget( textLabel1 );

    m_sourceList = new TDEListView( privateLayoutWidget, "m_sourceList" );
    m_sourceList->addColumn( tr2i18n( "Type" ) );
    m_sourceList->addColumn( tr2i18n( "Name" ) );
    m_sourceList->setProperty( "selectionMode", "Multi" );
    m_sourceList->setAllColumnsShowFocus( TRUE );
    m_sourceList->setFullWidth( TRUE );
    layout5->addWidget( m_sourceList );

    m_customQueryCheck = new TQCheckBox( privateLayoutWidget, "m_customQueryCheck" );
    layout5->addWidget( m_customQueryCheck );

    m_CustomQueryText = new TQTextEdit( privateLayoutWidget, "m_CustomQueryText" );
    m_CustomQueryText->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, m_CustomQueryText->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( m_CustomQueryText );

    TQWidget* privateLayoutWidget_2 = new TQWidget( splitter4, "layout8" );
    layout8 = new TQVBoxLayout( privateLayoutWidget_2, 11, 6, "layout8"); 

    textLabel1_2 = new TQLabel( privateLayoutWidget_2, "textLabel1_2" );
    textLabel1_2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)1, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( textLabel1_2 );

    m_convGroup = new TQButtonGroup( privateLayoutWidget_2, "m_convGroup" );
    m_convGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)7, 0, 0, m_convGroup->sizePolicy().hasHeightForWidth() ) );
    m_convGroup->setColumnLayout(0, TQt::Vertical );
    m_convGroup->layout()->setSpacing( 6 );
    m_convGroup->layout()->setMargin( 11 );
    m_convGroupLayout = new TQVBoxLayout( m_convGroup->layout() );
    m_convGroupLayout->setAlignment( TQt::AlignTop );

    m_convKSRadio = new TQRadioButton( m_convGroup, "m_convKSRadio" );
    m_convKSRadio->setChecked( TRUE );
    m_convGroupLayout->addWidget( m_convKSRadio );

    m_convTextRadio = new TQRadioButton( m_convGroup, "m_convTextRadio" );
    m_convGroupLayout->addWidget( m_convTextRadio );
    layout8->addWidget( m_convGroup );
    KSpreadKexiImportDialogBaseLayout->addWidget( splitter4 );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 
    spacer1 = new TQSpacerItem( 145, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer1 );

    m_insertButton = new TQPushButton( this, "m_insertButton" );
    layout4->addWidget( m_insertButton );

    m_cancelButton = new TQPushButton( this, "m_cancelButton" );
    layout4->addWidget( m_cancelButton );
    KSpreadKexiImportDialogBaseLayout->addLayout( layout4 );
    languageChange();
    resize( TQSize(598, 491).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KSpreadKexiImportDialogBase::~KSpreadKexiImportDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KSpreadKexiImportDialogBase::languageChange()
{
    setCaption( tr2i18n( "KSpread Kexi Import Filter" ) );
    TQToolTip::add( this, TQString::null );
    TQWhatsThis::add( this, tr2i18n( "The Insert Calendar dialog lets you set the dates of the calendar you want to insert. When you have choosen the desired dates, simply press the Insert button to insert the calendar into the spreadsheet, starting at the cell you have currently selected.", "This what's this help applies for the entire dialog." ) );
    textLabel1->setText( tr2i18n( "Table/Query" ) );
    m_sourceList->header()->setLabel( 0, tr2i18n( "Type" ) );
    m_sourceList->header()->setLabel( 1, tr2i18n( "Name" ) );
    m_customQueryCheck->setText( tr2i18n( "Custom quer&y" ) );
    textLabel1_2->setText( tr2i18n( "Data Conversion" ) );
    m_convGroup->setTitle( TQString::null );
    m_convKSRadio->setText( tr2i18n( "&Let KSpread choose" ) );
    m_convTextRadio->setText( tr2i18n( "Text (faster)" ) );
    m_insertButton->setText( tr2i18n( "&Open" ) );
    TQToolTip::add( m_insertButton, tr2i18n( "Insert the calendar at the currently selected cell.", "Tooltip for the insert button of the insert calendar plugin" ) );
    TQWhatsThis::add( m_insertButton, tr2i18n( "A new calendar will be inserted starting at the currently selected cell.", "What's this for the insert button of the insert calendar plugin" ) );
    m_cancelButton->setText( tr2i18n( "&Cancel" ) );
    TQToolTip::add( m_cancelButton, tr2i18n( "Don't insert a calendar." ) );
    TQWhatsThis::add( m_cancelButton, tr2i18n( "Quits the dialog and does not insert a calendar. Use this to cancel this operation." ) );
}

#include "kspread_kexiimportdialogbase.moc"
