#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './xsltdialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xsltdialog.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlistbox.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a XSLTDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
XSLTDialog::XSLTDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "XSLTDialog" );
    setSizeGripEnabled( FALSE );
    XSLTDialogLayout = new TQVBoxLayout( this, 11, 6, "XSLTDialogLayout"); 

    GroupBox1 = new TQGroupBox( this, "GroupBox1" );
    GroupBox1->setColumnLayout(0, TQt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new TQVBoxLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( TQt::AlignTop );

    xsltList = new TQListBox( GroupBox1, "xsltList" );
    xsltList->setMinimumSize( TQSize( 0, 200 ) );
    xsltList->setFrameShape( TQListBox::StyledPanel );
    xsltList->setFrameShadow( TQListBox::Sunken );
    GroupBox1Layout->addWidget( xsltList );
    XSLTDialogLayout->addWidget( GroupBox1 );

    GroupBox2 = new TQGroupBox( this, "GroupBox2" );
    GroupBox2->setColumnLayout(0, TQt::Vertical );
    GroupBox2->layout()->setSpacing( 6 );
    GroupBox2->layout()->setMargin( 11 );
    GroupBox2Layout = new TQHBoxLayout( GroupBox2->layout() );
    GroupBox2Layout->setAlignment( TQt::AlignTop );

    recentBox = new TQComboBox( FALSE, GroupBox2, "recentBox" );
    recentBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, recentBox->sizePolicy().hasHeightForWidth() ) );
    GroupBox2Layout->addWidget( recentBox );
    Spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Minimum );
    GroupBox2Layout->addItem( Spacer2 );

    chooseBtn = new TQPushButton( GroupBox2, "chooseBtn" );
    GroupBox2Layout->addWidget( chooseBtn );
    XSLTDialogLayout->addWidget( GroupBox2 );

    Layout37 = new TQHBoxLayout( 0, 0, 6, "Layout37"); 
    Spacer57 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout37->addItem( Spacer57 );

    OkBtn = new TQPushButton( this, "OkBtn" );
    OkBtn->setDefault( TRUE );
    Layout37->addWidget( OkBtn );

    CancelBtn = new TQPushButton( this, "CancelBtn" );
    Layout37->addWidget( CancelBtn );
    XSLTDialogLayout->addLayout( Layout37 );
    languageChange();
    resize( TQSize(373, 389).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( OkBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( okSlot() ) );
    connect( CancelBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( cancelSlot() ) );
    connect( chooseBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( chooseSlot() ) );
    connect( recentBox, TQ_SIGNAL( activated(const TQString&) ), this, TQ_SLOT( chooseRecentSlot() ) );
    connect( xsltList, TQ_SIGNAL( selectionChanged() ), this, TQ_SLOT( chooseCommonSlot() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XSLTDialog::~XSLTDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XSLTDialog::languageChange()
{
    setCaption( tr2i18n( "Export XSLT Configuration" ) );
    GroupBox1->setTitle( tr2i18n( "Common xslt Files" ) );
    GroupBox2->setTitle( tr2i18n( "Personal xslt Files" ) );
    chooseBtn->setText( tr2i18n( "Choose..." ) );
    OkBtn->setText( tr2i18n( "&OK" ) );
    CancelBtn->setText( tr2i18n( "&Cancel" ) );
}

void XSLTDialog::cancelSlot()
{
    tqWarning( "XSLTDialog::cancelSlot(): Not implemented yet" );
}

void XSLTDialog::chooseRecentSlot()
{
    tqWarning( "XSLTDialog::chooseRecentSlot(): Not implemented yet" );
}

void XSLTDialog::chooseSlot()
{
    tqWarning( "XSLTDialog::chooseSlot(): Not implemented yet" );
}

void XSLTDialog::chooseCommonSlot()
{
    tqWarning( "XSLTDialog::chooseCommonSlot(): Not implemented yet" );
}

void XSLTDialog::okSlot()
{
    tqWarning( "XSLTDialog::okSlot(): Not implemented yet" );
}

#include "xsltdialog.moc"
