#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kiviostencilsetwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kiviostencilsetwidget.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqsplitter.h>
#include <ntqgroupbox.h>
#include <ntqiconview.h>
#include <ntqtextbrowser.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KivioStencilSetWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KivioStencilSetWidget::KivioStencilSetWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KivioStencilSetWidget" );
    KivioStencilSetWidgetLayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "KivioStencilSetWidgetLayout"); 

    splitter1 = new TQSplitter( this, "splitter1" );
    splitter1->setOrientation( TQSplitter::Horizontal );

    m_stencilSetLView = new TDEListView( splitter1, "m_stencilSetLView" );
    m_stencilSetLView->addColumn( tr2i18n( "Stencil Set" ) );
    m_stencilSetLView->setRootIsDecorated( TRUE );
    m_stencilSetLView->setResizeMode( TDEListView::AllColumns );
    m_stencilSetLView->setFullWidth( TRUE );
    m_stencilSetLView->setItemsMovable( FALSE );
    m_stencilSetLView->setDropVisualizer( FALSE );

    m_stencilsetGBox = new TQGroupBox( splitter1, "m_stencilsetGBox" );
    m_stencilsetGBox->setColumnLayout(0, TQt::Vertical );
    m_stencilsetGBox->layout()->setSpacing( KDialog::spacingHint() );
    m_stencilsetGBox->layout()->setMargin( KDialog::marginHint() );
    m_stencilsetGBoxLayout = new TQGridLayout( m_stencilsetGBox->layout() );
    m_stencilsetGBoxLayout->setAlignment( TQt::AlignTop );

    m_stencilSetSplitter = new TQSplitter( m_stencilsetGBox, "m_stencilSetSplitter" );
    m_stencilSetSplitter->setOrientation( TQSplitter::Vertical );

    m_stencilIView = new TQIconView( m_stencilSetSplitter, "m_stencilIView" );
    m_stencilIView->setAcceptDrops( FALSE );
    m_stencilIView->setHScrollBarMode( TQIconView::AlwaysOff );
    m_stencilIView->setSelectionMode( TQIconView::NoSelection );
    m_stencilIView->setGridX( 64 );
    m_stencilIView->setGridY( 64 );
    m_stencilIView->setResizeMode( TQIconView::Adjust );
    m_stencilIView->setItemsMovable( FALSE );

    m_descriptionBrowser = new TQTextBrowser( m_stencilSetSplitter, "m_descriptionBrowser" );
    m_descriptionBrowser->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)4, 0, 0, m_descriptionBrowser->sizePolicy().hasHeightForWidth() ) );

    m_stencilsetGBoxLayout->addWidget( m_stencilSetSplitter, 0, 0 );

    m_addToDocBtn = new TQPushButton( m_stencilsetGBox, "m_addToDocBtn" );
    m_addToDocBtn->setEnabled( FALSE );

    m_stencilsetGBoxLayout->addWidget( m_addToDocBtn, 1, 0 );

    KivioStencilSetWidgetLayout->addWidget( splitter1, 0, 0 );
    languageChange();
    resize( TQSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KivioStencilSetWidget::~KivioStencilSetWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KivioStencilSetWidget::languageChange()
{
    setCaption( tr2i18n( "Stencil Set" ) );
    m_stencilSetLView->header()->setLabel( 0, tr2i18n( "Stencil Set" ) );
    m_stencilsetGBox->setTitle( tr2i18n( "No Selection" ) );
    TQWhatsThis::add( m_stencilIView, tr2i18n( "This is a preview of the stencils contained in the set" ) );
    m_addToDocBtn->setText( tr2i18n( "&Add to Document" ) );
}

#include "kiviostencilsetwidget.moc"
