#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kivio_stenciltexteditorui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kivio_stenciltexteditorui.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <ktextedit.h>
#include <tdefontcombo.h>
#include <ntqtoolbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Kivio::StencilTextEditorUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Kivio::StencilTextEditorUI::StencilTextEditorUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Kivio::StencilTextEditorUI" );
    StencilTextEditorUILayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "StencilTextEditorUILayout"); 

    m_boldButton = new TQToolButton( this, "m_boldButton" );
    m_boldButton->setToggleButton( TRUE );

    StencilTextEditorUILayout->addWidget( m_boldButton, 0, 2 );

    m_fontSizeCombo = new KComboBox( FALSE, this, "m_fontSizeCombo" );
    m_fontSizeCombo->setEditable( TRUE );

    StencilTextEditorUILayout->addWidget( m_fontSizeCombo, 0, 1 );

    m_fontCombo = new TDEFontCombo( this, "m_fontCombo" );

    StencilTextEditorUILayout->addWidget( m_fontCombo, 0, 0 );

    m_italicsButton = new TQToolButton( this, "m_italicsButton" );
    m_italicsButton->setToggleButton( TRUE );

    StencilTextEditorUILayout->addWidget( m_italicsButton, 0, 3 );

    m_underLineButton = new TQToolButton( this, "m_underLineButton" );
    m_underLineButton->setToggleButton( TRUE );

    StencilTextEditorUILayout->addWidget( m_underLineButton, 0, 4 );
    spacer1 = new TQSpacerItem( 110, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    StencilTextEditorUILayout->addItem( spacer1, 0, 8 );

    m_textColorButton = new KColorButton( this, "m_textColorButton" );

    StencilTextEditorUILayout->addWidget( m_textColorButton, 0, 7 );

    m_hAlignButton = new TQToolButton( this, "m_hAlignButton" );
    m_hAlignButton->setPopupDelay( 0 );

    StencilTextEditorUILayout->addWidget( m_hAlignButton, 0, 5 );

    m_vAlignButton = new TQToolButton( this, "m_vAlignButton" );
    m_vAlignButton->setPopupDelay( 0 );

    StencilTextEditorUILayout->addWidget( m_vAlignButton, 0, 6 );

    m_textArea = new KTextEdit( this, "m_textArea" );

    StencilTextEditorUILayout->addMultiCellWidget( m_textArea, 1, 1, 0, 8 );
    languageChange();
    resize( TQSize(535, 447).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_textArea, m_fontCombo );
    setTabOrder( m_fontCombo, m_fontSizeCombo );
    setTabOrder( m_fontSizeCombo, m_textColorButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Kivio::StencilTextEditorUI::~StencilTextEditorUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Kivio::StencilTextEditorUI::languageChange()
{
    setCaption( tr2i18n( "Kivio::StencilTextEditor" ) );
    m_boldButton->setText( TQString::null );
    TQToolTip::add( m_boldButton, tr2i18n( "Bold" ) );
    m_fontSizeCombo->clear();
    m_fontSizeCombo->insertItem( tr2i18n( "6" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "7" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "8" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "9" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "10" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "11" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "12" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "14" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "16" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "18" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "20" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "22" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "24" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "26" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "28" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "36" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "48" ) );
    m_fontSizeCombo->insertItem( tr2i18n( "72" ) );
    m_italicsButton->setText( TQString::null );
    TQToolTip::add( m_italicsButton, tr2i18n( "Italics" ) );
    m_underLineButton->setText( TQString::null );
    TQToolTip::add( m_underLineButton, tr2i18n( "Underline" ) );
    m_textColorButton->setText( TQString::null );
    m_hAlignButton->setText( TQString::null );
    TQToolTip::add( m_hAlignButton, tr2i18n( "Horizontal Alignment" ) );
    m_vAlignButton->setText( TQString::null );
    TQToolTip::add( m_vAlignButton, tr2i18n( "Vertical Alignment" ) );
}

#include "kivio_stenciltexteditorui.moc"
