#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kptaccountspanelbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kptaccountspanelbase.h"

#include <ntqvariant.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KPlato::AccountsPanelBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::AccountsPanelBase::AccountsPanelBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "AccountsPanelBase" );
    setMinimumSize( TQSize( 350, 220 ) );
    setBaseSize( TQSize( 300, 0 ) );
    AccountsPanelBaseLayout = new TQVBoxLayout( this, 0, 6, "AccountsPanelBaseLayout"); 

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    accountsComboBox = new TQComboBox( FALSE, this, "accountsComboBox" );
    layout1->addWidget( accountsComboBox );
    AccountsPanelBaseLayout->addLayout( layout1 );

    accountList = new TDEListView( this, "accountList" );
    accountList->addColumn( tr2i18n( "Account" ) );
    accountList->addColumn( tr2i18n( "Description" ) );
    AccountsPanelBaseLayout->addWidget( accountList );

    layout7 = new TQHBoxLayout( 0, 0, 6, "layout7"); 

    newBtn = new TQPushButton( this, "newBtn" );
    layout7->addWidget( newBtn );

    subBtn = new TQPushButton( this, "subBtn" );
    layout7->addWidget( subBtn );

    removeBtn = new TQPushButton( this, "removeBtn" );
    layout7->addWidget( removeBtn );
    AccountsPanelBaseLayout->addLayout( layout7 );
    languageChange();
    resize( TQSize(350, 234).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::AccountsPanelBase::~AccountsPanelBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::AccountsPanelBase::languageChange()
{
    setCaption( tr2i18n( "AccountsPanelBase" ) );
    textLabel1->setText( tr2i18n( "Default account:" ) );
    accountList->header()->setLabel( 0, tr2i18n( "Account" ) );
    accountList->header()->setLabel( 1, tr2i18n( "Description" ) );
    newBtn->setText( tr2i18n( "&New" ) );
    subBtn->setText( tr2i18n( "New &Sub-Account" ) );
    removeBtn->setText( tr2i18n( "&Remove" ) );
}

#include "kptaccountspanelbase.moc"
