#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kptcalendarlistpanel.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kptcalendarlistpanel.h"

#include <ntqvariant.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KPlato::CalendarListPanel as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::CalendarListPanel::CalendarListPanel( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "CalendarListPanel" );
    CalendarListPanelLayout = new TQGridLayout( this, 1, 1, 0, 6, "CalendarListPanelLayout"); 

    layout1 = new TQGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    bDelete = new TQPushButton( this, "bDelete" );

    layout1->addWidget( bDelete, 1, 1 );

    bAdd = new TQPushButton( this, "bAdd" );

    layout1->addWidget( bAdd, 1, 0 );

    calendarList = new TDEListView( this, "calendarList" );
    calendarList->addColumn( tr2i18n( "Calendar Name" ) );

    layout1->addMultiCellWidget( calendarList, 0, 0, 0, 1 );

    CalendarListPanelLayout->addLayout( layout1, 0, 0 );

    layout3 = new TQVBoxLayout( 0, 0, 6, "layout3"); 

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel2 = new TQLabel( this, "textLabel2" );
    layout2->addWidget( textLabel2 );

    baseCalendar = new TQComboBox( FALSE, this, "baseCalendar" );
    layout2->addWidget( baseCalendar );
    layout3->addLayout( layout2 );

    calendarBox = new TQGroupBox( this, "calendarBox" );
    calendarBox->setFrameShape( TQGroupBox::Panel );
    calendarBox->setLineWidth( 0 );
    layout3->addWidget( calendarBox );

    CalendarListPanelLayout->addLayout( layout3, 0, 1 );
    languageChange();
    resize( TQSize(413, 203).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( calendarList, bAdd );
    setTabOrder( bAdd, bDelete );
    setTabOrder( bDelete, baseCalendar );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::CalendarListPanel::~CalendarListPanel()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::CalendarListPanel::languageChange()
{
    setCaption( tr2i18n( "CalendarListPanel" ) );
    bDelete->setText( tr2i18n( "Remove" ) );
    bAdd->setText( tr2i18n( "New" ) );
    calendarList->header()->setLabel( 0, tr2i18n( "Calendar Name" ) );
    textLabel2->setText( tr2i18n( "Parent calendar:" ) );
    calendarBox->setTitle( TQString::null );
}

#include "kptcalendarlistpanel.moc"
