#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kptconfigtaskpanelbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kptconfigtaskpanelbase.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <kdatewidget.h>
#include <klineedit.h>
#include <kptdurationwidget.h>
#include <ktextedit.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqdatetimeedit.h>
#include <ntqspinbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kptdurationwidget.h"

/*
 *  Constructs a KPlato::ConfigTaskPanelBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::ConfigTaskPanelBase::ConfigTaskPanelBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigTaskPanelBase" );
    ConfigTaskPanelBaseLayout = new TQVBoxLayout( this, 0, 6, "ConfigTaskPanelBaseLayout"); 

    layout7 = new TQHBoxLayout( 0, 0, 6, "layout7"); 

    leaderlabel = new TQLabel( this, "leaderlabel" );
    layout7->addWidget( leaderlabel );

    leaderfield = new KLineEdit( this, "leaderfield" );
    layout7->addWidget( leaderfield );

    chooseLeader = new TQPushButton( this, "chooseLeader" );
    layout7->addWidget( chooseLeader );
    ConfigTaskPanelBaseLayout->addLayout( layout7 );

    schedulingGroup = new TQGroupBox( this, "schedulingGroup" );
    schedulingGroup->setColumnLayout(0, TQt::Vertical );
    schedulingGroup->layout()->setSpacing( 6 );
    schedulingGroup->layout()->setMargin( 11 );
    schedulingGroupLayout = new TQGridLayout( schedulingGroup->layout() );
    schedulingGroupLayout->setAlignment( TQt::AlignTop );

    estimateType = new KComboBox( FALSE, schedulingGroup, "estimateType" );
    estimateType->setEditable( FALSE );
    estimateType->setProperty( "urlDropsEnabled", TQVariant( FALSE ) );

    schedulingGroupLayout->addWidget( estimateType, 2, 1 );

    scheduleType = new KComboBox( FALSE, schedulingGroup, "scheduleType" );

    schedulingGroupLayout->addWidget( scheduleType, 0, 1 );

    textLabel3 = new TQLabel( schedulingGroup, "textLabel3" );
    textLabel3->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );

    schedulingGroupLayout->addWidget( textLabel3, 0, 0 );

    textLabel3_2 = new TQLabel( schedulingGroup, "textLabel3_2" );
    textLabel3_2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)5, 0, 0, textLabel3_2->sizePolicy().hasHeightForWidth() ) );

    schedulingGroupLayout->addWidget( textLabel3_2, 2, 0 );

    scheduleStartDate = new KDateWidget( schedulingGroup, "scheduleStartDate" );
    scheduleStartDate->setFocusPolicy( KDateWidget::WheelFocus );
    scheduleStartDate->setDate( TQDate( 2000, 1, 1 ) );

    schedulingGroupLayout->addWidget( scheduleStartDate, 0, 2 );

    scheduleStartTime = new TQTimeEdit( schedulingGroup, "scheduleStartTime" );

    schedulingGroupLayout->addWidget( scheduleStartTime, 0, 3 );

    scheduleEndDate = new KDateWidget( schedulingGroup, "scheduleEndDate" );
    scheduleEndDate->setFocusPolicy( KDateWidget::WheelFocus );

    schedulingGroupLayout->addWidget( scheduleEndDate, 1, 2 );

    scheduleEndTime = new TQTimeEdit( schedulingGroup, "scheduleEndTime" );

    schedulingGroupLayout->addWidget( scheduleEndTime, 1, 3 );

    estimate = new KPlato::DurationWidget( schedulingGroup, "estimate" );
    estimate->setFocusPolicy( KPlato::DurationWidget::WheelFocus );

    schedulingGroupLayout->addMultiCellWidget( estimate, 2, 2, 2, 3 );

    layout41 = new TQHBoxLayout( 0, 0, 6, "layout41"); 

    textLabel1_2 = new TQLabel( schedulingGroup, "textLabel1_2" );
    layout41->addWidget( textLabel1_2 );

    optimisticValue = new TQSpinBox( schedulingGroup, "optimisticValue" );
    optimisticValue->setMaxValue( 0 );
    optimisticValue->setMinValue( -99 );
    layout41->addWidget( optimisticValue );

    textLabel2_2 = new TQLabel( schedulingGroup, "textLabel2_2" );
    layout41->addWidget( textLabel2_2 );

    pessimisticValue = new TQSpinBox( schedulingGroup, "pessimisticValue" );
    pessimisticValue->setMaxValue( 999 );
    layout41->addWidget( pessimisticValue );

    schedulingGroupLayout->addMultiCellLayout( layout41, 3, 3, 2, 3 );
    ConfigTaskPanelBaseLayout->addWidget( schedulingGroup );

    descriptionlabell6 = new TQLabel( this, "descriptionlabell6" );
    ConfigTaskPanelBaseLayout->addWidget( descriptionlabell6 );

    descriptionfield = new KTextEdit( this, "descriptionfield" );
    ConfigTaskPanelBaseLayout->addWidget( descriptionfield );
    languageChange();
    resize( TQSize(635, 337).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( leaderfield, chooseLeader );
    setTabOrder( chooseLeader, scheduleType );
    setTabOrder( scheduleType, scheduleStartDate );
    setTabOrder( scheduleStartDate, scheduleStartTime );
    setTabOrder( scheduleStartTime, scheduleEndDate );
    setTabOrder( scheduleEndDate, scheduleEndTime );
    setTabOrder( scheduleEndTime, estimateType );
    setTabOrder( estimateType, estimate );
    setTabOrder( estimate, optimisticValue );
    setTabOrder( optimisticValue, pessimisticValue );
    setTabOrder( pessimisticValue, descriptionfield );

    // buddies
    leaderlabel->setBuddy( leaderfield );
    textLabel3->setBuddy( scheduleType );
    textLabel2_2->setBuddy( pessimisticValue );
    descriptionlabell6->setBuddy( descriptionfield );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::ConfigTaskPanelBase::~ConfigTaskPanelBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::ConfigTaskPanelBase::languageChange()
{
    setCaption( TQString::null );
    leaderlabel->setText( tr2i18n( "Responsible:" ) );
    TQWhatsThis::add( leaderlabel, tr2i18n( "The person responsible for this task.\n"
"\n"
"This is not limited to persons available in a resource group but can be anyone. You can even directly access your address book with the Choose button." ) );
    TQWhatsThis::add( leaderfield, tr2i18n( "The person responsible for this task.\n"
"\n"
"This is not limited to persons available in a resource group but can be anyone. You can even directly access your address book with the Choose button." ) );
    chooseLeader->setText( tr2i18n( "Choose..." ) );
    TQToolTip::add( chooseLeader, tr2i18n( "Insert a person from your address book." ) );
    TQWhatsThis::add( chooseLeader, tr2i18n( "Insert a person from your address book." ) );
    schedulingGroup->setTitle( tr2i18n( "Timing" ) );
    TQWhatsThis::add( schedulingGroup, tr2i18n( "Scheduling Configuration. These settings affect the actual scheduling of the task.\n"
"\n"
"The estimation can be either effort based or duration based. If it is effort based, the final duration will depend on the resources assigned to the task. For duration based estimation, the assigned resources don't affect the fixed duration of the task, but only the costs." ) );
    estimateType->clear();
    estimateType->insertItem( tr2i18n( "Effort" ) );
    estimateType->insertItem( tr2i18n( "Duration" ) );
    scheduleType->clear();
    scheduleType->insertItem( tr2i18n( "As Soon as Possible" ) );
    scheduleType->insertItem( tr2i18n( "As Late as Possible" ) );
    scheduleType->insertItem( tr2i18n( "Must Start On" ) );
    scheduleType->insertItem( tr2i18n( "Must Finish On" ) );
    scheduleType->insertItem( tr2i18n( "Start Not Earlier Than" ) );
    scheduleType->insertItem( tr2i18n( "Finish Not Later Than" ) );
    scheduleType->insertItem( tr2i18n( "Fixed Interval" ) );
    textLabel3->setText( tr2i18n( "Schedule:" ) );
    textLabel3_2->setText( tr2i18n( "Estimate:" ) );
    textLabel1_2->setText( tr2i18n( "Optimistic:" ) );
    optimisticValue->setSuffix( tr2i18n( "%" ) );
    textLabel2_2->setText( tr2i18n( "Pessimistic:" ) );
    pessimisticValue->setSuffix( tr2i18n( "%" ) );
    descriptionlabell6->setText( tr2i18n( "Note:" ) );
}

#include "kptconfigtaskpanelbase.moc"
