/****************************************************************************
** Form interface generated from reading ui file './kptdurationwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef DURATIONWIDGET_H
#define DURATIONWIDGET_H

#include <ntqvariant.h>
#include <ntqwidget.h>
#include "kptduration.h"

class TQVBoxLayout;
class TQHBoxLayout;
class TQGridLayout;
class TQSpacerItem;
class TQFrame;
class TQLabel;
class TQLineEdit;
class TQRegExpValidator;

namespace KPlato {
class DurationWidget : public TQWidget
{
    TQ_OBJECT

public:
    DurationWidget( TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~DurationWidget();

    TQFrame* m_frame;
    TQLabel* m_hhSpace;
    TQLineEdit* m_ddd;
    TQLabel* m_ddUnit;
    TQLabel* m_mmColon;
    TQLineEdit* m_hh;
    TQLabel* m_hhUnit;
    TQLineEdit* m_mm;
    TQLabel* m_mmUnit;
    TQLabel* m_ssColon;
    TQLineEdit* m_ss;
    TQLabel* m_ssUnit;
    TQLabel* m_dot;
    TQLineEdit* m_ms;
    TQLabel* m_msUnit;

    enum { Days = 0x1, Hours = 0x2, Minutes = 0x4, Seconds = 0x8, Milliseconds = 0x10 } Fields;

    virtual Duration value() const;
    virtual void setVisibleFields( int fieldMask );
    virtual int visibleFields();
    virtual void setFieldLeftscale( int f, double ls );
    virtual void setFieldRightscale( int f, double rs );
    virtual void setFieldScale( int f, double scale );
    virtual void setFieldUnit( int f, TQString unit );

public slots:
    virtual void setValue( const KPlato::Duration & newDuration );
    virtual void handleLostFocus( int field );

signals:
    void valueChanged();

protected:
    TQHBoxLayout* DurationWidgetLayout;
    TQHBoxLayout* m_frameLayout;

protected slots:
    virtual void languageChange();

private:
    TQString m_decimalPoint;
    TQRegExpValidator *m_validator;
    struct FieldDescriptor *m_fields;

    virtual void init();
    void destroy();
    TQ_INT64 setValueMilliseconds( TQ_INT64 milliseconds );
    TQ_INT64 setValueSeconds( TQ_INT64 seconds );
    TQ_INT64 setValueMinutes( TQ_INT64 mins );
    TQ_INT64 setValueHours( TQ_INT64 mins );
    TQ_INT64 setValueDays( TQ_INT64 mins );
    double power( double m, int e );
    double fraction( TQString number, int * exp );

private slots:
    virtual void dddLostFocus();
    virtual void hhLostFocus();
    virtual void mmLostFocus();
    virtual void ssLostFocus();
    virtual void msLostFocus();

};
}

#endif // DURATIONWIDGET_H
