#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kptintervaleditbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kptintervaleditbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqdatetimeedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KPlato::IntervalEditBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::IntervalEditBase::IntervalEditBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "IntervalEditBase" );
    IntervalEditBaseLayout = new TQVBoxLayout( this, 0, 6, "IntervalEditBaseLayout"); 

    intervalList = new TQListView( this, "intervalList" );
    intervalList->addColumn( tr2i18n( "Work Interval" ) );
    intervalList->setFocusPolicy( TQListView::NoFocus );
    intervalList->setShowSortIndicator( TRUE );
    intervalList->setResizeMode( TQListView::AllColumns );
    IntervalEditBaseLayout->addWidget( intervalList );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    startTime = new TQTimeEdit( this, "startTime" );
    layout6->addWidget( startTime );

    endTime = new TQTimeEdit( this, "endTime" );
    layout6->addWidget( endTime );
    IntervalEditBaseLayout->addLayout( layout6 );

    layout3 = new TQHBoxLayout( 0, 0, 6, "layout3"); 
    spacer1 = new TQSpacerItem( 51, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout3->addItem( spacer1 );

    bClear = new TQPushButton( this, "bClear" );
    layout3->addWidget( bClear );

    bAddInterval = new TQPushButton( this, "bAddInterval" );
    layout3->addWidget( bAddInterval );
    IntervalEditBaseLayout->addLayout( layout3 );
    languageChange();
    resize( TQSize(278, 237).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( startTime, endTime );
    setTabOrder( endTime, bClear );
    setTabOrder( bClear, bAddInterval );
    setTabOrder( bAddInterval, intervalList );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::IntervalEditBase::~IntervalEditBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::IntervalEditBase::languageChange()
{
    setCaption( tr2i18n( "CalendarEditBase" ) );
    intervalList->header()->setLabel( 0, tr2i18n( "Work Interval" ) );
    bClear->setText( tr2i18n( "Clear" ) );
    bAddInterval->setText( tr2i18n( "Add Interval" ) );
}

#include "kptintervaleditbase.moc"
