#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kptprojectdialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kptprojectdialogbase.h"

#include <ntqvariant.h>
#include <kdatepicker.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqlineedit.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqcombobox.h>
#include <ntqtextbrowser.h>
#include <ntqcheckbox.h>
#include <ntqdatetimeedit.h>
#include <ntqtextedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KPlato::ProjectDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KPlato::ProjectDialogBase::ProjectDialogBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProjectDialogBase" );
    ProjectDialogBaseLayout = new TQVBoxLayout( this, 11, 6, "ProjectDialogBaseLayout"); 

    daTabs = new TQTabWidget( this, "daTabs" );

    tab = new TQWidget( daTabs, "tab" );
    tabLayout = new TQGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    layout5 = new TQGridLayout( 0, 1, 1, 0, 6, "layout5"); 

    namefield = new TQLineEdit( tab, "namefield" );

    layout5->addMultiCellWidget( namefield, 0, 0, 1, 2 );

    textLabel2 = new TQLabel( tab, "textLabel2" );

    layout5->addWidget( textLabel2, 1, 0 );

    leaderfield = new TQLineEdit( tab, "leaderfield" );

    layout5->addWidget( leaderfield, 1, 1 );

    textLabel1 = new TQLabel( tab, "textLabel1" );

    layout5->addWidget( textLabel1, 0, 0 );

    chooseLeader = new TQPushButton( tab, "chooseLeader" );

    layout5->addWidget( chooseLeader, 1, 2 );

    tabLayout->addMultiCellLayout( layout5, 0, 0, 0, 1 );

    groupBox1 = new TQGroupBox( tab, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    schedulerType = new TQComboBox( FALSE, groupBox1, "schedulerType" );
    groupBox1Layout->addWidget( schedulerType );

    lSchedulingExplain = new TQTextBrowser( groupBox1, "lSchedulingExplain" );
    groupBox1Layout->addWidget( lSchedulingExplain );

    tabLayout->addWidget( groupBox1, 1, 0 );

    groupBox2 = new TQGroupBox( tab, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    schedulerDate = new KDatePicker( groupBox2, "schedulerDate" );
    schedulerDate->setMinimumSize( TQSize( 0, 200 ) );

    groupBox2Layout->addMultiCellWidget( schedulerDate, 0, 0, 0, 2 );

    checkBox1 = new TQCheckBox( groupBox2, "checkBox1" );

    groupBox2Layout->addWidget( checkBox1, 1, 0 );

    schedulerTime = new TQTimeEdit( groupBox2, "schedulerTime" );
    schedulerTime->setEnabled( FALSE );
    schedulerTime->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)0, 0, 0, schedulerTime->sizePolicy().hasHeightForWidth() ) );
    schedulerTime->setTime( TQTime( 12, 0, 0 ) );

    groupBox2Layout->addWidget( schedulerTime, 1, 1 );
    spacer6 = new TQSpacerItem( 121, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox2Layout->addItem( spacer6, 1, 2 );

    tabLayout->addWidget( groupBox2, 1, 1 );
    daTabs->insertTab( tab, TQString::fromLatin1("") );

    tab_2 = new TQWidget( daTabs, "tab_2" );
    tabLayout_2 = new TQVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    textLabel5 = new TQLabel( tab_2, "textLabel5" );
    tabLayout_2->addWidget( textLabel5 );

    descriptionfield = new TQTextEdit( tab_2, "descriptionfield" );
    tabLayout_2->addWidget( descriptionfield );
    daTabs->insertTab( tab_2, TQString::fromLatin1("") );
    ProjectDialogBaseLayout->addWidget( daTabs );
    languageChange();
    resize( TQSize(643, 394).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( checkBox1, TQ_SIGNAL( toggled(bool) ), schedulerTime, TQ_SLOT( setEnabled(bool) ) );

    // buddies
    textLabel2->setBuddy( leaderfield );
    textLabel1->setBuddy( namefield );
    textLabel5->setBuddy( descriptionfield );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPlato::ProjectDialogBase::~ProjectDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPlato::ProjectDialogBase::languageChange()
{
    TQToolTip::add( namefield, TQString::null );
    TQWhatsThis::add( namefield, tr2i18n( "Give a name to the project to identify it. Example can be 'rewrite explorer' or 'housing project C2'" ) );
    textLabel2->setText( tr2i18n( "Project &leader:" ) );
    textLabel1->setText( tr2i18n( "Project n&ame:" ) );
    chooseLeader->setText( tr2i18n( "&Choose..." ) );
    groupBox1->setTitle( tr2i18n( "Scheduling" ) );
    TQToolTip::add( groupBox1, tr2i18n( "The scheduling type will influence how variable times events are placed" ) );
    schedulerType->clear();
    schedulerType->insertItem( tr2i18n( "ASAP" ) );
    schedulerType->insertItem( tr2i18n( "ALAP" ) );
    schedulerType->insertItem( tr2i18n( "Start Not Earlier Then" ) );
    schedulerType->insertItem( tr2i18n( "Finish Not Later Then" ) );
    schedulerType->insertItem( tr2i18n( "Must Start On" ) );
    groupBox2->setTitle( tr2i18n( "Starting Date" ) );
    checkBox1->setText( tr2i18n( "Specify time:" ) );
    daTabs->changeTab( tab, tr2i18n( "&General" ) );
    textLabel5->setText( tr2i18n( "&Project notes and summary:" ) );
    daTabs->changeTab( tab_2, tr2i18n( "&Notes" ) );
}

#include "kptprojectdialogbase.moc"
