#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './penstyle.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "penstyle.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <KPrPBPreview.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PenStyleUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PenStyleUI::PenStyleUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PenStyleUI" );
    PenStyleUILayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "PenStyleUILayout"); 

    arrowGroup = new TQGroupBox( this, "arrowGroup" );
    arrowGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, arrowGroup->sizePolicy().hasHeightForWidth() ) );
    arrowGroup->setColumnLayout(0, TQt::Vertical );
    arrowGroup->layout()->setSpacing( KDialog::spacingHint() );
    arrowGroup->layout()->setMargin( KDialog::marginHint() );
    arrowGroupLayout = new TQGridLayout( arrowGroup->layout() );
    arrowGroupLayout->setAlignment( TQt::AlignTop );

    lineBeginLabel = new TQLabel( arrowGroup, "lineBeginLabel" );

    arrowGroupLayout->addWidget( lineBeginLabel, 0, 0 );

    lineBeginCombo = new KComboBox( FALSE, arrowGroup, "lineBeginCombo" );

    arrowGroupLayout->addWidget( lineBeginCombo, 0, 1 );

    lineEndLabel = new TQLabel( arrowGroup, "lineEndLabel" );

    arrowGroupLayout->addWidget( lineEndLabel, 1, 0 );

    lineEndCombo = new KComboBox( FALSE, arrowGroup, "lineEndCombo" );

    arrowGroupLayout->addWidget( lineEndCombo, 1, 1 );

    PenStyleUILayout->addMultiCellWidget( arrowGroup, 3, 3, 0, 1 );

    pbPreview = new KPrPBPreview( this, "pbPreview" );
    pbPreview->setMinimumSize( TQSize( 80, 40 ) );

    PenStyleUILayout->addMultiCellWidget( pbPreview, 4, 4, 0, 1 );

    styleCombo = new KComboBox( FALSE, this, "styleCombo" );

    PenStyleUILayout->addWidget( styleCombo, 1, 1 );

    widthLabel = new TQLabel( this, "widthLabel" );

    PenStyleUILayout->addWidget( widthLabel, 2, 0 );

    styleLabel = new TQLabel( this, "styleLabel" );

    PenStyleUILayout->addWidget( styleLabel, 1, 0 );

    colorChooser = new KColorButton( this, "colorChooser" );

    PenStyleUILayout->addWidget( colorChooser, 0, 1 );

    colorLabel = new TQLabel( this, "colorLabel" );

    PenStyleUILayout->addWidget( colorLabel, 0, 0 );

    widthInput = new KDoubleNumInput( this, "widthInput" );

    PenStyleUILayout->addWidget( widthInput, 2, 1 );
    languageChange();
    resize( TQSize(334, 357).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( colorChooser, styleCombo );
    setTabOrder( styleCombo, lineBeginCombo );
    setTabOrder( lineBeginCombo, lineEndCombo );

    // buddies
    lineBeginLabel->setBuddy( lineBeginCombo );
    lineEndLabel->setBuddy( lineEndCombo );
    widthLabel->setBuddy( widthInput );
    styleLabel->setBuddy( styleCombo );
    colorLabel->setBuddy( colorChooser );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PenStyleUI::~PenStyleUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PenStyleUI::languageChange()
{
    setCaption( tr2i18n( "Pen" ) );
    TQWhatsThis::add( this, tr2i18n( "The settings in this tab are used in the Insert->Line menu." ) );
    arrowGroup->setTitle( tr2i18n( "Arrow Style" ) );
    TQWhatsThis::add( arrowGroup, tr2i18n( "Set the styles of the beginning and end of your line. For example, you can choose a square dot at the beginning and an arrow at the end." ) );
    lineBeginLabel->setText( tr2i18n( "&Begin:" ) );
    lineEndLabel->setText( tr2i18n( "&End:" ) );
    TQWhatsThis::add( pbPreview, tr2i18n( "This displays a preview of your choices." ) );
    TQWhatsThis::add( styleCombo, tr2i18n( "Choose the line style. This can range from No Outline, which will not draw any lines, to dotted and plain lines." ) );
    widthLabel->setText( tr2i18n( "&Width:" ) );
    styleLabel->setText( tr2i18n( "St&yle:" ) );
    colorChooser->setText( TQString::null );
    TQWhatsThis::add( colorChooser, tr2i18n( "Set the color of the line. Clicking on the color will bring the standard TDE Select Color dialog." ) );
    colorLabel->setText( tr2i18n( "C&olor:" ) );
    widthInput->setSuffix( tr2i18n( " pt" ) );
    TQWhatsThis::add( widthInput, tr2i18n( "Set the width of the line." ) );
}

#include "penstyle.moc"
