#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './picturepropertyui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "picturepropertyui.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <KPrPicturePreview.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PicturePropertyUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PicturePropertyUI::PicturePropertyUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PicturePropertyUI" );
    PicturePropertyUILayout = new TQGridLayout( this, 1, 1, 11, 6, "PicturePropertyUILayout"); 

    depthGroup = new TQButtonGroup( this, "depthGroup" );
    depthGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, depthGroup->sizePolicy().hasHeightForWidth() ) );
    depthGroup->setColumnLayout(0, TQt::Vertical );
    depthGroup->layout()->setSpacing( 6 );
    depthGroup->layout()->setMargin( 11 );
    depthGroupLayout = new TQGridLayout( depthGroup->layout() );
    depthGroupLayout->setAlignment( TQt::AlignTop );

    depth1 = new TQRadioButton( depthGroup, "depth1" );

    depthGroupLayout->addWidget( depth1, 1, 0 );

    depth8 = new TQRadioButton( depthGroup, "depth8" );

    depthGroupLayout->addWidget( depth8, 2, 0 );

    depth16 = new TQRadioButton( depthGroup, "depth16" );

    depthGroupLayout->addWidget( depth16, 3, 0 );

    depth32 = new TQRadioButton( depthGroup, "depth32" );

    depthGroupLayout->addWidget( depth32, 4, 0 );

    depth0 = new TQRadioButton( depthGroup, "depth0" );

    depthGroupLayout->addWidget( depth0, 0, 0 );

    PicturePropertyUILayout->addMultiCellWidget( depthGroup, 0, 0, 0, 1 );

    brightnessInput = new KIntNumInput( this, "brightnessInput" );
    brightnessInput->setValue( 0 );
    brightnessInput->setMinValue( -1000 );
    brightnessInput->setMaxValue( 1000 );

    PicturePropertyUILayout->addWidget( brightnessInput, 3, 1 );

    swapRGB = new TQCheckBox( this, "swapRGB" );

    PicturePropertyUILayout->addMultiCellWidget( swapRGB, 1, 1, 0, 1 );

    grayscale = new TQCheckBox( this, "grayscale" );

    PicturePropertyUILayout->addWidget( grayscale, 2, 0 );

    brightnessLabel = new TQLabel( this, "brightnessLabel" );

    PicturePropertyUILayout->addWidget( brightnessLabel, 3, 0 );

    picturePreview = new KPrPicturePreview( this, "picturePreview" );
    picturePreview->setMinimumSize( TQSize( 200, 200 ) );

    PicturePropertyUILayout->addMultiCellWidget( picturePreview, 4, 4, 0, 1 );
    languageChange();
    resize( TQSize(263, 457).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( depth0, depth1 );
    setTabOrder( depth1, depth8 );
    setTabOrder( depth8, depth16 );
    setTabOrder( depth16, depth32 );
    setTabOrder( depth32, swapRGB );
    setTabOrder( swapRGB, grayscale );
    setTabOrder( grayscale, brightnessInput );

    // buddies
    brightnessLabel->setBuddy( brightnessInput );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PicturePropertyUI::~PicturePropertyUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PicturePropertyUI::languageChange()
{
    setCaption( tr2i18n( "Picture" ) );
    depthGroup->setTitle( tr2i18n( "Depth" ) );
    depth1->setText( tr2i18n( "&1 bit color mode" ) );
    depth8->setText( tr2i18n( "&8 bit color mode" ) );
    depth16->setText( tr2i18n( "1&6 bit color mode" ) );
    depth32->setText( tr2i18n( "&32 bit color mode" ) );
    depth0->setText( tr2i18n( "&Default color mode" ) );
    brightnessInput->setSuffix( tr2i18n( "%" ) );
    brightnessInput->setPrefix( TQString::null );
    swapRGB->setText( tr2i18n( "Conv&ert from RGB image to BRG image" ) );
    grayscale->setText( tr2i18n( "Gra&yscale" ) );
    brightnessLabel->setText( tr2i18n( "&Brightness:" ) );
}

#include "picturepropertyui.moc"
