#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './addresspicker.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "addresspicker.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>


/*
 *  Constructs a AddressPickerUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AddressPickerUI::AddressPickerUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "AddressPickerUI" );
    AddressPickerUILayout = new TQGridLayout( this, 1, 1, 11, 6, "AddressPickerUILayout"); 

    layout10 = new TQVBoxLayout( 0, 0, 6, "layout10"); 
    spacer1 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout10->addItem( spacer1 );

    mAddButton = new KPushButton( this, "mAddButton" );
    mAddButton->setEnabled( TRUE );
    layout10->addWidget( mAddButton );

    mRemoveButton = new KPushButton( this, "mRemoveButton" );
    mRemoveButton->setEnabled( TRUE );
    layout10->addWidget( mRemoveButton );
    spacer2_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout10->addItem( spacer2_2 );

    AddressPickerUILayout->addLayout( layout10, 1, 1 );

    mSaveList = new TQPushButton( this, "mSaveList" );
    mSaveList->setEnabled( TRUE );

    AddressPickerUILayout->addWidget( mSaveList, 2, 2 );

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    TextLabel2 = new TQLabel( this, "TextLabel2" );
    layout1->addWidget( TextLabel2 );

    mFilterEdit = new TQLineEdit( this, "mFilterEdit" );
    mFilterEdit->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 1, 0, mFilterEdit->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( mFilterEdit );

    AddressPickerUILayout->addLayout( layout1, 2, 0 );

    mSelectedView = new TDEListView( this, "mSelectedView" );
    mSelectedView->addColumn( tr2i18n( "Name" ) );
    mSelectedView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)1, 0, 0, mSelectedView->sizePolicy().hasHeightForWidth() ) );
    mSelectedView->setProperty( "selectionMode", "Extended" );
    mSelectedView->setAllColumnsShowFocus( TRUE );
    mSelectedView->setShowSortIndicator( TRUE );
    mSelectedView->setRootIsDecorated( TRUE );
    mSelectedView->setResizeMode( TDEListView::AllColumns );
    mSelectedView->setFullWidth( TRUE );

    AddressPickerUILayout->addWidget( mSelectedView, 1, 2 );

    mAddressBook = new TQPushButton( this, "mAddressBook" );

    AddressPickerUILayout->addWidget( mAddressBook, 2, 1 );

    textLabel1 = new TQLabel( this, "textLabel1" );
    TQFont textLabel1_font(  textLabel1->font() );
    textLabel1_font.setBold( TRUE );
    textLabel1->setFont( textLabel1_font ); 
    textLabel1->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );

    AddressPickerUILayout->addWidget( textLabel1, 0, 0 );

    textLabel2 = new TQLabel( this, "textLabel2" );
    TQFont textLabel2_font(  textLabel2->font() );
    textLabel2_font.setBold( TRUE );
    textLabel2->setFont( textLabel2_font ); 
    textLabel2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );

    AddressPickerUILayout->addWidget( textLabel2, 0, 2 );

    mAvailableView = new TDEListView( this, "mAvailableView" );
    mAvailableView->addColumn( tr2i18n( "Name" ) );
    mAvailableView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, mAvailableView->sizePolicy().hasHeightForWidth() ) );
    mAvailableView->setProperty( "selectionMode", "Extended" );
    mAvailableView->setAllColumnsShowFocus( TRUE );
    mAvailableView->setShowSortIndicator( TRUE );
    mAvailableView->setRootIsDecorated( TRUE );
    mAvailableView->setResizeMode( TDEListView::AllColumns );
    mAvailableView->setFullWidth( TRUE );

    AddressPickerUILayout->addWidget( mAvailableView, 1, 0 );
    languageChange();
    resize( TQSize(617, 434).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    TextLabel2->setBuddy( mFilterEdit );
    textLabel1->setBuddy( mAvailableView );
    textLabel2->setBuddy( mSelectedView );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddressPickerUI::~AddressPickerUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AddressPickerUI::languageChange()
{
    setCaption( tr2i18n( "Address Selection" ) );
    mAddButton->setText( tr2i18n( "&Add >>" ) );
    mRemoveButton->setText( tr2i18n( "<< &Remove" ) );
    mSaveList->setText( tr2i18n( "Save as &Distribution List..." ) );
    TQToolTip::add( mSaveList, tr2i18n( "Save selected single entries to a new distribution list." ) );
    TextLabel2->setText( tr2i18n( "&Filter on:" ) );
    mFilterEdit->setText( TQString::null );
    mSelectedView->header()->setLabel( 0, tr2i18n( "Name" ) );
    mSelectedView->clear();
    TQListViewItem * item = new TQListViewItem( mSelectedView, 0 );
    item->setText( 0, tr2i18n( "Distribution Lists" ) );

    item = new TQListViewItem( mSelectedView, item );
    item->setText( 0, tr2i18n( "Single Entries" ) );

    mAddressBook->setText( tr2i18n( "Address B&ook" ) );
    TQToolTip::add( mAddressBook, tr2i18n( "Launch KAddressbook" ) );
    textLabel1->setText( tr2i18n( "&Address Book" ) );
    textLabel2->setText( tr2i18n( "&Selected Addresses" ) );
    mAvailableView->header()->setLabel( 0, tr2i18n( "Name" ) );
}

#include "addresspicker.moc"
