#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kohighlightingtabbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kohighlightingtabbase.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <kcombobox.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KoHighlightingTabBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KoHighlightingTabBase::KoHighlightingTabBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "highlightingTabBase" );
    highlightingTabBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "highlightingTabBaseLayout"); 

    underlineKColorButton = new KColorButton( this, "underlineKColorButton" );
    underlineKColorButton->setEnabled( FALSE );

    highlightingTabBaseLayout->addWidget( underlineKColorButton, 1, 2 );

    underlineWordByWordCheckBox = new TQCheckBox( this, "underlineWordByWordCheckBox" );
    underlineWordByWordCheckBox->setEnabled( FALSE );

    highlightingTabBaseLayout->addWidget( underlineWordByWordCheckBox, 4, 0 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    highlightingTabBaseLayout->addWidget( textLabel1, 0, 0 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    highlightingTabBaseLayout->addWidget( textLabel2, 2, 0 );

    underlineLineStyleKComboBox = new KComboBox( FALSE, this, "underlineLineStyleKComboBox" );
    underlineLineStyleKComboBox->setEnabled( FALSE );

    highlightingTabBaseLayout->addWidget( underlineLineStyleKComboBox, 1, 1 );

    strikethroughLineStyleKComboBox = new KComboBox( FALSE, this, "strikethroughLineStyleKComboBox" );
    strikethroughLineStyleKComboBox->setEnabled( FALSE );

    highlightingTabBaseLayout->addWidget( strikethroughLineStyleKComboBox, 3, 1 );

    strikethroughStyleKComboBox = new KComboBox( FALSE, this, "strikethroughStyleKComboBox" );

    highlightingTabBaseLayout->addWidget( strikethroughStyleKComboBox, 3, 0 );

    underlineStyleKComboBox = new KComboBox( FALSE, this, "underlineStyleKComboBox" );

    highlightingTabBaseLayout->addWidget( underlineStyleKComboBox, 1, 0 );

    capitalisationButtonGroup = new TQButtonGroup( this, "capitalisationButtonGroup" );
    capitalisationButtonGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, capitalisationButtonGroup->sizePolicy().hasHeightForWidth() ) );
    capitalisationButtonGroup->setExclusive( TRUE );
    capitalisationButtonGroup->setColumnLayout(0, TQt::Vertical );
    capitalisationButtonGroup->layout()->setSpacing( 6 );
    capitalisationButtonGroup->layout()->setMargin( 11 );
    capitalisationButtonGroupLayout = new TQGridLayout( capitalisationButtonGroup->layout() );
    capitalisationButtonGroupLayout->setAlignment( TQt::AlignTop );

    highlightingTabBaseLayout->addMultiCellWidget( capitalisationButtonGroup, 5, 5, 0, 2 );
    spacer3 = new TQSpacerItem( 20, 41, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    highlightingTabBaseLayout->addItem( spacer3, 6, 0 );
    languageChange();
    resize( TQSize(320, 297).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( underlineStyleKComboBox );
    textLabel2->setBuddy( strikethroughStyleKComboBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KoHighlightingTabBase::~KoHighlightingTabBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KoHighlightingTabBase::languageChange()
{
    underlineKColorButton->setText( TQString::null );
    underlineWordByWordCheckBox->setText( tr2i18n( "Word by word" ) );
    textLabel1->setText( tr2i18n( "&Underlining:" ) );
    textLabel2->setText( tr2i18n( "&Strikethrough:" ) );
    capitalisationButtonGroup->setTitle( tr2i18n( "Capitalization" ) );
}

#include "kohighlightingtabbase.moc"
