#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wdgscriptsmanagerbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wdgscriptsmanagerbase.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <tdelistview.h>
#include <tdetoolbar.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "tdetoolbar.h"

/*
 *  Constructs a WdgScriptsManagerBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WdgScriptsManagerBase::WdgScriptsManagerBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "WdgScriptsManagerBase" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 0 ) );
    WdgScriptsManagerBaseLayout = new TQVBoxLayout( this, 0, 6, "WdgScriptsManagerBaseLayout"); 

    scriptsList = new TDEListView( this, "scriptsList" );
    scriptsList->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)2, (TQSizePolicy::SizeType)2, 0, 0, scriptsList->sizePolicy().hasHeightForWidth() ) );
    WdgScriptsManagerBaseLayout->addWidget( scriptsList );

    toolBar = new TDEToolBar( this, "toolBar" );
    WdgScriptsManagerBaseLayout->addWidget( toolBar );

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    btnExec = new KPushButton( this, "btnExec" );
    btnExec->setMinimumSize( TQSize( 20, 0 ) );
    layout1->addWidget( btnExec );

    line2 = new TQFrame( this, "line2" );
    line2->setFrameShape( TQFrame::VLine );
    line2->setFrameShadow( TQFrame::Sunken );
    line2->setFrameShape( TQFrame::VLine );
    layout1->addWidget( line2 );

    btnLoad = new KPushButton( this, "btnLoad" );
    btnLoad->setMinimumSize( TQSize( 20, 0 ) );
    layout1->addWidget( btnLoad );

    btnUnload = new KPushButton( this, "btnUnload" );
    btnUnload->setMinimumSize( TQSize( 20, 0 ) );
    layout1->addWidget( btnUnload );

    line3 = new TQFrame( this, "line3" );
    line3->setFrameShape( TQFrame::VLine );
    line3->setFrameShadow( TQFrame::Sunken );
    line3->setFrameShape( TQFrame::VLine );
    layout1->addWidget( line3 );

    btnInstall = new KPushButton( this, "btnInstall" );
    btnInstall->setMinimumSize( TQSize( 20, 0 ) );
    layout1->addWidget( btnInstall );

    btnUninstall = new KPushButton( this, "btnUninstall" );
    btnUninstall->setMinimumSize( TQSize( 20, 0 ) );
    layout1->addWidget( btnUninstall );

    line4 = new TQFrame( this, "line4" );
    line4->setFrameShape( TQFrame::VLine );
    line4->setFrameShadow( TQFrame::Sunken );
    line4->setFrameShape( TQFrame::VLine );
    layout1->addWidget( line4 );

    btnNewStuff = new KPushButton( this, "btnNewStuff" );
    btnNewStuff->setMinimumSize( TQSize( 20, 0 ) );
    layout1->addWidget( btnNewStuff );
    WdgScriptsManagerBaseLayout->addLayout( layout1 );
    languageChange();
    resize( TQSize(181, 467).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WdgScriptsManagerBase::~WdgScriptsManagerBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WdgScriptsManagerBase::languageChange()
{
    setCaption( tr2i18n( "Scripts Manager" ) );
    btnExec->setText( TQString::null );
    TQToolTip::add( btnExec, tr2i18n( "Execute" ) );
    btnLoad->setText( TQString::null );
    TQToolTip::add( btnLoad, tr2i18n( "Load" ) );
    btnUnload->setText( TQString::null );
    TQToolTip::add( btnUnload, tr2i18n( "Unload" ) );
    btnInstall->setText( TQString::null );
    TQToolTip::add( btnInstall, tr2i18n( "Install" ) );
    btnUninstall->setText( TQString::null );
    TQToolTip::add( btnUninstall, tr2i18n( "Uninstall" ) );
    btnNewStuff->setText( TQString::null );
    TQToolTip::add( btnNewStuff, tr2i18n( "Get More Scripts" ) );
}

#include "wdgscriptsmanagerbase.moc"
